<?php
$PROGRAM_VERSION = "v1.0.2";
$PROGRAM_DATE = "06 Dec 2005";
$PROGRAM_NAME = "WebCalendar $PROGRAM_VERSION ($PROGRAM_DATE)";
$PROGRAM_URL = "http://webcalendar.sourceforge.net/";

$TROUBLE_URL = "docs/WebCalendar-SysAdmin.html#trouble";

function die_miserable_death ( $error )
{
global $TROUBLE_URL;
  echo "<html><head><title>WebCalendar: Fatal Error</title></head>\n" .
    "<body><h2>WebCalendar Error</h2>\n" .
    "<p>$error</p>\n<hr />" .
    "<p><a href=\"$TROUBLE_URL\" target=\"_blank\">" .
    "Troubleshooting Help</a></p></body></html>\n";
  exit;
}


// Extract db settings into global vars
$db_type = 'mysql';
$db_host = 'localhost';
$db_login = 'webuser';
$db_password = 'webpassword';
$db_database = 'webcalendar';
$db_persistent = '1' ;
$readonly = 'N';
$single_user = 'N';
$use_http_auth = 'false';
// Type of user authentication
$user_inc = 'user.php';

// We can add extra 'nonuser' calendars such as a corporate calendar,
// holiday calendar, departmental calendar, etc.  We need a unique prefix
// for these calendars as not to get mixed up with real logins.  This prefix
// should be a Maximum of 5 characters and should NOT change once set!
$NONUSER_PREFIX = '_NUC_';

// Language options  The first is the name presented to users while
// the second is the filename (without the ".txt") that must exist
// in the translations subdirectory.
$languages = array (
  "Browser-defined" =>"none",
  "English" =>"English-US",
  "Basque" => "Basque",
  "Bulgarian" => "Bulgarian",
  "Catalan" => "Catalan",
  "Chinese (Traditonal/Big5)" => "Chinese-Big5",
  "Chinese (Simplified/GB2312)" => "Chinese-GB2312",
  "Czech" => "Czech",
  "Danish" => "Danish",
  "Dutch" =>"Dutch",
  "Estonian" => "Estonian",
  "Finnish" =>"Finnish",
  "French" =>"French",
  "Galician" => "Galician",
  "German" =>"German",
  "Holo (Taiwanese)" => "Holo-Big5",
  "Hungarian" =>"Hungarian",
  "Icelandic" => "Icelandic",
  "Italian" => "Italian",
  "Japanese(SHIFT JIS)" => "Japanese",
  "Japanese(EUC-JP)" => "Japanese-eucjp",
  "Japanese(UTF-8)" => "Japanese-utf8",
  "Korean" =>"Korean",
  "Norwegian" => "Norwegian",
  "Polish" => "Polish",
  "Portuguese" =>"Portuguese",
  "Portuguese/Brazil" => "Portuguese_BR",
  "Romanian" => "Romanian",
  "Russian" => "Russian",
  "Spanish" =>"Spanish",
  "Swedish" =>"Swedish",
  "Turkish" =>"Turkish",
  "Welsh" =>"Welsh"
  // add new languages here!  (don't forget to add a comma at the end of
  // last line above.)
);

// If the user sets "Browser-defined" as their language setting, then
// use the $HTTP_ACCEPT_LANGUAGE settings to determine the language.
// The array below translates browser language abbreviations into
// our available language files.
// NOTE: These should all be lowercase on the left side even though
// the proper listing is like "en-US"!
// Not sure what the abbreviation is?  Check out the following URL:
// http://www.geocities.com/click2speak/languages.html
$browser_languages = array (
  "eu" => "Basque",
  "bg" => "Bulgarian",
  "ca" => "Catalan",
  "zh" => "Chinese-GB2312",    // Simplified Chinese
  "zh-cn" => "Chinese-GB2312",
  "zh-tw" => "Chinese-Big5",   // Traditional Chinese
  "cs" => "Czech",
  "en" => "English-US",
  "en-us" => "English-US",
  "en-gb" => "English-US",
  "da" => "Danish",
  "nl" =>"Dutch",
  "ee" => "Estonian",
  "fi" =>"Finnish",
  "fr" =>"French",
  "fr-ch" =>"French", // French/Swiss
  "fr-ca" =>"French", // French/Canada
  "gl" => "Galician",
  "de" =>"German",
  "de-at" =>"German", // German/Austria
  "de-ch" =>"German", // German/Switzerland
  "de-de" =>"German", // German/German
  "hu" => "Hungarian",
  "zh-min-nan-tw" => "Holo-Big5",
  "is" => "Icelandic",
  "it" => "Italian",
  "it-ch" => "Italian", // Italian/Switzerland
  "ja" => "Japanese",
  "ko" =>"Korean",
  "no" => "Norwegian",
  "pl" => "Polish",
  "pt" =>"Portuguese",
  "pt-br" => "Portuguese_BR", // Portuguese/Brazil
  "ro" =>"Romanian",
  "ru" =>"Russian",
  "es" =>"Spanish",
  "sv" =>"Swedish",
  "tr" =>"Turkish",
  "cy" => "Welsh"
);

// The following comments will be picked up by update_translation.pl so
// translators will be aware that they also need to translate language names.
//
// translate("English")
// translate("Basque")
// translate("Bulgarian")
// translate("Catalan")
// translate("Chinese (Traditonal/Big5)")
// translate("Chinese (Simplified/GB2312)")
// translate("Czech")
// translate("Danish")
// translate("Dutch")
// translate("Estonian")
// translate("Finnish")
// translate("French")
// translate("Galician")
// translate("German")
// translate("Holo (Taiwanese)")
// translate("Hungarian")
// translate("Icelandic")
// translate("Italian")
// translate("Japanese")
// translate("Korean")
// translate("Norwegian")
// translate("Polish")
// translate("Portuguese")
// translate("Portuguese/Brazil")
// translate("Romanian")
// translate("Russian")
// translate("Spanish")
// translate("Swedish")
// translate("Turkish")
// translate("Welsh")

if ( $single_user != "Y" )
  $single_user_login = "";

// Make sure magic quotes is enabled, since this app requires it.
if ( get_magic_quotes_gpc () == 0 ) {
  ob_start ();
  phpinfo ();
  $val = ob_get_contents ();
  ob_end_clean ();
  $loc = '';
  if ( preg_match ( "/>([^<>]*php.ini)</", $val, $matches ) ) {
    $loc = "Please edit the following file and restart your server:" .
      "<br /><br />\n" .
      "<blockquote>\n<tt>" . $matches[1] . "</tt>\n</blockquote>\n";
  }
  die_miserable_death ( "You must reconfigure your <tt>php.ini</tt> file to " .
    "have <span style=\"font-weight:bold;\">magic_quotes_gpc</span> set " .
    " to <span style=\"font-weight:bold;\">ON</span>.<br /><br />\n" .
    $loc );
}


$c = mysql_connect ( $db_host, $db_login, $db_password, $db_database );
if ( ! $c ) {
  echo "Error connecting to database: " . mysql_error ();
  exit;
}
mysql_select_db($db_database, $c);

$sql="DROP TABLE webcal_import_data;";
$sql1=" ALTER TABLE webcal_user MODIFY cal_passwd VARCHAR(32) NULL;";
$sql2= "CREATE TABLE webcal_import ( 
cal_import_id INT NOT NULL, 
cal_name VARCHAR(50) NULL, 
cal_date INT NOT NULL, 
cal_type VARCHAR(10) NOT NULL, 
cal_login VARCHAR(25) NULL, 
PRIMARY KEY ( cal_import_id ) 
);";

$sql3= "CREATE TABLE webcal_import_data( 
cal_import_id INT NOT NULL, 
cal_id INT NOT NULL, 
cal_login VARCHAR(25) NOT NULL, 
cal_import_type VARCHAR(15) NOT NULL, 
cal_external_id VARCHAR(200) NULL, 
PRIMARY KEY  ( cal_id, cal_login ) 
);";
$sql4= "ALTER TABLE webcal_view ADD cal_is_global CHAR(1) DEFAULT 'N' NOT NULL;";
$sql5= "UPDATE webcal_user_pref SET cal_value = 'day.php' WHERE cal_value = 'day' AND cal_setting = 'STARTVIEW';";
$sql6= "UPDATE webcal_user_pref SET cal_value = 'week.php' WHERE cal_value = 'week' AND cal_setting = 'STARTVIEW';";
$sql7= "UPDATE webcal_user_pref SET cal_value = 'month.php' WHERE cal_value = 'month' AND cal_setting = 'STARTVIEW';";
$sql8= "UPDATE webcal_user_pref SET cal_value = 'year.php' WHERE cal_value = 'year' AND cal_setting = 'STARTVIEW';";
$sql9= "UPDATE webcal_config SET cal_value = 'week.php' WHERE cal_setting = 'STARTVIEW';";
$res = mysql_query ( $sql );
if ($res) {
	echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql1 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql2 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql3 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql4 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql5 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql6 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql7 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql8 );
if ($res) {
        echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}
$res = mysql_query ( $sql9 );
if ($res) {
 echo "MySQL Tables upgraded .\n<br />" ;
}else {
  echo "Database error: " . mysql_error ();
  exit;
}

// First, look at the passwords.  If we find and md5 hash in there,
// (it will have 32 chars instead of < 25 like in the old version),
// then we know this script was already run.
$sql = "SELECT cal_passwd FROM webcal_user";
$res = mysql_query ( $sql );
$doneBefore = false;
if ( $res ) {
  if ( $row = mysql_fetch_row ( $res ) ) {
    if ( strlen ( $row[0] ) > 30 )
      $doneBefore = true;
  }
  mysql_free_result ( $res );
} else {
  echo "Database error: " . mysql_error ();
  exit;
}

if ( $doneBefore ) {
  echo "Passwords were already converted to md5!\n<br />\n";
  exit;
}

// See if webcal_user.cal_passwd will allow 32 characters
$sql = "DESC webcal_user";
$res = mysql_query ( $sql );
while ( $row = mysql_fetch_row ( $res ) ) {
  if ($row[Field] == 'cal_passwd') {
    preg_match ( "/([0-9]+)/", $row[Type], $match );
    if ($match[1] < 32) {
      $sql = "ALTER TABLE webcal_user MODIFY cal_passwd VARCHAR(32) NULL";
      // Use the following on older MySQL versions
      //$sql = "ALTER TABLE webcal_user CHANGE cal_passwd cal_passwd VARCHAR(32) NULL";
      $res = mysql_query ( $sql );
      if ($res) {
        echo "Table webcal_user altered to allow 32 character passwords.\n" .
          "<br />Converting passwords...\n<br /><br />\n";
      }
    }
  }
}
mysql_free_result ( $res );

// Convert the passwords
$sql = "SELECT cal_login, cal_passwd FROM webcal_user";
$res = mysql_query ( $sql );
if ( $res ) {
  while ( $row = mysql_fetch_row ( $res ) ) {
    $sql2 = "UPDATE webcal_user SET cal_passwd = '" .
      md5($row[1]) . "' WHERE cal_login = '".$row[0]."'";
    $res2 = mysql_query ( $sql2 );
    if ($res2)
      echo "Password updated for: ".$row[0]."<br />\n";
  }
  mysql_free_result ( $res );
  echo "Finished converting passwords\n<br />\n";
  echo "<br /><br />\n<h1>DO NOT Run this script again!!!</h1>\n<br />\n";
  echo '<h1>Delete this script if it ran successfully!!!</h1>';
}

?>
