# MySQL dump 8.23
#
# Host: localhost    Database: gallery2
############################-
# Server version	3.23.58

#
# Current Database: gallery2
#

#CREATE DATABASE /*!32312 IF NOT EXISTS*/ gallery2;

#USE gallery2;

#
# Table structure for table `g2_AccessMap`
#

CREATE TABLE g2_AccessMap (
  g_accessListId int(11) NOT NULL default '0',
  g_userId int(11) default NULL,
  g_groupId int(11) default NULL,
  g_permission int(11) NOT NULL default '0',
  UNIQUE KEY g_accessListId (g_accessListId,g_userId,g_groupId),
  KEY g2_AccessMap_83732 (g_accessListId),
  KEY g2_AccessMap_69068 (g_userId),
  KEY g2_AccessMap_89328 (g_groupId),
  KEY g2_AccessMap_18058 (g_permission)
) TYPE=MyISAM;

#
# Dumping data for table `g2_AccessMap`
#


INSERT INTO g2_AccessMap VALUES (8,0,4,7);
INSERT INTO g2_AccessMap VALUES (9,0,4,7);
INSERT INTO g2_AccessMap VALUES (9,0,3,2147483647);

#
# Table structure for table `g2_AccessSubscriberMap`
#

CREATE TABLE g2_AccessSubscriberMap (
  g_itemId int(11) NOT NULL default '0',
  g_accessListId int(11) NOT NULL default '0',
  PRIMARY KEY  (g_itemId),
  KEY g2_AccessSubscriberMap_83732 (g_accessListId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_AccessSubscriberMap`
#


INSERT INTO g2_AccessSubscriberMap VALUES (1,0);
INSERT INTO g2_AccessSubscriberMap VALUES (2,0);
INSERT INTO g2_AccessSubscriberMap VALUES (3,0);
INSERT INTO g2_AccessSubscriberMap VALUES (4,0);
INSERT INTO g2_AccessSubscriberMap VALUES (5,0);
INSERT INTO g2_AccessSubscriberMap VALUES (6,0);
INSERT INTO g2_AccessSubscriberMap VALUES (7,9);

#
# Table structure for table `g2_AlbumItem`
#

CREATE TABLE g2_AlbumItem (
  g_id int(11) NOT NULL default '0',
  g_theme varchar(32) default NULL,
  g_orderBy varchar(128) default NULL,
  g_orderDirection varchar(32) default NULL,
  PRIMARY KEY  (g_id)
) TYPE=MyISAM;

#
# Dumping data for table `g2_AlbumItem`
#


INSERT INTO g2_AlbumItem VALUES (7,NULL,NULL,'asc');

#
# Table structure for table `g2_AnimationItem`
#

CREATE TABLE g2_AnimationItem (
  g_id int(11) NOT NULL default '0',
  g_width int(11) default NULL,
  g_height int(11) default NULL,
  PRIMARY KEY  (g_id)
) TYPE=MyISAM;

#
# Dumping data for table `g2_AnimationItem`
#



#
# Table structure for table `g2_ChildEntity`
#

CREATE TABLE g2_ChildEntity (
  g_id int(11) NOT NULL default '0',
  g_parentId int(11) NOT NULL default '0',
  PRIMARY KEY  (g_id),
  KEY g2_ChildEntity_52718 (g_parentId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_ChildEntity`
#


INSERT INTO g2_ChildEntity VALUES (7,0);

#
# Table structure for table `g2_Comment`
#

CREATE TABLE g2_Comment (
  g_id int(11) NOT NULL default '0',
  g_commenterId int(11) NOT NULL default '0',
  g_host varchar(128) NOT NULL default '',
  g_subject varchar(128) default NULL,
  g_comment text,
  g_date int(11) NOT NULL default '0',
  PRIMARY KEY  (g_id),
  KEY g_date (g_date)
) TYPE=MyISAM;

#
# Dumping data for table `g2_Comment`
#



#
# Table structure for table `g2_DataItem`
#

CREATE TABLE g2_DataItem (
  g_id int(11) NOT NULL default '0',
  g_mimeType varchar(128) default NULL,
  g_size int(11) default NULL,
  PRIMARY KEY  (g_id)
) TYPE=MyISAM;

#
# Dumping data for table `g2_DataItem`
#



#
# Table structure for table `g2_Derivative`
#

CREATE TABLE g2_Derivative (
  g_id int(11) NOT NULL default '0',
  g_derivativeSourceId int(11) NOT NULL default '0',
  g_derivativeOperations varchar(255) default NULL,
  g_derivativeOrder int(11) NOT NULL default '0',
  g_derivativeSize int(11) default NULL,
  g_derivativeType int(11) NOT NULL default '0',
  g_mimeType varchar(128) NOT NULL default '',
  g_postFilterOperations varchar(255) default NULL,
  g_isBroken int(1) default NULL,
  PRIMARY KEY  (g_id),
  KEY g2_Derivative_85338 (g_derivativeSourceId),
  KEY g2_Derivative_25243 (g_derivativeOrder),
  KEY g2_Derivative_97216 (g_derivativeType)
) TYPE=MyISAM;

#
# Dumping data for table `g2_Derivative`
#



#
# Table structure for table `g2_DerivativeImage`
#

CREATE TABLE g2_DerivativeImage (
  g_id int(11) NOT NULL default '0',
  g_width int(11) default NULL,
  g_height int(11) default NULL,
  PRIMARY KEY  (g_id)
) TYPE=MyISAM;

#
# Dumping data for table `g2_DerivativeImage`
#



#
# Table structure for table `g2_DerivativePrefsMap`
#

CREATE TABLE g2_DerivativePrefsMap (
  g_itemId int(11) default NULL,
  g_order int(11) default NULL,
  g_derivativeType int(11) default NULL,
  g_derivativeOperations varchar(255) default NULL,
  KEY g2_DerivativePrefsMap_75985 (g_itemId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_DerivativePrefsMap`
#


INSERT INTO g2_DerivativePrefsMap VALUES (7,0,1,'thumbnail|150');
INSERT INTO g2_DerivativePrefsMap VALUES (7,0,2,'scale|640');

#
# Table structure for table `g2_DescendentCountsMap`
#

CREATE TABLE g2_DescendentCountsMap (
  g_userId int(11) NOT NULL default '0',
  g_itemId int(11) NOT NULL default '0',
  g_descendentCount int(11) NOT NULL default '0',
  PRIMARY KEY  (g_userId,g_itemId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_DescendentCountsMap`
#



#
# Table structure for table `g2_Entity`
#

CREATE TABLE g2_Entity (
  g_id int(11) NOT NULL default '0',
  g_creationTimestamp int(11) NOT NULL default '0',
  g_isLinkable int(1) NOT NULL default '0',
  g_linkId int(11) default NULL,
  g_modificationTimestamp int(11) NOT NULL default '0',
  g_serialNumber int(11) NOT NULL default '0',
  g_entityType varchar(32) NOT NULL default '',
  g_onLoadHandlers varchar(128) default NULL,
  PRIMARY KEY  (g_id),
  KEY g2_Entity_76255 (g_creationTimestamp),
  KEY g2_Entity_35978 (g_isLinkable),
  KEY g2_Entity_63025 (g_modificationTimestamp),
  KEY g2_Entity_60702 (g_serialNumber)
) TYPE=MyISAM;

#
# Dumping data for table `g2_Entity`
#


INSERT INTO g2_Entity VALUES (1,1131528006,0,NULL,1131528006,1,'GalleryEntity',NULL);
INSERT INTO g2_Entity VALUES (2,1131528006,0,NULL,1131528006,1,'GalleryGroup',NULL);
INSERT INTO g2_Entity VALUES (3,1131528006,0,NULL,1131528006,1,'GalleryGroup',NULL);
INSERT INTO g2_Entity VALUES (4,1131528006,0,NULL,1131528006,1,'GalleryGroup',NULL);
INSERT INTO g2_Entity VALUES (5,1131528006,0,NULL,1131528006,1,'GalleryUser',NULL);
INSERT INTO g2_Entity VALUES (6,1131528006,0,NULL,1131528006,1,'GalleryUser',NULL);
INSERT INTO g2_Entity VALUES (7,1131528006,0,NULL,1131528006,1,'GalleryAlbumItem',NULL);

#
# Table structure for table `g2_ExternalIdMap`
#

CREATE TABLE g2_ExternalIdMap (
  g_externalId varchar(128) NOT NULL default '',
  g_entityType varchar(32) NOT NULL default '',
  g_entityId int(11) NOT NULL default '0',
  PRIMARY KEY  (g_externalId,g_entityType)
) TYPE=MyISAM;

#
# Dumping data for table `g2_ExternalIdMap`
#



#
# Table structure for table `g2_FactoryMap`
#

CREATE TABLE g2_FactoryMap (
  g_classType varchar(128) default NULL,
  g_className varchar(128) default NULL,
  g_implId varchar(128) default NULL,
  g_implPath varchar(128) default NULL,
  g_implModuleId varchar(128) default NULL,
  g_hints varchar(255) default NULL,
  g_orderWeight varchar(255) default NULL
) TYPE=MyISAM;

#
# Dumping data for table `g2_FactoryMap`
#


INSERT INTO g2_FactoryMap VALUES ('MaintenanceTask','OptimizeDatabaseTask','OptimizeDatabaseTask','modules/core/classes/OptimizeDatabaseTask.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('ItemAddOption','CreateThumbnailOption','CreateThumbnailOption','modules/core/CreateThumbnailOption.inc','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('ItemAddPlugin','ItemAddFromWeb','ItemAddFromWeb','modules/core/ItemAddFromWeb.inc','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('ItemAddPlugin','ItemAddFromServer','ItemAddFromServer','modules/core/ItemAddFromServer.inc','core','N;','3');
INSERT INTO g2_FactoryMap VALUES ('ItemAddPlugin','ItemAddFromBrowser','ItemAddFromBrowser','modules/core/ItemAddFromBrowser.inc','core','N;','2');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditPhotoThumbnail','ItemEditPhotoThumbnail','modules/core/ItemEditPhotoThumbnail.inc','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditRotateAndScalePhoto','ItemEditRotateAndScalePhoto','modules/core/ItemEditRotateAndScalePhoto.inc','core','N;','3');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditPhoto','ItemEditPhoto','modules/core/ItemEditPhoto.inc','core','N;','2');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditTheme','ItemEditTheme','modules/core/ItemEditTheme.inc','core','N;','3');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditAlbum','ItemEditAlbum','modules/core/ItemEditAlbum.inc','core','N;','2');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditMovie','ItemEditMovie','modules/core/ItemEditMovie.inc','core','N;','2');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditItem','ItemEditItem','modules/core/ItemEditItem.inc','core','N;','1');
INSERT INTO g2_FactoryMap VALUES ('ItemEditPlugin','ItemEditAnimation','ItemEditAnimation','modules/core/ItemEditAnimation.inc','core','N;','2');
INSERT INTO g2_FactoryMap VALUES ('GalleryItem','GalleryUnknownItem','GalleryUnknownItem','modules/core/classes/GalleryUnknownItem.class','core','a:1:{i:0;s:1:\"*\";}','4');
INSERT INTO g2_FactoryMap VALUES ('GallerySearchInterface_1_0','GalleryCoreSearch','GalleryCoreSearch','modules/core/classes/GalleryCoreSearch.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryItem','GalleryAnimationItem','GalleryAnimationItem','modules/core/classes/GalleryAnimationItem.class','core','a:2:{i:0;s:22:\"application/x-director\";i:1;s:29:\"application/x-shockwave-flash\";}','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryItem','GalleryMovieItem','GalleryMovieItem','modules/core/classes/GalleryMovieItem.class','core','a:5:{i:0;s:15:\"video/x-msvideo\";i:1;s:15:\"video/quicktime\";i:2;s:10:\"video/mpeg\";i:3;s:14:\"video/x-ms-asf\";i:4;s:14:\"video/x-ms-wmv\";}','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryItem','GalleryPhotoItem','GalleryPhotoItem','modules/core/classes/GalleryPhotoItem.class','core','a:1:{i:0;s:7:\"image/*\";}','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryUnknownItem','GalleryUnknownItem','modules/core/classes/GalleryUnknownItem.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryPhotoItem','GalleryPhotoItem','modules/core/classes/GalleryPhotoItem.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryAnimationItem','GalleryAnimationItem','modules/core/classes/GalleryAnimationItem.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryMovieItem','GalleryMovieItem','modules/core/classes/GalleryMovieItem.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryDerivative','GalleryDerivativeImage','GalleryDerivativeImage','modules/core/classes/GalleryDerivativeImage.class','core','a:1:{i:0;s:1:\"*\";}','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryDerivativeImage','GalleryDerivativeImage','modules/core/classes/GalleryDerivativeImage.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryDerivative','GalleryDerivative','modules/core/classes/GalleryDerivative.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryGroup','GalleryGroup','modules/core/classes/GalleryGroup.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryUser','GalleryUser','modules/core/classes/GalleryUser.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryAlbumItem','GalleryAlbumItem','modules/core/classes/GalleryAlbumItem.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryEntity','GalleryEntity','modules/core/classes/GalleryEntity.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryChildEntity','GalleryChildEntity','modules/core/classes/GalleryChildEntity.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('MaintenanceTask','FlushTemplatesTask','FlushTemplatesTask','modules/core/classes/FlushTemplatesTask.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('MaintenanceTask','FlushDatabaseCacheTask','FlushDatabaseCacheTask','modules/core/classes/FlushDatabaseCacheTask.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('MaintenanceTask','BuildDerivativesTask','BuildDerivativesTask','modules/core/classes/BuildDerivativesTask.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('MaintenanceTask','ResetViewCountsTask','ResetViewCountsTask','modules/core/classes/ResetViewCountsTask.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('MaintenanceTask','SystemInfoTask','SystemInfoTask','modules/core/classes/SystemInfoTask.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('MaintenanceTask','SetOriginationTimestampTask','SetOriginationTimestampTask','modules/core/classes/SetOriginationTimestampTask.class','core','N;','4');
INSERT INTO g2_FactoryMap VALUES ('GalleryToolkit','ArchiveExtractToolkit','ArchiveUpload','modules/archiveupload/classes/ArchiveExtractToolkit.class','archiveupload','N;','5');
INSERT INTO g2_FactoryMap VALUES ('GalleryEntity','GalleryComment','GalleryComment','modules/comment/classes/GalleryComment.class','comment','N;','5');
INSERT INTO g2_FactoryMap VALUES ('GallerySearchInterface_1_0','GalleryCommentSearch','comment','modules/comment/classes/GalleryCommentSearch.class','comment','N;','5');
INSERT INTO g2_FactoryMap VALUES ('IconsInterface_1_0','IconsImpl','Icons','modules/icons/classes/IconsImpl.class','icons','N;','5');
INSERT INTO g2_FactoryMap VALUES ('GalleryToolkit','ImageMagickToolkit','ImageMagick','modules/imagemagick/classes/ImageMagickToolkit.class','imagemagick','N;','5');
INSERT INTO g2_FactoryMap VALUES ('GalleryToolkit','NetPbmToolkit','NetPBM','modules/netpbm/classes/NetPbmToolkit.class','netpbm','N;','5');
INSERT INTO g2_FactoryMap VALUES ('CartPluginInterface_1_0','ShutterflyCartPlugin','shutterfly','modules/shutterfly/classes/ShutterflyCartPlugin.class','shutterfly','N;','5');
INSERT INTO g2_FactoryMap VALUES ('SlideshowInterface_1_0','SlideshowImpl','Slideshow','modules/slideshow/classes/SlideshowImpl.class','slideshow','N;','5');

#
# Table structure for table `g2_FileSystemEntity`
#

CREATE TABLE g2_FileSystemEntity (
  g_id int(11) NOT NULL default '0',
  g_pathComponent varchar(128) default NULL,
  PRIMARY KEY  (g_id),
  KEY g2_FileSystemEntity_3406 (g_pathComponent)
) TYPE=MyISAM;

#
# Dumping data for table `g2_FileSystemEntity`
#


INSERT INTO g2_FileSystemEntity VALUES (7,NULL);

#
# Table structure for table `g2_G1MigrateMap`
#

CREATE TABLE g2_G1MigrateMap (
  g_itemId int(11) NOT NULL default '0',
  g_g1album varchar(128) NOT NULL default '',
  g_g1item varchar(128) default NULL,
  PRIMARY KEY  (g_itemId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_G1MigrateMap`
#



#
# Table structure for table `g2_Group`
#

CREATE TABLE g2_Group (
  g_id int(11) NOT NULL default '0',
  g_groupType int(11) NOT NULL default '0',
  g_groupName varchar(128) default NULL,
  PRIMARY KEY  (g_id),
  UNIQUE KEY g_groupName (g_groupName)
) TYPE=MyISAM;

#
# Dumping data for table `g2_Group`
#


INSERT INTO g2_Group VALUES (2,2,'Registered Users');
INSERT INTO g2_Group VALUES (3,3,'Site Admins');
INSERT INTO g2_Group VALUES (4,4,'Everybody');

#
# Table structure for table `g2_Item`
#

CREATE TABLE g2_Item (
  g_id int(11) NOT NULL default '0',
  g_canContainChildren int(1) NOT NULL default '0',
  g_description text,
  g_keywords varchar(255) default NULL,
  g_ownerId int(11) NOT NULL default '0',
  g_summary varchar(255) default NULL,
  g_title varchar(128) default NULL,
  g_viewedSinceTimestamp int(11) NOT NULL default '0',
  g_originationTimestamp int(11) NOT NULL default '0',
  PRIMARY KEY  (g_id),
  KEY g2_Item_99070 (g_keywords),
  KEY g2_Item_21573 (g_ownerId),
  KEY g2_Item_54147 (g_summary),
  KEY g2_Item_90059 (g_title)
) TYPE=MyISAM;

#
# Dumping data for table `g2_Item`
#


INSERT INTO g2_Item VALUES (7,1,'This is the main page of your Gallery',NULL,6,NULL,'Gallery',1131528006,1131528006);

#
# Table structure for table `g2_ItemAttributesMap`
#

CREATE TABLE g2_ItemAttributesMap (
  g_itemId int(11) NOT NULL default '0',
  g_viewCount int(11) default NULL,
  g_orderWeight int(11) default NULL,
  g_parentSequence varchar(255) NOT NULL default '',
  PRIMARY KEY  (g_itemId),
  KEY g2_ItemAttributesMap_95270 (g_parentSequence)
) TYPE=MyISAM;

#
# Dumping data for table `g2_ItemAttributesMap`
#


INSERT INTO g2_ItemAttributesMap VALUES (7,1,0,'');

#
# Table structure for table `g2_Lock`
#

CREATE TABLE g2_Lock (
  g_lockId int(11) default NULL,
  g_readEntityId int(11) default NULL,
  g_writeEntityId int(11) default NULL,
  g_freshUntil int(11) default NULL,
  g_request int(11) default NULL,
  KEY g2_Lock_11039 (g_lockId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_Lock`
#



#
# Table structure for table `g2_MaintenanceMap`
#

CREATE TABLE g2_MaintenanceMap (
  g_runId int(11) NOT NULL default '0',
  g_taskId varchar(128) NOT NULL default '',
  g_timestamp int(11) default NULL,
  g_success int(1) default NULL,
  g_details text,
  PRIMARY KEY  (g_runId),
  KEY g2_MaintenanceMap_21687 (g_taskId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_MaintenanceMap`
#



#
# Table structure for table `g2_MimeTypeMap`
#

CREATE TABLE g2_MimeTypeMap (
  g_extension varchar(32) NOT NULL default '',
  g_mimeType varchar(32) NOT NULL default '',
  g_viewable int(1) default NULL,
  PRIMARY KEY  (g_extension)
) TYPE=MyISAM;

#
# Dumping data for table `g2_MimeTypeMap`
#


INSERT INTO g2_MimeTypeMap VALUES ('z','application/x-compress',0);
INSERT INTO g2_MimeTypeMap VALUES ('ai','application/postscript',0);
INSERT INTO g2_MimeTypeMap VALUES ('aif','audio/x-aiff',0);
INSERT INTO g2_MimeTypeMap VALUES ('aifc','audio/x-aiff',0);
INSERT INTO g2_MimeTypeMap VALUES ('aiff','audio/x-aiff',0);
INSERT INTO g2_MimeTypeMap VALUES ('asc','text/plain',0);
INSERT INTO g2_MimeTypeMap VALUES ('au','audio/basic',0);
INSERT INTO g2_MimeTypeMap VALUES ('avi','video/x-msvideo',0);
INSERT INTO g2_MimeTypeMap VALUES ('bcpio','application/x-bcpio',0);
INSERT INTO g2_MimeTypeMap VALUES ('bin','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('bmp','image/bmp',0);
INSERT INTO g2_MimeTypeMap VALUES ('cdf','application/x-netcdf',0);
INSERT INTO g2_MimeTypeMap VALUES ('class','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('cpio','application/x-cpio',0);
INSERT INTO g2_MimeTypeMap VALUES ('cpt','application/mac-compactpro',0);
INSERT INTO g2_MimeTypeMap VALUES ('csh','application/x-csh',0);
INSERT INTO g2_MimeTypeMap VALUES ('css','text/css',0);
INSERT INTO g2_MimeTypeMap VALUES ('dcr','application/x-director',0);
INSERT INTO g2_MimeTypeMap VALUES ('dir','application/x-director',0);
INSERT INTO g2_MimeTypeMap VALUES ('djv','image/vnd.djvu',0);
INSERT INTO g2_MimeTypeMap VALUES ('djvu','image/vnd.djvu',0);
INSERT INTO g2_MimeTypeMap VALUES ('dll','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('dms','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('doc','application/msword',0);
INSERT INTO g2_MimeTypeMap VALUES ('dvi','application/x-dvi',0);
INSERT INTO g2_MimeTypeMap VALUES ('dxr','application/x-director',0);
INSERT INTO g2_MimeTypeMap VALUES ('eps','application/postscript',0);
INSERT INTO g2_MimeTypeMap VALUES ('etx','text/x-setext',0);
INSERT INTO g2_MimeTypeMap VALUES ('exe','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('ez','application/andrew-inset',0);
INSERT INTO g2_MimeTypeMap VALUES ('gif','image/gif',1);
INSERT INTO g2_MimeTypeMap VALUES ('gtar','application/x-gtar',0);
INSERT INTO g2_MimeTypeMap VALUES ('gz','application/x-gzip',0);
INSERT INTO g2_MimeTypeMap VALUES ('hdf','application/x-hdf',0);
INSERT INTO g2_MimeTypeMap VALUES ('hqx','application/mac-binhex40',0);
INSERT INTO g2_MimeTypeMap VALUES ('htm','text/html',0);
INSERT INTO g2_MimeTypeMap VALUES ('html','text/html',0);
INSERT INTO g2_MimeTypeMap VALUES ('ice','x-conference/x-cooltalk',0);
INSERT INTO g2_MimeTypeMap VALUES ('ief','image/ief',0);
INSERT INTO g2_MimeTypeMap VALUES ('iges','model/iges',0);
INSERT INTO g2_MimeTypeMap VALUES ('igs','model/iges',0);
INSERT INTO g2_MimeTypeMap VALUES ('jpg','image/jpeg',1);
INSERT INTO g2_MimeTypeMap VALUES ('jpeg','image/jpeg',1);
INSERT INTO g2_MimeTypeMap VALUES ('jpe','image/jpeg',1);
INSERT INTO g2_MimeTypeMap VALUES ('js','application/x-javascript',0);
INSERT INTO g2_MimeTypeMap VALUES ('kar','audio/midi',0);
INSERT INTO g2_MimeTypeMap VALUES ('latex','application/x-latex',0);
INSERT INTO g2_MimeTypeMap VALUES ('lha','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('lzh','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('m3u','audio/x-mpegurl',0);
INSERT INTO g2_MimeTypeMap VALUES ('man','application/x-troff-man',0);
INSERT INTO g2_MimeTypeMap VALUES ('me','application/x-troff-me',0);
INSERT INTO g2_MimeTypeMap VALUES ('mesh','model/mesh',0);
INSERT INTO g2_MimeTypeMap VALUES ('mid','audio/midi',0);
INSERT INTO g2_MimeTypeMap VALUES ('midi','audio/midi',0);
INSERT INTO g2_MimeTypeMap VALUES ('mif','application/vnd.mif',0);
INSERT INTO g2_MimeTypeMap VALUES ('mov','video/quicktime',0);
INSERT INTO g2_MimeTypeMap VALUES ('movie','video/x-sgi-movie',0);
INSERT INTO g2_MimeTypeMap VALUES ('mp2','audio/mpeg',0);
INSERT INTO g2_MimeTypeMap VALUES ('mp3','audio/mpeg',0);
INSERT INTO g2_MimeTypeMap VALUES ('mpe','video/mpeg',0);
INSERT INTO g2_MimeTypeMap VALUES ('mpeg','video/mpeg',0);
INSERT INTO g2_MimeTypeMap VALUES ('mpg','video/mpeg',0);
INSERT INTO g2_MimeTypeMap VALUES ('mpga','audio/mpeg',0);
INSERT INTO g2_MimeTypeMap VALUES ('ms','application/x-troff-ms',0);
INSERT INTO g2_MimeTypeMap VALUES ('msh','model/mesh',0);
INSERT INTO g2_MimeTypeMap VALUES ('mxu','video/vnd.mpegurl',0);
INSERT INTO g2_MimeTypeMap VALUES ('nc','application/x-netcdf',0);
INSERT INTO g2_MimeTypeMap VALUES ('oda','application/oda',0);
INSERT INTO g2_MimeTypeMap VALUES ('pbm','image/x-portable-bitmap',0);
INSERT INTO g2_MimeTypeMap VALUES ('pdb','chemical/x-pdb',0);
INSERT INTO g2_MimeTypeMap VALUES ('pdf','application/pdf',0);
INSERT INTO g2_MimeTypeMap VALUES ('pgm','image/x-portable-graymap',0);
INSERT INTO g2_MimeTypeMap VALUES ('pgn','application/x-chess-pgn',0);
INSERT INTO g2_MimeTypeMap VALUES ('png','image/png',1);
INSERT INTO g2_MimeTypeMap VALUES ('pnm','image/x-portable-anymap',0);
INSERT INTO g2_MimeTypeMap VALUES ('ppm','image/x-portable-pixmap',0);
INSERT INTO g2_MimeTypeMap VALUES ('ppt','application/vnd.ms-powerpoint',0);
INSERT INTO g2_MimeTypeMap VALUES ('ps','application/postscript',0);
INSERT INTO g2_MimeTypeMap VALUES ('qt','video/quicktime',0);
INSERT INTO g2_MimeTypeMap VALUES ('ra','audio/x-realaudio',0);
INSERT INTO g2_MimeTypeMap VALUES ('ram','audio/x-pn-realaudio',0);
INSERT INTO g2_MimeTypeMap VALUES ('ras','image/x-cmu-raster',0);
INSERT INTO g2_MimeTypeMap VALUES ('rgb','image/x-rgb',0);
INSERT INTO g2_MimeTypeMap VALUES ('rm','audio/x-pn-realaudio',0);
INSERT INTO g2_MimeTypeMap VALUES ('roff','application/x-troff',0);
INSERT INTO g2_MimeTypeMap VALUES ('rpm','audio/x-pn-realaudio-plugin',0);
INSERT INTO g2_MimeTypeMap VALUES ('rtf','text/rtf',0);
INSERT INTO g2_MimeTypeMap VALUES ('rtx','text/richtext',0);
INSERT INTO g2_MimeTypeMap VALUES ('sgm','text/sgml',0);
INSERT INTO g2_MimeTypeMap VALUES ('sgml','text/sgml',0);
INSERT INTO g2_MimeTypeMap VALUES ('sh','application/x-sh',0);
INSERT INTO g2_MimeTypeMap VALUES ('shar','application/x-shar',0);
INSERT INTO g2_MimeTypeMap VALUES ('silo','model/mesh',0);
INSERT INTO g2_MimeTypeMap VALUES ('sit','application/x-stuffit',0);
INSERT INTO g2_MimeTypeMap VALUES ('skd','application/x-koan',0);
INSERT INTO g2_MimeTypeMap VALUES ('skm','application/x-koan',0);
INSERT INTO g2_MimeTypeMap VALUES ('skp','application/x-koan',0);
INSERT INTO g2_MimeTypeMap VALUES ('skt','application/x-koan',0);
INSERT INTO g2_MimeTypeMap VALUES ('smi','application/smil',0);
INSERT INTO g2_MimeTypeMap VALUES ('smil','application/smil',0);
INSERT INTO g2_MimeTypeMap VALUES ('snd','audio/basic',0);
INSERT INTO g2_MimeTypeMap VALUES ('so','application/octet-stream',0);
INSERT INTO g2_MimeTypeMap VALUES ('spl','application/x-futuresplash',0);
INSERT INTO g2_MimeTypeMap VALUES ('src','application/x-wais-source',0);
INSERT INTO g2_MimeTypeMap VALUES ('sv4cpio','application/x-sv4cpio',0);
INSERT INTO g2_MimeTypeMap VALUES ('sv4crc','application/x-sv4crc',0);
INSERT INTO g2_MimeTypeMap VALUES ('svg','image/svg+xml',0);
INSERT INTO g2_MimeTypeMap VALUES ('swf','application/x-shockwave-flash',0);
INSERT INTO g2_MimeTypeMap VALUES ('t','application/x-troff',0);
INSERT INTO g2_MimeTypeMap VALUES ('tar','application/x-tar',0);
INSERT INTO g2_MimeTypeMap VALUES ('tcl','application/x-tcl',0);
INSERT INTO g2_MimeTypeMap VALUES ('tex','application/x-tex',0);
INSERT INTO g2_MimeTypeMap VALUES ('texi','application/x-texinfo',0);
INSERT INTO g2_MimeTypeMap VALUES ('texinfo','application/x-texinfo',0);
INSERT INTO g2_MimeTypeMap VALUES ('tif','image/tiff',0);
INSERT INTO g2_MimeTypeMap VALUES ('tiff','image/tiff',0);
INSERT INTO g2_MimeTypeMap VALUES ('tr','application/x-troff',0);
INSERT INTO g2_MimeTypeMap VALUES ('tsv','text/tab-separated-values',0);
INSERT INTO g2_MimeTypeMap VALUES ('txt','text/plain',0);
INSERT INTO g2_MimeTypeMap VALUES ('ustar','application/x-ustar',0);
INSERT INTO g2_MimeTypeMap VALUES ('vcd','application/x-cdlink',0);
INSERT INTO g2_MimeTypeMap VALUES ('vrml','model/vrml',0);
INSERT INTO g2_MimeTypeMap VALUES ('vsd','application/vnd.visio',0);
INSERT INTO g2_MimeTypeMap VALUES ('wav','audio/x-wav',0);
INSERT INTO g2_MimeTypeMap VALUES ('wbmp','image/vnd.wap.wbmp',0);
INSERT INTO g2_MimeTypeMap VALUES ('wbxml','application/vnd.wap.wbxml',0);
INSERT INTO g2_MimeTypeMap VALUES ('wml','text/vnd.wap.wml',0);
INSERT INTO g2_MimeTypeMap VALUES ('wmlc','application/vnd.wap.wmlc',0);
INSERT INTO g2_MimeTypeMap VALUES ('wmls','text/vnd.wap.wmlscript',0);
INSERT INTO g2_MimeTypeMap VALUES ('wmlsc','application/vnd.wap.wmlscriptc',0);
INSERT INTO g2_MimeTypeMap VALUES ('wrl','model/vrml',0);
INSERT INTO g2_MimeTypeMap VALUES ('xbm','image/x-xbitmap',0);
INSERT INTO g2_MimeTypeMap VALUES ('xht','application/xhtml+xml',0);
INSERT INTO g2_MimeTypeMap VALUES ('xhtml','application/xhtml+xml',0);
INSERT INTO g2_MimeTypeMap VALUES ('xls','application/vnd.ms-excel',0);
INSERT INTO g2_MimeTypeMap VALUES ('xml','text/xml',0);
INSERT INTO g2_MimeTypeMap VALUES ('xpm','image/x-xpixmap',0);
INSERT INTO g2_MimeTypeMap VALUES ('xsl','text/xml',0);
INSERT INTO g2_MimeTypeMap VALUES ('xwd','image/x-xwindowdump',0);
INSERT INTO g2_MimeTypeMap VALUES ('xyz','chemical/x-xyz',0);
INSERT INTO g2_MimeTypeMap VALUES ('zip','application/zip',0);
INSERT INTO g2_MimeTypeMap VALUES ('asf','video/x-ms-asf',0);
INSERT INTO g2_MimeTypeMap VALUES ('wmv','video/x-ms-wmv',0);
INSERT INTO g2_MimeTypeMap VALUES ('wma','audio/x-ms-wma',0);
INSERT INTO g2_MimeTypeMap VALUES ('jp2','image/jp2',0);
INSERT INTO g2_MimeTypeMap VALUES ('jpg2','image/jp2',0);
INSERT INTO g2_MimeTypeMap VALUES ('jpf','image/jpx',0);
INSERT INTO g2_MimeTypeMap VALUES ('jpx','image/jpx',0);
INSERT INTO g2_MimeTypeMap VALUES ('mj2','video/mj2',0);
INSERT INTO g2_MimeTypeMap VALUES ('mjp2','video/mj2',0);
INSERT INTO g2_MimeTypeMap VALUES ('jpm','image/jpm',0);
INSERT INTO g2_MimeTypeMap VALUES ('jpgm','image/jpgm',0);
INSERT INTO g2_MimeTypeMap VALUES ('psd','application/photoshop',0);
INSERT INTO g2_MimeTypeMap VALUES ('pcd','image/x-photo-cd',0);
INSERT INTO g2_MimeTypeMap VALUES ('jpgcmyk','image/jpeg-cmyk',0);
INSERT INTO g2_MimeTypeMap VALUES ('tifcmyk','image/tiff-cmyk',0);

#
# Table structure for table `g2_MovieItem`
#

CREATE TABLE g2_MovieItem (
  g_id int(11) NOT NULL default '0',
  g_width int(11) default NULL,
  g_height int(11) default NULL,
  g_duration int(11) default NULL,
  PRIMARY KEY  (g_id)
) TYPE=MyISAM;

#
# Dumping data for table `g2_MovieItem`
#



#
# Table structure for table `g2_PermissionSetMap`
#

CREATE TABLE g2_PermissionSetMap (
  g_module varchar(128) NOT NULL default '',
  g_permission varchar(128) NOT NULL default '',
  g_description varchar(255) default NULL,
  g_bits int(11) NOT NULL default '0',
  g_flags int(11) NOT NULL default '0',
  UNIQUE KEY g_permission (g_permission)
) TYPE=MyISAM;

#
# Dumping data for table `g2_PermissionSetMap`
#


INSERT INTO g2_PermissionSetMap VALUES ('core','core.all','All access',2147483647,3);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.view','[core] View item',1,0);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.viewResizes','[core] View resized version(s)',2,0);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.viewSource','[core] View original version',4,0);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.viewAll','[core] View all versions',7,2);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.addAlbumItem','[core] Add sub-album',8,4);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.addDataItem','[core] Add sub-item',16,4);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.edit','[core] Edit item',32,4);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.changePermissions','[core] Change item permissions',64,4);
INSERT INTO g2_PermissionSetMap VALUES ('core','core.delete','[core] Delete item',128,4);
INSERT INTO g2_PermissionSetMap VALUES ('comment','comment.add','[comment] Add comments',256,0);
INSERT INTO g2_PermissionSetMap VALUES ('comment','comment.edit','[comment] Edit comments',512,0);
INSERT INTO g2_PermissionSetMap VALUES ('comment','comment.delete','[comment] Delete comments',1024,0);
INSERT INTO g2_PermissionSetMap VALUES ('comment','comment.view','[comment] View comments',2048,0);
INSERT INTO g2_PermissionSetMap VALUES ('comment','comment.all','[comment] All access',3840,2);

#
# Table structure for table `g2_PhotoItem`
#

CREATE TABLE g2_PhotoItem (
  g_id int(11) NOT NULL default '0',
  g_width int(11) default NULL,
  g_height int(11) default NULL,
  PRIMARY KEY  (g_id)
) TYPE=MyISAM;

#
# Dumping data for table `g2_PhotoItem`
#



#
# Table structure for table `g2_PluginMap`
#

CREATE TABLE g2_PluginMap (
  g_pluginType varchar(32) NOT NULL default '',
  g_pluginId varchar(32) NOT NULL default '',
  g_active int(1) NOT NULL default '0',
  PRIMARY KEY  (g_pluginType,g_pluginId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_PluginMap`
#


INSERT INTO g2_PluginMap VALUES ('theme','matrix',1);
INSERT INTO g2_PluginMap VALUES ('module','archiveupload',1);
INSERT INTO g2_PluginMap VALUES ('module','comment',1);
INSERT INTO g2_PluginMap VALUES ('module','icons',1);
INSERT INTO g2_PluginMap VALUES ('module','imagemagick',1);
INSERT INTO g2_PluginMap VALUES ('module','migrate',1);
INSERT INTO g2_PluginMap VALUES ('module','netpbm',1);
INSERT INTO g2_PluginMap VALUES ('module','rearrange',1);
INSERT INTO g2_PluginMap VALUES ('module','search',1);
INSERT INTO g2_PluginMap VALUES ('module','shutterfly',1);
INSERT INTO g2_PluginMap VALUES ('module','slideshow',1);

#
# Table structure for table `g2_PluginParameterMap`
#

CREATE TABLE g2_PluginParameterMap (
  g_pluginType varchar(32) NOT NULL default '',
  g_pluginId varchar(32) NOT NULL default '',
  g_itemId int(11) NOT NULL default '0',
  g_parameterName varchar(128) NOT NULL default '',
  g_parameterValue text NOT NULL,
  UNIQUE KEY g_pluginType (g_pluginType,g_pluginId,g_itemId,g_parameterName),
  KEY g2_PluginParameterMap_12808 (g_pluginType,g_pluginId,g_itemId),
  KEY g2_PluginParameterMap_80596 (g_pluginType)
) TYPE=MyISAM;

#
# Dumping data for table `g2_PluginParameterMap`
#


INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'permissions.directory','0755');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'permissions.file','0644');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'exec.expectedStatus','0');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'default.orderBy','orderWeight');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'default.orderDirection','1');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'default.theme','matrix');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'default.language','en_US');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'default.newAlbumsUseDefaults','false');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'language.selector','none');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'session.lifetime','788400000');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'session.inactivityTimeout','1209600');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'misc.markup','bbcode');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'lock.system','flock');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'format.date','%x');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'format.time','%X');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'format.datetime','%c');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'_requiredCoreApi','6,5');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'_requiredThemeApi','2,1');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'rows','3');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'columns','3');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'showImageOwner','0');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'showAlbumOwner','1');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'showMicroThumbs','0');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'sidebarBlocks','a:4:{i:0;a:2:{i:0;s:18:\"search.SearchBlock\";i:1;a:1:{s:16:\"showAdvancedLink\";b:1;}}i:1;a:2:{i:0;s:14:\"core.ItemLinks\";i:1;a:1:{s:11:\"useDropdown\";b:0;}}i:2;a:2:{i:0;s:13:\"core.PeerList\";i:1;a:0:{}}i:3;a:2:{i:0;s:21:\"imageblock.ImageBlock\";i:1;a:0:{}}}');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'albumBlocks','a:1:{i:0;a:2:{i:0;s:20:\"comment.ViewComments\";i:1;a:0:{}}}');
INSERT INTO g2_PluginParameterMap VALUES ('theme','matrix',0,'photoBlocks','a:2:{i:0;a:2:{i:0;s:13:\"exif.ExifInfo\";i:1;a:0:{}}i:1;a:2:{i:0;s:20:\"comment.ViewComments\";i:1;a:0:{}}}');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'id.accessListCompacterLock','1');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'id.allUserGroup','2');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'id.adminGroup','3');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'id.everybodyGroup','4');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'id.anonymousUser','5');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'id.rootAlbum','7');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'_version','1.0.0.1');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'_callbacks','registerEventListeners|getItemLinks|getSystemLinks|getSiteAdminViews|getUserAdminViews|getItemAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'_requiredCoreApi','6,7');
INSERT INTO g2_PluginParameterMap VALUES ('module','core',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','archiveupload',0,'unzipPath','/usr/bin/unzip');
INSERT INTO g2_PluginParameterMap VALUES ('module','archiveupload',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','archiveupload',0,'_callbacks','getSiteAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','archiveupload',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','archiveupload',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','comment',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','comment',0,'_callbacks','getItemLinks|getItemSummaries|getItemAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','comment',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','comment',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','ffmpeg',0,'path','');
INSERT INTO g2_PluginParameterMap VALUES ('module','ffmpeg',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','ffmpeg',0,'_callbacks','getSiteAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','ffmpeg',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','ffmpeg',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','icons',0,'iconpack','paularmstrongdesigns');
INSERT INTO g2_PluginParameterMap VALUES ('module','icons',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','icons',0,'_callbacks','getSiteAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','icons',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','icons',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'path','/usr/bin/');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'jpegQuality','75');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'cmykSupport','off');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'_callbacks','getSiteAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'binary','');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'compositeCmd','composite');
INSERT INTO g2_PluginParameterMap VALUES ('module','imagemagick',0,'removeMetaDataSwitch','+profile|*');
INSERT INTO g2_PluginParameterMap VALUES ('module','migrate',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','migrate',0,'_callbacks','registerEventListeners|getSiteAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','migrate',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','migrate',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'path','/usr/bin/');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'jpegQuality','75');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'pnmtojpeg','pnmtojpeg');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'bmptopnm','bmptoppm');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'pnmcomp','pnmcomp');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'_callbacks','getSiteAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','netpbm',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','rearrange',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','rearrange',0,'_callbacks','getItemLinks|getItemAdminViews');
INSERT INTO g2_PluginParameterMap VALUES ('module','rearrange',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','rearrange',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'galleryLocation','/gallery/');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'status','a:0:{}');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'embeddedLocation','');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'embeddedHtaccess','');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'accessList','a:0:{}');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'_callbacks','getSiteAdminViews|registerEventListeners');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','rewrite',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','search',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','search',0,'_callbacks','');
INSERT INTO g2_PluginParameterMap VALUES ('module','search',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','search',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','shutterfly',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','shutterfly',0,'_callbacks','getItemLinks');
INSERT INTO g2_PluginParameterMap VALUES ('module','shutterfly',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','shutterfly',0,'_requiredModuleApi','2,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','slideshow',0,'_version','1.0.0');
INSERT INTO g2_PluginParameterMap VALUES ('module','slideshow',0,'_callbacks','getItemLinks');
INSERT INTO g2_PluginParameterMap VALUES ('module','slideshow',0,'_requiredCoreApi','6,0');
INSERT INTO g2_PluginParameterMap VALUES ('module','slideshow',0,'_requiredModuleApi','2,0');

#
# Table structure for table `g2_RecoverPasswordMap`
#

CREATE TABLE g2_RecoverPasswordMap (
  g_userName varchar(32) NOT NULL default '',
  g_authString varchar(32) NOT NULL default '',
  g_requestExpires int(11) NOT NULL default '0',
  PRIMARY KEY  (g_userName)
) TYPE=MyISAM;

#
# Dumping data for table `g2_RecoverPasswordMap`
#



#
# Table structure for table `g2_RewriteMap`
#

CREATE TABLE g2_RewriteMap (
  g_pattern varchar(255) NOT NULL default '',
  g_module varchar(32) NOT NULL default '',
  g_ruleId int(11) NOT NULL default '0',
  g_match varchar(128) default NULL,
  PRIMARY KEY  (g_pattern)
) TYPE=MyISAM;

#
# Dumping data for table `g2_RewriteMap`
#



#
# Table structure for table `g2_Schema`
#

CREATE TABLE g2_Schema (
  g_name varchar(128) NOT NULL default '',
  g_major int(11) NOT NULL default '0',
  g_minor int(11) NOT NULL default '0',
  PRIMARY KEY  (g_name)
) TYPE=MyISAM;

#
# Dumping data for table `g2_Schema`
#


INSERT INTO g2_Schema VALUES ('Schema',1,0);
INSERT INTO g2_Schema VALUES ('ExternalIdMap',1,0);
INSERT INTO g2_Schema VALUES ('AccessMap',1,0);
INSERT INTO g2_Schema VALUES ('AccessSubscriberMap',1,0);
INSERT INTO g2_Schema VALUES ('AlbumItem',1,1);
INSERT INTO g2_Schema VALUES ('AnimationItem',1,0);
INSERT INTO g2_Schema VALUES ('ChildEntity',1,0);
INSERT INTO g2_Schema VALUES ('DataItem',1,0);
INSERT INTO g2_Schema VALUES ('Derivative',1,1);
INSERT INTO g2_Schema VALUES ('DerivativeImage',1,0);
INSERT INTO g2_Schema VALUES ('DerivativePrefsMap',1,0);
INSERT INTO g2_Schema VALUES ('DescendentCountsMap',1,0);
INSERT INTO g2_Schema VALUES ('Entity',1,1);
INSERT INTO g2_Schema VALUES ('FactoryMap',1,0);
INSERT INTO g2_Schema VALUES ('FileSystemEntity',1,0);
INSERT INTO g2_Schema VALUES ('Group',1,1);
INSERT INTO g2_Schema VALUES ('Item',1,1);
INSERT INTO g2_Schema VALUES ('ItemAttributesMap',1,0);
INSERT INTO g2_Schema VALUES ('MaintenanceMap',1,0);
INSERT INTO g2_Schema VALUES ('MimeTypeMap',1,0);
INSERT INTO g2_Schema VALUES ('MovieItem',1,0);
INSERT INTO g2_Schema VALUES ('PermissionSetMap',1,0);
INSERT INTO g2_Schema VALUES ('PhotoItem',1,0);
INSERT INTO g2_Schema VALUES ('PluginMap',1,1);
INSERT INTO g2_Schema VALUES ('PluginParameterMap',1,2);
INSERT INTO g2_Schema VALUES ('RecoverPasswordMap',1,1);
INSERT INTO g2_Schema VALUES ('TkOperatnMap',1,0);
INSERT INTO g2_Schema VALUES ('TkOperatnMimeTypeMap',1,0);
INSERT INTO g2_Schema VALUES ('TkOperatnParameterMap',1,0);
INSERT INTO g2_Schema VALUES ('TkPropertyMap',1,0);
INSERT INTO g2_Schema VALUES ('TkPropertyMimeTypeMap',1,0);
INSERT INTO g2_Schema VALUES ('UnknownItem',1,0);
INSERT INTO g2_Schema VALUES ('User',1,0);
INSERT INTO g2_Schema VALUES ('UserGroupMap',1,0);
INSERT INTO g2_Schema VALUES ('Lock',1,0);
INSERT INTO g2_Schema VALUES ('Comment',1,0);
INSERT INTO g2_Schema VALUES ('G1MigrateMap',1,0);
INSERT INTO g2_Schema VALUES ('RewriteMap',1,0);

#
# Table structure for table `g2_SequenceId`
#

CREATE TABLE g2_SequenceId (
  id int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `g2_SequenceId`
#


INSERT INTO g2_SequenceId VALUES (9);

#
# Table structure for table `g2_SequenceLock`
#

CREATE TABLE g2_SequenceLock (
  id int(11) NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `g2_SequenceLock`
#


INSERT INTO g2_SequenceLock VALUES (0);

#
# Table structure for table `g2_TkOperatnMap`
#

CREATE TABLE g2_TkOperatnMap (
  g_name varchar(128) NOT NULL default '',
  g_parametersCrc varchar(32) NOT NULL default '',
  g_outputMimeType varchar(128) default NULL,
  g_description varchar(255) default NULL,
  PRIMARY KEY  (g_name)
) TYPE=MyISAM;

#
# Dumping data for table `g2_TkOperatnMap`
#


INSERT INTO g2_TkOperatnMap VALUES ('extract','0','','extract files from an archive');
INSERT INTO g2_TkOperatnMap VALUES ('convert-to-image/jpeg','0','image/jpeg','Convert to image/jpeg');
INSERT INTO g2_TkOperatnMap VALUES ('convert-to-image/png','0','image/png','Convert to image/png');
INSERT INTO g2_TkOperatnMap VALUES ('convert-to-image/gif','0','image/gif','Convert to image/gif');
INSERT INTO g2_TkOperatnMap VALUES ('convert-to-image/tiff','0','image/tiff','Convert to image/tiff');
INSERT INTO g2_TkOperatnMap VALUES ('scale','3155881288','','Scale the image to the target size, maintain aspect ratio');
INSERT INTO g2_TkOperatnMap VALUES ('thumbnail','3155881288','','Scale the image to the target size, maintain aspect ratio');
INSERT INTO g2_TkOperatnMap VALUES ('resize','3155881288','','Resize the image to the target dimensions');
INSERT INTO g2_TkOperatnMap VALUES ('rotate','340908721','','Rotate the image');
INSERT INTO g2_TkOperatnMap VALUES ('crop','729751051','','Crop the image');
INSERT INTO g2_TkOperatnMap VALUES ('composite','1204337430','','Overlay source image with a second one');
INSERT INTO g2_TkOperatnMap VALUES ('select-page','340908721','','Select a single page from a multi-page file');
INSERT INTO g2_TkOperatnMap VALUES ('compress','340908721','','Reduce image quality to reach target file size');

#
# Table structure for table `g2_TkOperatnMimeTypeMap`
#

CREATE TABLE g2_TkOperatnMimeTypeMap (
  g_operationName varchar(128) NOT NULL default '',
  g_toolkitId varchar(128) NOT NULL default '',
  g_mimeType varchar(128) NOT NULL default '',
  g_priority int(11) NOT NULL default '0',
  KEY g2_TkOperatnMimeTypeMap_2014 (g_operationName),
  KEY g2_TkOperatnMimeTypeMap_79463 (g_mimeType)
) TYPE=MyISAM;

#
# Dumping data for table `g2_TkOperatnMimeTypeMap`
#


INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('extract','ArchiveUpload','application/zip',5);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','ImageMagick','image/x-portable-pixmap',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/png','ImageMagick','image/x-portable-pixmap',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/gif','ImageMagick','image/x-portable-pixmap',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/tiff','ImageMagick','image/x-portable-pixmap',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/gif',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/pjpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/svg+xml',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/bmp',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/x-photo-cd',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/jpeg-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','ImageMagick','image/tiff-cmyk',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('select-page','ImageMagick','image/tiff',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('select-page','ImageMagick','application/postscript',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('select-page','ImageMagick','application/photoshop',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('compress','ImageMagick','image/jpeg',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('compress','ImageMagick','image/png',21);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','NetPBM','image/x-portable-pixmap',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('convert-to-image/jpeg','NetPBM','image/tiff',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','NetPBM','image/jpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','NetPBM','image/pjpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','NetPBM','image/gif',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','NetPBM','image/png',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','NetPBM','image/tiff',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('scale','NetPBM','image/bmp',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','NetPBM','image/jpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','NetPBM','image/pjpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','NetPBM','image/gif',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','NetPBM','image/png',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','NetPBM','image/tiff',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('thumbnail','NetPBM','image/bmp',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','NetPBM','image/jpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','NetPBM','image/pjpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','NetPBM','image/gif',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','NetPBM','image/png',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','NetPBM','image/tiff',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('resize','NetPBM','image/bmp',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','NetPBM','image/jpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','NetPBM','image/pjpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','NetPBM','image/gif',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','NetPBM','image/png',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','NetPBM','image/tiff',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('rotate','NetPBM','image/bmp',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','NetPBM','image/jpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','NetPBM','image/pjpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','NetPBM','image/gif',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','NetPBM','image/png',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','NetPBM','image/tiff',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('crop','NetPBM','image/bmp',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','NetPBM','image/jpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','NetPBM','image/pjpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','NetPBM','image/gif',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','NetPBM','image/png',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','NetPBM','image/tiff',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('composite','NetPBM','image/bmp',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('compress','NetPBM','image/jpeg',22);
INSERT INTO g2_TkOperatnMimeTypeMap VALUES ('compress','NetPBM','image/pjpeg',22);

#
# Table structure for table `g2_TkOperatnParameterMap`
#

CREATE TABLE g2_TkOperatnParameterMap (
  g_operationName varchar(128) NOT NULL default '',
  g_position int(11) NOT NULL default '0',
  g_type varchar(128) NOT NULL default '',
  g_description varchar(255) default NULL,
  KEY g2_TkOperatnParameterMap_2014 (g_operationName)
) TYPE=MyISAM;

#
# Dumping data for table `g2_TkOperatnParameterMap`
#


INSERT INTO g2_TkOperatnParameterMap VALUES ('scale',0,'int','target width');
INSERT INTO g2_TkOperatnParameterMap VALUES ('scale',1,'int','(optional) target height, defaults to same as width');
INSERT INTO g2_TkOperatnParameterMap VALUES ('thumbnail',0,'int','target width');
INSERT INTO g2_TkOperatnParameterMap VALUES ('thumbnail',1,'int','(optional) target height, defaults to same as width');
INSERT INTO g2_TkOperatnParameterMap VALUES ('resize',0,'int','target width');
INSERT INTO g2_TkOperatnParameterMap VALUES ('resize',1,'int','target height');
INSERT INTO g2_TkOperatnParameterMap VALUES ('rotate',0,'int','rotation degrees');
INSERT INTO g2_TkOperatnParameterMap VALUES ('crop',0,'float','left edge %');
INSERT INTO g2_TkOperatnParameterMap VALUES ('crop',1,'float','top edge %');
INSERT INTO g2_TkOperatnParameterMap VALUES ('crop',2,'float','width %');
INSERT INTO g2_TkOperatnParameterMap VALUES ('crop',3,'float','height %');
INSERT INTO g2_TkOperatnParameterMap VALUES ('composite',0,'string','overlay path');
INSERT INTO g2_TkOperatnParameterMap VALUES ('composite',1,'string','overlay mime type');
INSERT INTO g2_TkOperatnParameterMap VALUES ('composite',2,'int','overlay width');
INSERT INTO g2_TkOperatnParameterMap VALUES ('composite',3,'int','overlay height');
INSERT INTO g2_TkOperatnParameterMap VALUES ('composite',4,'string','alignment type');
INSERT INTO g2_TkOperatnParameterMap VALUES ('composite',5,'int','alignment x %');
INSERT INTO g2_TkOperatnParameterMap VALUES ('composite',6,'int','alignment y %');
INSERT INTO g2_TkOperatnParameterMap VALUES ('select-page',0,'int','page number');
INSERT INTO g2_TkOperatnParameterMap VALUES ('compress',0,'int','target size in kb');

#
# Table structure for table `g2_TkPropertyMap`
#

CREATE TABLE g2_TkPropertyMap (
  g_name varchar(128) NOT NULL default '',
  g_type varchar(128) NOT NULL default '',
  g_description varchar(128) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `g2_TkPropertyMap`
#


INSERT INTO g2_TkPropertyMap VALUES ('dimensions','int,int','Get the width and height of the image');
INSERT INTO g2_TkPropertyMap VALUES ('page-count','int','Get the number of pages');

#
# Table structure for table `g2_TkPropertyMimeTypeMap`
#

CREATE TABLE g2_TkPropertyMimeTypeMap (
  g_propertyName varchar(128) NOT NULL default '',
  g_toolkitId varchar(128) NOT NULL default '',
  g_mimeType varchar(128) NOT NULL default '',
  KEY g2_TkPropertyMimeTypeMap_52881 (g_propertyName),
  KEY g2_TkPropertyMimeTypeMap_79463 (g_mimeType)
) TYPE=MyISAM;

#
# Dumping data for table `g2_TkPropertyMimeTypeMap`
#


INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/gif');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/jpeg');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/pjpeg');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/png');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/tiff');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/svg+xml');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/bmp');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','application/postscript');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','application/photoshop');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/x-photo-cd');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/jpeg-cmyk');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/tiff-cmyk');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','ImageMagick','image/x-portable-pixmap');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('page-count','ImageMagick','image/tiff');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('page-count','ImageMagick','application/postscript');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('page-count','ImageMagick','application/photoshop');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','NetPBM','image/jpeg');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','NetPBM','image/pjpeg');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','NetPBM','image/gif');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','NetPBM','image/png');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','NetPBM','image/tiff');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','NetPBM','image/bmp');
INSERT INTO g2_TkPropertyMimeTypeMap VALUES ('dimensions','NetPBM','image/x-portable-pixmap');

#
# Table structure for table `g2_UnknownItem`
#

CREATE TABLE g2_UnknownItem (
  g_id int(11) NOT NULL default '0',
  PRIMARY KEY  (g_id)
) TYPE=MyISAM;

#
# Dumping data for table `g2_UnknownItem`
#



#
# Table structure for table `g2_User`
#

CREATE TABLE g2_User (
  g_id int(11) NOT NULL default '0',
  g_userName varchar(32) NOT NULL default '',
  g_fullName varchar(128) default NULL,
  g_hashedPassword varchar(128) default NULL,
  g_email varchar(128) default NULL,
  g_language varchar(128) default NULL,
  PRIMARY KEY  (g_id),
  UNIQUE KEY g_userName (g_userName)
) TYPE=MyISAM;

#
# Dumping data for table `g2_User`
#


INSERT INTO g2_User VALUES (5,'guest','Guest','kg]Jeb3ee988d7ef8034e5e762b2a64aca17',NULL,NULL);
INSERT INTO g2_User VALUES (6,'admin','Gallery Administrator','1]Pea8168167db66e6e43ba194ffcbfaa306','blackhole@ensim.com',NULL);

#
# Table structure for table `g2_UserGroupMap`
#

CREATE TABLE g2_UserGroupMap (
  g_userId int(11) NOT NULL default '0',
  g_groupId int(11) NOT NULL default '0',
  KEY g2_UserGroupMap_69068 (g_userId),
  KEY g2_UserGroupMap_89328 (g_groupId)
) TYPE=MyISAM;

#
# Dumping data for table `g2_UserGroupMap`
#


INSERT INTO g2_UserGroupMap VALUES (6,2);
INSERT INTO g2_UserGroupMap VALUES (5,4);
INSERT INTO g2_UserGroupMap VALUES (6,4);
INSERT INTO g2_UserGroupMap VALUES (6,3);

