# MySQL dump 9.11
#
# Host: localhost    Database: piki
# ------------------------------------------------------
# Server version	3.23.58

#
# Table structure for table `archive`
#

CREATE TABLE archive (
  ar_namespace tinyint(2) unsigned NOT NULL default '0',
  ar_title varchar(255) binary NOT NULL default '',
  ar_text mediumtext NOT NULL,
  ar_comment tinyblob NOT NULL,
  ar_user int(5) unsigned NOT NULL default '0',
  ar_user_text varchar(255) binary NOT NULL default '',
  ar_timestamp varchar(14) binary NOT NULL default '',
  ar_minor_edit tinyint(1) NOT NULL default '0',
  ar_flags tinyblob NOT NULL,
  KEY name_title_timestamp (ar_namespace,ar_title,ar_timestamp)
) TYPE=MyISAM;

#
# Dumping data for table `archive`
#


#
# Table structure for table `blobs`
#

CREATE TABLE blobs (
  blob_index varchar(255) binary NOT NULL default '',
  blob_data longblob NOT NULL,
  UNIQUE KEY blob_index (blob_index)
) TYPE=MyISAM;

#
# Dumping data for table `blobs`
#


#
# Table structure for table `brokenlinks`
#

CREATE TABLE brokenlinks (
  bl_from int(8) unsigned NOT NULL default '0',
  bl_to varchar(255) binary NOT NULL default '',
  UNIQUE KEY bl_from (bl_from,bl_to),
  KEY bl_to (bl_to)
) TYPE=MyISAM;

#
# Dumping data for table `brokenlinks`
#


#
# Table structure for table `categorylinks`
#

CREATE TABLE categorylinks (
  cl_from int(8) unsigned NOT NULL default '0',
  cl_to varchar(255) binary NOT NULL default '',
  cl_sortkey varchar(255) binary NOT NULL default '',
  cl_timestamp timestamp(14) NOT NULL,
  UNIQUE KEY cl_from (cl_from,cl_to),
  KEY cl_sortkey (cl_to,cl_sortkey(128)),
  KEY cl_timestamp (cl_to,cl_timestamp)
) TYPE=MyISAM;

#
# Dumping data for table `categorylinks`
#


#
# Table structure for table `cur`
#

CREATE TABLE cur (
  cur_id int(8) unsigned NOT NULL auto_increment,
  cur_namespace tinyint(2) unsigned NOT NULL default '0',
  cur_title varchar(255) binary NOT NULL default '',
  cur_text mediumtext NOT NULL,
  cur_comment tinyblob NOT NULL,
  cur_user int(5) unsigned NOT NULL default '0',
  cur_user_text varchar(255) binary NOT NULL default '',
  cur_timestamp varchar(14) binary NOT NULL default '',
  cur_restrictions tinyblob NOT NULL,
  cur_counter bigint(20) unsigned NOT NULL default '0',
  cur_is_redirect tinyint(1) unsigned NOT NULL default '0',
  cur_minor_edit tinyint(1) unsigned NOT NULL default '0',
  cur_is_new tinyint(1) unsigned NOT NULL default '0',
  cur_random double unsigned NOT NULL default '0',
  cur_touched varchar(14) binary NOT NULL default '',
  inverse_timestamp varchar(14) binary NOT NULL default '',
  PRIMARY KEY  (cur_id),
  UNIQUE KEY name_title (cur_namespace,cur_title),
  KEY cur_title (cur_title(20)),
  KEY cur_timestamp (cur_timestamp),
  KEY cur_random (cur_random),
  KEY name_title_timestamp (cur_namespace,cur_title,inverse_timestamp),
  KEY user_timestamp (cur_user,inverse_timestamp),
  KEY usertext_timestamp (cur_user_text,inverse_timestamp),
  KEY namespace_redirect_timestamp (cur_namespace,cur_is_redirect,cur_timestamp),
  KEY id_title_ns_red (cur_id,cur_title,cur_namespace,cur_is_redirect)
) TYPE=MyISAM;

#
# Dumping data for table `cur`
#

INSERT INTO cur VALUES (1,0,'Main_Page','Wiki software successfully installed.\n\nPlease see [http://meta.wikipedia.org/wiki/MediaWiki_i18n documentation on customizing the interface]\nand the [http://meta.wikipedia.org/wiki/MediaWiki_User%27s_Guide User\'s Guide] for usage and configuration help.','',0,'MediaWiki default','20060411182420','',2,0,0,0,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (2,8,'1movedto2','$1 moved to $2','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (3,8,'1movedto2_redir','$1 moved to $2 over redirect','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (4,8,'Monobook.css','/* edit this file to customize the monobook skin for the entire site */','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (5,8,'Monobook.js','/* tooltips and access keys */\nta = new Object();\nta[\'pt-userpage\'] = new Array(\'.\',\'My user page\');\nta[\'pt-anonuserpage\'] = new Array(\'.\',\'The user page for the ip you\\\'re editing as\');\nta[\'pt-mytalk\'] = new Array(\'n\',\'My talk page\');\nta[\'pt-anontalk\'] = new Array(\'n\',\'Discussion about edits from this ip address\');\nta[\'pt-preferences\'] = new Array(\'\',\'My preferences\');\nta[\'pt-watchlist\'] = new Array(\'l\',\'The list of pages you\\\'re monitoring for changes.\');\nta[\'pt-mycontris\'] = new Array(\'y\',\'List of my contributions\');\nta[\'pt-login\'] = new Array(\'o\',\'You are encouraged to log in, it is not mandatory however.\');\nta[\'pt-anonlogin\'] = new Array(\'o\',\'You are encouraged to log in, it is not mandatory however.\');\nta[\'pt-logout\'] = new Array(\'o\',\'Log out\');\nta[\'ca-talk\'] = new Array(\'t\',\'Discussion about the content page\');\nta[\'ca-edit\'] = new Array(\'e\',\'You can edit this page. Please use the preview button before saving.\');\nta[\'ca-addsection\'] = new Array(\'+\',\'Add a comment to this discussion.\');\nta[\'ca-viewsource\'] = new Array(\'e\',\'This page is protected. You can view its source.\');\nta[\'ca-history\'] = new Array(\'h\',\'Past versions of this page.\');\nta[\'ca-protect\'] = new Array(\'=\',\'Protect this page\');\nta[\'ca-delete\'] = new Array(\'d\',\'Delete this page\');\nta[\'ca-undelete\'] = new Array(\'d\',\'Restore the edits done to this page before it was deleted\');\nta[\'ca-move\'] = new Array(\'m\',\'Move this page\');\nta[\'ca-nomove\'] = new Array(\'\',\'You don\\\'t have the permissions to move this page\');\nta[\'ca-watch\'] = new Array(\'w\',\'Add this page to your watchlist\');\nta[\'ca-unwatch\'] = new Array(\'w\',\'Remove this page from your watchlist\');\nta[\'search\'] = new Array(\'f\',\'Search this wiki\');\nta[\'p-logo\'] = new Array(\'\',\'Main Page\');\nta[\'n-mainpage\'] = new Array(\'z\',\'Visit the Main Page\');\nta[\'n-portal\'] = new Array(\'\',\'About the project, what you can do, where to find things\');\nta[\'n-currentevents\'] = new Array(\'\',\'Find background information on current events\');\nta[\'n-recentchanges\'] = new Array(\'r\',\'The list of recent changes in the wiki.\');\nta[\'n-randompage\'] = new Array(\'x\',\'Load a random page\');\nta[\'n-help\'] = new Array(\'\',\'The place to find out.\');\nta[\'n-sitesupport\'] = new Array(\'\',\'Support us\');\nta[\'t-whatlinkshere\'] = new Array(\'j\',\'List of all wiki pages that link here\');\nta[\'t-recentchangeslinked\'] = new Array(\'k\',\'Recent changes in pages linked from this page\');\nta[\'feed-rss\'] = new Array(\'\',\'RSS feed for this page\');\nta[\'feed-atom\'] = new Array(\'\',\'Atom feed for this page\');\nta[\'t-contributions\'] = new Array(\'\',\'View the list of contributions of this user\');\nta[\'t-emailuser\'] = new Array(\'\',\'Send a mail to this user\');\nta[\'t-upload\'] = new Array(\'u\',\'Upload images or media files\');\nta[\'t-specialpages\'] = new Array(\'q\',\'List of all special pages\');\nta[\'ca-nstab-main\'] = new Array(\'c\',\'View the content page\');\nta[\'ca-nstab-user\'] = new Array(\'c\',\'View the user page\');\nta[\'ca-nstab-media\'] = new Array(\'c\',\'View the media page\');\nta[\'ca-nstab-special\'] = new Array(\'\',\'This is a special page, you can\\\'t edit the page itself.\');\nta[\'ca-nstab-wp\'] = new Array(\'a\',\'View the project page\');\nta[\'ca-nstab-image\'] = new Array(\'c\',\'View the image page\');\nta[\'ca-nstab-mediawiki\'] = new Array(\'c\',\'View the system message\');\nta[\'ca-nstab-template\'] = new Array(\'c\',\'View the template\');\nta[\'ca-nstab-help\'] = new Array(\'c\',\'View the help page\');\nta[\'ca-nstab-category\'] = new Array(\'c\',\'View the category page\');\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (6,8,'About','About','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (7,8,'Aboutpage','Project:About','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (8,8,'Aboutsite','About {{SITENAME}}','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (9,8,'Accesskey-compareselectedversions','v','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (10,8,'Accesskey-minoredit','i','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (11,8,'Accesskey-preview','p','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (12,8,'Accesskey-save','s','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (13,8,'Accesskey-search','f','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (14,8,'Accmailtext','The Password for \'$1\' has been sent to $2.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (15,8,'Accmailtitle','Password sent.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (16,8,'Acct_creation_throttle_hit','Sorry, you have already created $1 accounts. You can\'t make any more.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (17,8,'Actioncomplete','Action complete','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (18,8,'Addedwatch','Added to watchlist','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (19,8,'Addedwatchtext','The page \"$1\" has been added to your [[Special:Watchlist|watchlist]].\nFuture changes to this page and its associated Talk page will be listed there,\nand the page will appear \'\'\'bolded\'\'\' in the [[Special:Recentchanges|list of recent changes]] to\nmake it easier to pick out.\n\n<p>If you want to remove the page from your watchlist later, click \"Stop watching\" in the sidebar.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (20,8,'Addgroup','Add Group','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (21,8,'Addsection','+','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (22,8,'Administrators','Project:Administrators','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (23,8,'Affirmation','I affirm that the copyright holder of this file\nagrees to license it under the terms of the $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (24,8,'All','all','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (25,8,'Allarticles','All articles','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (26,8,'Alllogstext','Combined display of upload, deletion, protection, blocking, and sysop logs.\nYou can narrow down the view by selecting a log type, the user name, or the affected page.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (27,8,'Allmessages','All system messages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (28,8,'Allmessagescurrent','Current text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (29,8,'Allmessagesdefault','Default text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (30,8,'Allmessagesname','Name','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (31,8,'AllmessagesnotsupportedDB','Special:AllMessages not supported because wgUseDatabaseMessages is off.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (32,8,'AllmessagesnotsupportedUI','Your current interface language <b>$1</b> is not supported by Special:AllMessages at this site. ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (33,8,'Allmessagestext','This is a list of all system messages available in the MediaWiki: namespace.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (34,8,'Allpages','All pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (35,8,'Allpagesformtext1','Display pages starting at: $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (36,8,'Allpagesformtext2','Choose namespace: $1 $2','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (37,8,'Allpagesnamespace','All pages ($1 namespace)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (38,8,'Allpagesnext','Next','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (39,8,'Allpagesprev','Previous','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (40,8,'Allpagessubmit','Go','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (41,8,'Alphaindexline','$1 to $2','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (42,8,'Alreadyloggedin','<font color=red><b>User $1, you are already logged in!</b></font><br />\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (43,8,'Alreadyrolled','Cannot rollback last edit of [[$1]]\nby [[User:$2|$2]] ([[User talk:$2|Talk]]); someone else has edited or rolled back the page already.\n\nLast edit was by [[User:$3|$3]] ([[User talk:$3|Talk]]). ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (44,8,'Ancientpages','Oldest pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (45,8,'And','and','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (46,8,'Anontalk','Talk for this IP','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (47,8,'Anontalkpagetext','##\'\'This is the discussion page for an anonymous user who has not created an account yet or who does not use it. We therefore have to use the numerical [[IP address]] to identify him/her. Such an IP address can be shared by several users. If you are an anonymous user and feel that irrelevant comments have been directed at you, please [[Special:Userlogin|create an account or log in]] to avoid future confusion with other anonymous users.\'\' ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (48,8,'Anonymous','Anonymous user(s) of PersoanlWiki','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (49,8,'Apr','Apr','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (50,8,'April','April','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (51,8,'Article','Content page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (52,8,'Articleexists','A page of that name already exists, or the\nname you have chosen is not valid.\nPlease choose another name.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (53,8,'Articlenamespace','(articles)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (54,8,'Articlepage','View content page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (55,8,'Asksql','SQL query','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (56,8,'Asksqlpheading','asksql level','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (57,8,'Asksqltext','Use the form below to make a direct query of the\ndatabase.\nUse single quotes (\'like this\') to delimit string literals.\nThis can often add considerable load to the server, so please use\nthis function sparingly.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (58,8,'Aug','Aug','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (59,8,'August','August','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (60,8,'Autoblocker','Autoblocked because you share an IP address with \"$1\". Reason \"$2\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (61,8,'Bad_image_list','','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (62,8,'Badarticleerror','This action cannot be performed on this page.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (63,8,'Badfilename','Image name has been changed to \"$1\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (64,8,'Badfiletype','\".$1\" is not a recommended image file format.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (65,8,'Badipaddress','Invalid IP address','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (66,8,'Badquery','Badly formed search query','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (67,8,'Badquerytext','We could not process your query.\nThis is probably because you have attempted to search for a\nword fewer than three letters long, which is not yet supported.\nIt could also be that you have mistyped the expression, for\nexample \"fish and and scales\".\nPlease try another query.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (68,8,'Badretype','The passwords you entered do not match.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (69,8,'Badtitle','Bad title','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (70,8,'Badtitletext','The requested page title was invalid, empty, or\nan incorrectly linked inter-language or inter-wiki title.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (71,8,'Blanknamespace','(Main)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (72,8,'Block_compress_delete','Can\'t delete this article because it contains block-compressed revisions. \nThis is a temporary situation which the developers are well aware of, and should be fixed within a month or two. \nPlease mark the article for deletion and wait for a developer to fix our buggy software.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (73,8,'Blockedtext','Your user name or IP address has been blocked by $1.\nThe reason given is this:<br />\'\'$2\'\'<p>You may contact $1 or one of the other\n[[Project:Administrators|administrators]] to discuss the block.\n\nNote that you may not use the \"email this user\" feature unless you have a valid email address registered in your [[Special:Preferences|user preferences]].\n\nYour IP address is $3. Please include this address in any queries you make.\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (74,8,'Blockedtitle','User is blocked','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (75,8,'Blockip','Block user','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (76,8,'Blockipsuccesssub','Block succeeded','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (77,8,'Blockipsuccesstext','\"$1\" has been blocked.\n<br />See [[Special:Ipblocklist|IP block list]] to review blocks.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (78,8,'Blockiptext','Use the form below to block write access\nfrom a specific IP address or username.\nThis should be done only only to prevent vandalism, and in\naccordance with [[Project:Policy|policy]].\nFill in a specific reason below (for example, citing particular\npages that were vandalized).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (79,8,'Blocklink','block','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (80,8,'Blocklistline','$1, $2 blocked $3 (expires $4)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (81,8,'Blocklogentry','blocked \"$1\" with an expiry time of $2','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (82,8,'Blocklogpage','Block_log','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (83,8,'Blocklogtext','This is a log of user blocking and unblocking actions. Automatically\nblocked IP addresses are not listed. See the [[Special:Ipblocklist|IP block list]] for\nthe list of currently operational bans and blocks.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (84,8,'Blockpheading','block level','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (85,8,'Bold_sample','Bold text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (86,8,'Bold_tip','Bold text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (87,8,'Booksources','Book sources','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (88,8,'Booksourcetext','Below is a list of links to other sites that\nsell new and used books, and may also have further information\nabout books you are looking for.\n{{SITENAME}} is not affiliated with any of these businesses, and\nthis list should not be construed as an endorsement.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (89,8,'Brokenredirects','Broken Redirects','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (90,8,'Brokenredirectstext','The following redirects link to a non-existing pages.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (91,8,'Bugreports','Bug reports','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (92,8,'Bugreportspage','Project:Bug_reports','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (93,8,'Bureaucratlog','Bureaucrat_log','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (94,8,'Bureaucratlogentry','Rights for user \"$1\" set \"$2\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (95,8,'Bureaucrattext','The action you have requested can only be\nperformed by sysops with  \"bureaucrat\" status.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (96,8,'Bureaucrattitle','Bureaucrat access required','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (97,8,'Bydate','by date','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (98,8,'Byname','by name','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (99,8,'Bysize','by size','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (100,8,'Cachederror','The following is a cached copy of the requested page, and may not be up to date.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (101,8,'Cancel','Cancel','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (102,8,'Cannotdelete','Could not delete the page or image specified. (It may have already been deleted by someone else.)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (103,8,'Cantrollback','Cannot revert edit; last contributor is only author of this page.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (104,8,'Categories','Categories','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (105,8,'Categoriespagetext','The following categories exist in the wiki.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (106,8,'Category','category','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (107,8,'Category_header','Articles in category \"$1\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (108,8,'Categoryarticlecount','There are $1 articles in this category.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (109,8,'Categoryarticlecount1','There is $1 article in this category.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (110,8,'Changepassword','Change password','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (111,8,'Changes','changes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (112,8,'Clearyourcache','\'\'\'Note:\'\'\' After saving, you have to clear your browser cache to see the changes: \'\'\'Mozilla:\'\'\' click \'\'Reload\'\' (or \'\'Ctrl-R\'\'), \'\'\'IE / Opera:\'\'\' \'\'Ctrl-F5\'\', \'\'\'Safari:\'\'\' \'\'Cmd-R\'\', \'\'\'Konqueror\'\'\' \'\'Ctrl-R\'\'.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (113,8,'Columns','Columns','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (114,8,'Compareselectedversions','Compare selected versions','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (115,8,'Confirm','Confirm','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (116,8,'Confirmcheck','Yes, I really want to delete this.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (117,8,'Confirmdelete','Confirm delete','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (118,8,'Confirmdeletetext','You are about to permanently delete a page\nor image along with all of its history from the database.\nPlease confirm that you intend to do this, that you understand the\nconsequences, and that you are doing this in accordance with\n[[Project:Policy]].','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (119,8,'Confirmprotect','Confirm protection','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (120,8,'Confirmprotecttext','Do you really want to protect this page?','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (121,8,'Confirmunprotect','Confirm unprotection','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (122,8,'Confirmunprotecttext','Do you really want to unprotect this page?','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (123,8,'Contextchars','Characters of context per line','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (124,8,'Contextlines','Lines to show per hit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (125,8,'Contribslink','contribs','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (126,8,'Contribsub','For $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (127,8,'Contributions','User contributions','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (128,8,'Copyright','Content is available under $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (129,8,'Copyrightpage','Project:Copyrights','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (130,8,'Copyrightpagename','{{SITENAME}} copyright','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (131,8,'Copyrightwarning','Please note that all contributions to {{SITENAME}} are\nconsidered to be released under the $2 (see $1 for details).\nIf you don\'t want your writing to be edited mercilessly and redistributed\nat will, then don\'t submit it here.<br />\nYou are also promising us that you wrote this yourself, or copied it from a\npublic domain or similar free resource.\n<strong>DO NOT SUBMIT COPYRIGHTED WORK WITHOUT PERMISSION!</strong>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (132,8,'Copyrightwarning2','Please note that all contributions to {{SITENAME}}\nmay be edited, altered, or removed by other contributors.\nIf you don\'t want your writing to be edited mercilessly, then don\'t submit it here.<br />\nYou are also promising us that you wrote this yourself, or copied it from a\npublic domain or similar free resource (see $1 for details).\n<strong>DO NOT SUBMIT COPYRIGHTED WORK WITHOUT PERMISSION!</strong>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (133,8,'Couldntremove','Couldn\'t remove item \'$1\'...','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (134,8,'Createaccount','Create new account','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (135,8,'Createaccountmail','by email','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (136,8,'Createaccountpheading','createaccount level','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (137,8,'Creditspage','Page credits','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (138,8,'Cur','cur','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (139,8,'Currentevents','Current events','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (140,8,'Currentevents-url','Current events','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (141,8,'Currentrev','Current revision','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (142,8,'Currentrevisionlink','view current revision','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (143,8,'Data','Data','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (144,8,'Databaseerror','Database error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (145,8,'Dateformat','Date format','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (146,8,'Dberrortext','A database query syntax error has occurred.\nThis may indicate a bug in the software.\nThe last attempted database query was:\n<blockquote><tt>$1</tt></blockquote>\nfrom within function \"<tt>$2</tt>\".\nMySQL returned error \"<tt>$3: $4</tt>\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (147,8,'Dberrortextcl','A database query syntax error has occurred.\nThe last attempted database query was:\n\"$1\"\nfrom within function \"$2\".\nMySQL returned error \"$3: $4\".\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (148,8,'Deadendpages','Dead-end pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (149,8,'Debug','Debug','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (150,8,'Dec','Dec','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (151,8,'December','December','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (152,8,'Default','default','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (153,8,'Defaultns','Search in these namespaces by default:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (154,8,'Defemailsubject','{{SITENAME}} e-mail','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (155,8,'Delete','Delete','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (156,8,'Deletecomment','Reason for deletion','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (157,8,'Deletedarticle','deleted \"$1\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (158,8,'Deletedrevision','Deleted old revision $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (159,8,'Deletedtext','\"$1\" has been deleted.\nSee $2 for a record of recent deletions.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (160,8,'Deleteimg','del','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (161,8,'Deleteimgcompletely','Delete all revisions','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (162,8,'Deletepage','Delete page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (163,8,'Deletepheading','delete level','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (164,8,'Deletesub','(Deleting \"$1\")','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (165,8,'Deletethispage','Delete this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (166,8,'Deletionlog','deletion log','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (167,8,'Dellogpage','Deletion_log','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (168,8,'Dellogpagetext','Below is a list of the most recent deletions.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (169,8,'Developertext','The action you have requested can only be\nperformed by users with \"developer\" status.\nSee $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (170,8,'Developertitle','Developer access required','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (171,8,'Diff','diff','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (172,8,'Difference','(Difference between revisions)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (173,8,'Disambiguations','Disambiguation pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (174,8,'Disambiguationspage','Project:Links_to_disambiguating_pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (175,8,'Disambiguationstext','The following pages link to a <i>disambiguation page</i>. They should link to the appropriate topic instead.<br />A page is treated as disambiguation if it is linked from $1.<br />Links from other namespaces are <i>not</i> listed here.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (176,8,'Disclaimerpage','Project:General_disclaimer','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (177,8,'Disclaimers','Disclaimers','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (178,8,'Doubleredirects','Double Redirects','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (179,8,'Doubleredirectstext','Each row contains links to the first and second redirect, as well as the first line of the second redirect text, usually giving the \"real\" target page, which the first redirect should point to.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (180,8,'Edit','Edit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (181,8,'Editcomment','The edit comment was: \"<i>$1</i>\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (182,8,'Editconflict','Edit conflict: $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (183,8,'Editcurrent','Edit the current version of this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (184,8,'Editgroup','Edit Group','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (185,8,'Edithelp','Editing help','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (186,8,'Edithelppage','Help:Editing','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (187,8,'Editing','Editing $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (188,8,'Editingcomment','Editing $1 (comment)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (189,8,'Editingold','<strong>WARNING: You are editing an out-of-date\nrevision of this page.\nIf you save it, any changes made since this revision will be lost.</strong>\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (190,8,'Editingsection','Editing $1 (section)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (191,8,'Editsection','edit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (192,8,'Editthispage','Edit this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (193,8,'Editusergroup','Edit User Groups','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (194,8,'Emailflag','Disable e-mail from other users','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (195,8,'Emailforlost','Fields marked with a star (*) are optional.  Storing an email address enables people to contact you through the website without you having to reveal your\nemail address to them, and it can be used to send you a new password if you forget it.<br /><br />Your real name, if you choose to provide it, will be used for giving you attribution for your work.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (196,8,'Emailfrom','From','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (197,8,'Emailmessage','Message','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (198,8,'Emailpage','E-mail user','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (199,8,'Emailpagetext','If this user has entered a valid e-mail address in\nhis or her user preferences, the form below will send a single message.\nThe e-mail address you entered in your user preferences will appear\nas the \"From\" address of the mail, so the recipient will be able\nto reply.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (200,8,'Emailsend','Send','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (201,8,'Emailsent','E-mail sent','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (202,8,'Emailsenttext','Your e-mail message has been sent.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (203,8,'Emailsubject','Subject','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (204,8,'Emailto','To','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (205,8,'Emailuser','E-mail this user','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (206,8,'Emptyfile','The file you uploaded seems to be empty. This might be due to a typo in the file name. Please check whether you really want to upload this file.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (207,8,'Enterlockreason','Enter a reason for the lock, including an estimate\nof when the lock will be released','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (208,8,'Error','Error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (209,8,'Errorpagetitle','Error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (210,8,'Exbeforeblank','content before blanking was:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (211,8,'Exblank','page was empty','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (212,8,'Excontent','content was:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (213,8,'Explainconflict','Someone else has changed this page since you\nstarted editing it.\nThe upper text area contains the page text as it currently exists.\nYour changes are shown in the lower text area.\nYou will have to merge your changes into the existing text.\n<b>Only</b> the text in the upper text area will be saved when you\npress \"Save page\".\n<p>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (214,8,'Export','Export pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (215,8,'Exportcuronly','Include only the current revision, not the full history','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (216,8,'Exporttext','You can export the text and editing history of a particular page or\nset of pages wrapped in some XML. In the future, this may then be imported into another\nwiki running MediaWiki software, although there is no support for this feature in the\ncurrent version.\n\nTo export article pages, enter the titles in the text box below, one title per line, and\nselect whether you want the current version as well as all old versions, with the page\nhistory lines, or just the current version with the info about the last edit.\n\nIn the latter case you can also use a link, e.g. [[{{ns:Special}}:Export/Train]] for the\narticle [[Train]].\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (217,8,'Extlink_sample','http://www.example.com link title','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (218,8,'Extlink_tip','External link (remember http:// prefix)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (219,8,'Faq','FAQ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (220,8,'Faqpage','Project:FAQ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (221,8,'Feb','Feb','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (222,8,'February','February','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (223,8,'Feedlinks','Feed:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (224,8,'Filecopyerror','Could not copy file \"$1\" to \"$2\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (225,8,'Filedeleteerror','Could not delete file \"$1\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (226,8,'Filedesc','Summary','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (227,8,'Fileexists','A file with this name exists already, please check $1 if you are not sure if you want to change it.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (228,8,'Filemissing','File missing','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (229,8,'Filename','Filename','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (230,8,'Filenotfound','Could not find file \"$1\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (231,8,'Filerenameerror','Could not rename file \"$1\" to \"$2\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (232,8,'Filesource','Source','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (233,8,'Filestatus','Copyright status','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (234,8,'Fileuploaded','File $1 uploaded successfully.\nPlease follow this link: $2 to the description page and fill\nin information about the file, such as where it came from, when it was\ncreated and by whom, and anything else you may know about it. If this is an image, you can insert it like this: <tt><nowiki>[[Image:$1|thumb|Description]]</nowiki></tt>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (235,8,'Formerror','Error: could not submit form','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (236,8,'Friday','Friday','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (237,8,'Geo','GEO coordinates','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (238,8,'Getimagelist','fetching image list','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (239,8,'Go','Go','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (240,8,'Googlesearch','\n<div style=\"margin-left: 2em\">\n\n<!# Google search #>\n<div style=\"width:130px;float:left;text-align:center;position:relative;top:-8px\"><a href=\"http://www.google.com/\" style=\"padding:0;background-image:none\"><img src=\"http://www.google.com/logos/Logo_40wht.gif\" alt=\"Google\" style=\"border:none\" /></a></div>\n\n<form method=\"get\" action=\"http://www.google.com/search\" style=\"margin-left:135px\">\n  <div>\n    <input type=\"hidden\" name=\"domains\" value=\"{{SERVER}}\" />\n    <input type=\"hidden\" name=\"num\" value=\"50\" />\n    <input type=\"hidden\" name=\"ie\" value=\"$2\" />\n    <input type=\"hidden\" name=\"oe\" value=\"$2\" />\n    \n    <input type=\"text\" name=\"q\" size=\"31\" maxlength=\"255\" value=\"$1\" />\n    <input type=\"submit\" name=\"btnG\" value=\"Google Search\" />\n  </div>\n  <div style=\"font-size:90%\">\n    <input type=\"radio\" name=\"sitesearch\" id=\"gwiki\" value=\"{{SERVER}}\" checked=\"checked\" /><label for=\"gwiki\">{{SITENAME}}</label>\n    <input type=\"radio\" name=\"sitesearch\" id=\"gWWW\" value=\"\" /><label for=\"gWWW\">WWW</label>\n  </div>\n</form>\n\n</div>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (241,8,'Guesstimezone','Fill in from browser','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (242,8,'Headline_sample','Headline text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (243,8,'Headline_tip','Level 2 headline','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (244,8,'Help','Help','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (245,8,'Helppage','Help:Contents','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (246,8,'Hide','hide','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (247,8,'Hidetoc','hide','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (248,8,'Hist','hist','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (249,8,'Histlegend','Diff selection: mark the radio boxes of the versions to compare and hit enter or the button at the bottom.<br />\nLegend: (cur) = difference with current version,\n(last) = difference with preceding version, M = minor edit.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (250,8,'History','Page history','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (251,8,'History_copyright','-','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (252,8,'History_short','History','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (253,8,'Historywarning','Warning: The page you are about to delete has a history: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (254,8,'Hr_tip','Horizontal line (use sparingly)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (255,8,'Ignorewarning','Ignore warning and save file anyway.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (256,8,'Illegalfilename','The filename \"$1\" contains characters that are not allowed in page titles. Please rename the file and try uploading it again.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (257,8,'Ilshowmatch','Show all images with names matching','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (258,8,'Ilsubmit','Search','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (259,8,'Image_sample','Example.jpg','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (260,8,'Image_tip','Embedded image','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (261,8,'Imagelinks','Image links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (262,8,'Imagelist','Image list','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (263,8,'Imagelisttext','Below is a list of $1 images sorted $2.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (264,8,'Imagemaxsize','Limit images on image description pages to: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (265,8,'Imagepage','View image page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (266,8,'Imagereverted','Revert to earlier version was successful.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (267,8,'Imgdelete','del','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (268,8,'Imgdesc','desc','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (269,8,'Imghistlegend','Legend: (cur) = this is the current image, (del) = delete\nthis old version, (rev) = revert to this old version.\n<br /><i>Click on date to see image uploaded on that date</i>.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (270,8,'Imghistory','Image history','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (271,8,'Imglegend','Legend: (desc) = show/edit image description.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (272,8,'Import','Import pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (273,8,'Importfailed','Import failed: $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (274,8,'Importhistoryconflict','Conflicting history revision exists (may have imported this page before)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (275,8,'Importnotext','Empty or no text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (276,8,'Importsuccess','Import succeeded!','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (277,8,'Importtext','Please export the file from the source wiki using the Special:Export utility, save it to your disk and upload it here.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (278,8,'Info_short','Information','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (279,8,'Infobox','Click a button to get an example text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (280,8,'Infobox_alert','Please enter the text you want to be formatted.\\n It will be shown in the infobox for copy and pasting.\\nExample:\\n$1\\nwill become:\\n$2','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (281,8,'Infosubtitle','Information for page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (282,8,'Internalerror','Internal error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (283,8,'Intl','Interlanguage links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (284,8,'Ip_range_invalid','Invalid IP range.\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (285,8,'Ipaddress','IP Address/username','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (286,8,'Ipb_expiry_invalid','Expiry time invalid.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (287,8,'Ipbexpiry','Expiry','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (288,8,'Ipblocklist','List of blocked IP addresses and usernames','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (289,8,'Ipbreason','Reason','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (290,8,'Ipbsubmit','Block this user','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (291,8,'Ipusubmit','Unblock this address','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (292,8,'Ipusuccess','\"$1\" unblocked','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (293,8,'Isbn','ISBN','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (294,8,'Isredirect','redirect page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (295,8,'Italic_sample','Italic text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (296,8,'Italic_tip','Italic text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (297,8,'Iteminvalidname','Problem with item \'$1\', invalid name...','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (298,8,'Jan','Jan','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (299,8,'January','January','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (300,8,'Jul','Jul','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (301,8,'July','July','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (302,8,'Jun','Jun','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (303,8,'June','June','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (304,8,'Laggedslavemode','Warning: Page may not contain recent updates.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (305,8,'Largefile','It is recommended that images not exceed 100k in size.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (306,8,'Last','last','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (307,8,'Lastmodified','This page was last modified $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (308,8,'Lastmodifiedby','This page was last modified $1 by $2.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (309,8,'Lineno','Line $1:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (310,8,'Link_sample','Link title','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (311,8,'Link_tip','Internal link','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (312,8,'Linklistsub','(List of links)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (313,8,'Linkshere','The following pages link to here:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (314,8,'Linkstoimage','The following pages link to this image:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (315,8,'Linktrail','/^([a-z]+)(.*)$/sD','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (316,8,'Listadmins','Admins list','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (317,8,'Listform','list','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (318,8,'Listingcontinuesabbrev',' cont.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (319,8,'Listusers','User list','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (320,8,'Loadhist','Loading page history','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (321,8,'Loadingrev','loading revision for diff','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (322,8,'Localtime','Local time display','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (323,8,'Lockbtn','Lock database','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (324,8,'Lockconfirm','Yes, I really want to lock the database.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (325,8,'Lockdb','Lock database','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (326,8,'Lockdbsuccesssub','Database lock succeeded','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (327,8,'Lockdbsuccesstext','The database has been locked.\n<br />Remember to remove the lock after your maintenance is complete.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (328,8,'Lockdbtext','Locking the database will suspend the ability of all\nusers to edit pages, change their preferences, edit their watchlists, and\nother things requiring changes in the database.\nPlease confirm that this is what you intend to do, and that you will\nunlock the database when your maintenance is done.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (329,8,'Locknoconfirm','You did not check the confirmation box.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (330,8,'Log','Logs','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (331,8,'Login','Log in','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (332,8,'Loginend','&nbsp;','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (333,8,'Loginerror','Login error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (334,8,'Loginpagetitle','User login','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (335,8,'Loginproblem','<b>There has been a problem with your login.</b><br />Try again!','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (336,8,'Loginprompt','You must have cookies enabled to log in to {{SITENAME}}.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (337,8,'Loginreqtext','You must [[special:Userlogin|login]] to view other pages.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (338,8,'Loginreqtitle','Login Required','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (339,8,'Loginsuccess','You are now logged in to {{SITENAME}} as \"$1\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (340,8,'Loginsuccesstitle','Login successful','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (341,8,'Logout','Log out','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (342,8,'Logouttext','You are now logged out.\nYou can continue to use {{SITENAME}} anonymously, or you can log in\nagain as the same or as a different user. Note that some pages may\ncontinue to be displayed as if you were still logged in, until you clear\nyour browser cache\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (343,8,'Logouttitle','User logout','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (344,8,'Lonelypages','Orphaned pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (345,8,'Longpages','Long pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (346,8,'Longpagewarning','WARNING: This page is $1 kilobytes long; some\nbrowsers may have problems editing pages approaching or longer than 32kb.\nPlease consider breaking the page into smaller sections.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (347,8,'Mailerror','Error sending mail: $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (348,8,'Mailmypassword','Mail me a new password','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (349,8,'Mailnologin','No send address','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (350,8,'Mailnologintext','You must be <a href=\"{{localurl:Special:Userlogin\">logged in</a>\nand have a valid e-mail address in your <a href=\"{{localurl:Special:Preferences}}\">preferences</a>\nto send e-mail to other users.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (351,8,'Mainpage','Main Page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (352,8,'Mainpagedocfooter','Please see [http://meta.wikipedia.org/wiki/MediaWiki_i18n documentation on customizing the interface]\nand the [http://meta.wikipedia.org/wiki/MediaWiki_User%27s_Guide User\'s Guide] for usage and configuration help.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (353,8,'Mainpagetext','Wiki software successfully installed.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (354,8,'Maintenance','Maintenance page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (355,8,'Maintenancebacklink','Back to Maintenance Page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (356,8,'Maintnancepagetext','This page includes several handy tools for everyday maintenance. Some of these functions tend to stress the database, so please do not hit reload after every item you fixed ;-)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (357,8,'Makesysop','Make a user into a sysop','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (358,8,'Makesysopfail','<b>User \"$1\" could not be made into a sysop. (Did you enter the name correctly?)</b>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (359,8,'Makesysopname','Name of the user:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (360,8,'Makesysopok','<b>User \"$1\" is now a sysop</b>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (361,8,'Makesysopsubmit','Make this user into a sysop','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (362,8,'Makesysoptext','This form is used by bureaucrats to turn ordinary users into administrators.\nType the name of the user in the box and press the button to make the user an administrator','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (363,8,'Makesysoptitle','Make a user into a sysop','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (364,8,'Mar','Mar','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (365,8,'March','March','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (366,8,'Markaspatrolleddiff','Mark as patrolled','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (367,8,'Markaspatrolledlink','<div class=\'patrollink\'>[$1]</div>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (368,8,'Markaspatrolledtext','Mark this article as patrolled','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (369,8,'Markedaspatrolled','Marked as patrolled','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (370,8,'Markedaspatrolledtext','The selected revision has been marked as patrolled.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (371,8,'Matchtotals','The query \"$1\" matched $2 page titles\nand the text of $3 pages.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (372,8,'Math','Rendering math','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (373,8,'Math_bad_output','Can\'t write to or create math output directory','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (374,8,'Math_bad_tmpdir','Can\'t write to or create math temp directory','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (375,8,'Math_failure','Failed to parse','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (376,8,'Math_image_error','PNG conversion failed; check for correct installation of latex, dvips, gs, and convert','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (377,8,'Math_lexing_error','lexing error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (378,8,'Math_notexvc','Missing texvc executable; please see math/README to configure.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (379,8,'Math_sample','Insert formula here','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (380,8,'Math_syntax_error','syntax error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (381,8,'Math_tip','Mathematical formula (LaTeX)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (382,8,'Math_unknown_error','unknown error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (383,8,'Math_unknown_function','unknown function ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (384,8,'May','May','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (385,8,'May_long','May','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (386,8,'Media_sample','Example.mp3','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (387,8,'Media_tip','Media file link','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (388,8,'Minlength','Image names must be at least three letters.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (389,8,'Minoredit','This is a minor edit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (390,8,'Minoreditletter','m','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (391,8,'Mispeelings','Pages with misspellings','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (392,8,'Mispeelingspage','List of common misspellings','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (393,8,'Mispeelingstext','The following pages contain a common misspelling, which are listed on $1. The correct spelling might be given (like this).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (394,8,'Missingarticle','The database did not find the text of a page\nthat it should have found, named \"$1\".\n\n<p>This is usually caused by following an outdated diff or history link to a\npage that has been deleted.\n\n<p>If this is not the case, you may have found a bug in the software.\nPlease report this to an administrator, making note of the URL.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (395,8,'Missingimage','<b>Missing image</b><br /><i>$1</i>\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (396,8,'Missinglanguagelinks','Missing Language Links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (397,8,'Missinglanguagelinksbutton','Find missing language links for','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (398,8,'Missinglanguagelinkstext','These pages do <i>not</i> link to their counterpart in $1. Redirects and subpages are <i>not</i> shown.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (399,8,'Monday','Monday','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (400,8,'Moredotdotdot','More...','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (401,8,'Move','Move','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (402,8,'Movearticle','Move page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (403,8,'Movedto','moved to','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (404,8,'Movenologin','Not logged in','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (405,8,'Movenologintext','You must be a registered user and <a href=\"{{localurl:Special:Userlogin}}\">logged in</a>\nto move a page.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (406,8,'Movepage','Move page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (407,8,'Movepagebtn','Move page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (408,8,'Movepagetalktext','The associated talk page, if any, will be automatically moved along with it \'\'\'unless:\'\'\'\n*You are moving the page across namespaces,\n*A non-empty talk page already exists under the new name, or\n*You uncheck the box below.\n\nIn those cases, you will have to move or merge the page manually if desired.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (409,8,'Movepagetext','Using the form below will rename a page, moving all\nof its history to the new name.\nThe old title will become a redirect page to the new title.\nLinks to the old page title will not be changed; be sure to\n[[Special:Maintenance|check]] for double or broken redirects.\nYou are responsible for making sure that links continue to\npoint where they are supposed to go.\n\nNote that the page will \'\'\'not\'\'\' be moved if there is already\na page at the new title, unless it is empty or a redirect and has no\npast edit history. This means that you can rename a page back to where\nit was just renamed from if you make a mistake, and you cannot overwrite\nan existing page.\n\n<b>WARNING!</b>\nThis can be a drastic and unexpected change for a popular page;\nplease be sure you understand the consequences of this before\nproceeding.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (410,8,'Movetalk','Move \"talk\" page as well, if applicable.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (411,8,'Movethispage','Move this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (412,8,'Mw_math_html','HTML if possible or else PNG','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (413,8,'Mw_math_mathml','MathML if possible (experimental)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (414,8,'Mw_math_modern','Recommended for modern browsers','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (415,8,'Mw_math_png','Always render PNG','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (416,8,'Mw_math_simple','HTML if very simple or else PNG','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (417,8,'Mw_math_source','Leave it as TeX (for text browsers)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (418,8,'Mycontris','My contributions','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (419,8,'Mypage','My page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (420,8,'Mytalk','My talk','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (421,8,'Navigation','Navigation','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (422,8,'Nbytes','$1 bytes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (423,8,'Nchanges','$1 changes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (424,8,'Newarticle','(New)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (425,8,'Newarticletext','You\'ve followed a link to a page that doesn\'t exist yet.\nTo create the page, start typing in the box below\n(see the [[Project:Help|help page]] for more info).\nIf you are here by mistake, just click your browser\'s \'\'\'back\'\'\' button.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (426,8,'Newbies','newbies','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (427,8,'Newimages','New images gallery','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (428,8,'Newmessages','You have $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (429,8,'Newmessageslink','new messages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (430,8,'Newpage','New page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (431,8,'Newpageletter','N','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (432,8,'Newpages','New pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (433,8,'Newpassword','New password','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (434,8,'Newtitle','To new title','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (435,8,'Newusersonly',' (new users only)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (436,8,'Newwindow','(opens in new window)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (437,8,'Next','next','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (438,8,'Nextdiff','Go to next diff &rarr;','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (439,8,'Nextn','next $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (440,8,'Nextpage','Next page ($1)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (441,8,'Nextrevision','Newer revision&rarr;','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (442,8,'Nlinks','$1 links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (443,8,'Noaffirmation','You must affirm that your upload does not violate any copyrights.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (444,8,'Noarticletext','(There is currently no text in this page)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (445,8,'Noblockreason','You must supply a reason for the block.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (446,8,'Noconnect','Sorry! The wiki is experiencing some technical difficulties, and cannot contact the database server. <br />\n$1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (447,8,'Nocontribs','No changes were found matching these criteria.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (448,8,'Nocookieslogin','{{SITENAME}} uses cookies to log in users. You have cookies disabled. Please enable them and try again.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (449,8,'Nocookiesnew','The user account was created, but you are not logged in. {{SITENAME}} uses cookies to log in users. You have cookies disabled. Please enable them, then log in with your new username and password.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (450,8,'Nocreativecommons','Creative Commons RDF metadata disabled for this server.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (451,8,'Nocredits','There is no credits info available for this page.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (452,8,'Nodb','Could not select database $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (453,8,'Nodublincore','Dublin Core RDF metadata disabled for this server.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (454,8,'Noemail','There is no e-mail address recorded for user \"$1\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (455,8,'Noemailtext','This user has not specified a valid e-mail address,\nor has chosen not to receive e-mail from other users.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (456,8,'Noemailtitle','No e-mail address','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (457,8,'Nogomatch','No page with this exact title exists, trying full text search.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (458,8,'Nohistory','There is no edit history for this page.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (459,8,'Noimages','Nothing to see.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (460,8,'Nolinkshere','No pages link to here.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (461,8,'Nolinkstoimage','There are no pages that link to this image.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (462,8,'Noname','You have not specified a valid user name.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (463,8,'Nonefound','\'\'\'Note\'\'\': unsuccessful searches are\noften caused by searching for common words like \"have\" and \"from\",\nwhich are not indexed, or by specifying more than one search term (only pages\ncontaining all of the search terms will appear in the result).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (464,8,'Nonunicodebrowser','<strong>WARNING: Your browser is not unicode compliant, please change it before editing an article.</strong>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (465,8,'Nospecialpagetext','You have requested a special page that is not\nrecognized by the wiki.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (466,8,'Nosuchaction','No such action','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (467,8,'Nosuchactiontext','The action specified by the URL is not\nrecognized by the wiki','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (468,8,'Nosuchspecialpage','No such special page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (469,8,'Nosuchuser','There is no user by the name \"$1\".\nCheck your spelling, or use the form below to create a new user account.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (470,8,'Nosuchusershort','There is no user by the name \"$1\". Check your spelling.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (471,8,'Notacceptable','The wiki server can\'t provide data in a format your client can read.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (472,8,'Notanarticle','Not a content page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (473,8,'Notargettext','You have not specified a target page or user\nto perform this function on.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (474,8,'Notargettitle','No target','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (475,8,'Note','<strong>Note:</strong> ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (476,8,'Notextmatches','No page text matches','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (477,8,'Notitlematches','No page title matches','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (478,8,'Notloggedin','Not logged in','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (479,8,'Nov','Nov','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (480,8,'November','November','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (481,8,'Nowatchlist','You have no items on your watchlist.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (482,8,'Nowiki_sample','Insert non-formatted text here','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (483,8,'Nowiki_tip','Ignore wiki formatting','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (484,8,'Nstab-category','Category','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (485,8,'Nstab-help','Help','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (486,8,'Nstab-image','Image','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (487,8,'Nstab-main','Article','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (488,8,'Nstab-media','Media','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (489,8,'Nstab-mediawiki','Message','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (490,8,'Nstab-special','Special','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (491,8,'Nstab-template','Template','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (492,8,'Nstab-user','User page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (493,8,'Nstab-wp','About','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (494,8,'Numauthors','Number of distinct authors (article): $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (495,8,'Numedits','Number of edits (article): $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (496,8,'Numtalkauthors','Number of distinct authors (discussion page): $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (497,8,'Numtalkedits','Number of edits (discussion page): $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (498,8,'Numwatchers','Number of watchers: $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (499,8,'Nviews','$1 views','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (500,8,'Oct','Oct','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (501,8,'October','October','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (502,8,'Ok','OK','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (503,8,'Oldpassword','Old password','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (504,8,'Orig','orig','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (505,8,'Orphans','Orphaned pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (506,8,'Othercontribs','Based on work by $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (507,8,'Otherlanguages','Other languages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (508,8,'Others','others','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (509,8,'Pagemovedsub','Move succeeded','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (510,8,'Pagemovedtext','Page \"[[$1]]\" moved to \"[[$2]]\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (511,8,'Pagetitle','$1 - {{SITENAME}}','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (512,8,'Passwordremindertext','Someone (probably you, from IP address $1)\nrequested that we send you a new {{SITENAME}} login password.\nThe password for user \"$2\" is now \"$3\".\nYou should log in and change your password now.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (513,8,'Passwordremindertitle','Password reminder from {{SITENAME}}','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (514,8,'Passwordsent','A new password has been sent to the e-mail address\nregistered for \"$1\".\nPlease log in again after you receive it.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (515,8,'Perfcached','The following data is cached and may not be completely up to date:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (516,8,'Perfdisabled','Sorry! This feature has been temporarily disabled\nbecause it slows the database down to the point that no one can use\nthe wiki.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (517,8,'Perfdisabledsub','Here\'s a saved copy from $1:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (518,8,'Personaltools','Personal tools','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (519,8,'Popularpages','Popular pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (520,8,'Portal','Community portal','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (521,8,'Portal-url','Project:Community Portal','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (522,8,'Postcomment','Post a comment','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (523,8,'Poweredby','{{SITENAME}} is powered by [http://www.mediawiki.org/ MediaWiki], an open source wiki engine.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (524,8,'Powersearch','Search','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (525,8,'Powersearchtext','\nSearch in namespaces :<br />\n$1<br />\n$2 List redirects &nbsp; Search for $3 $9','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (526,8,'Preferences','Preferences','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (527,8,'Prefs-help-userdata','* <strong>Real name</strong> (optional): if you choose to provide it this will be used for giving you attribution for your work.<br />\n* <strong>Email</strong> (optional): Enables people to contact you through the website without you having to reveal your\nemail address to them, and it can be used to send you a new password if you forget it.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (528,8,'Prefs-misc','Misc settings','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (529,8,'Prefs-personal','User data','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (530,8,'Prefs-rc','Recent changes and stub display','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (531,8,'Prefslogintext','You are logged in as \"$1\".\nYour internal ID number is $2.\n\nSee [[Project:User preferences help]] for help deciphering the options.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (532,8,'Prefsnologin','Not logged in','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (533,8,'Prefsnologintext','You must be <a href=\"{{localurl:Special:Userlogin}}\">logged in</a>\nto set user preferences.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (534,8,'Prefsreset','Preferences have been reset from storage.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (535,8,'Preview','Preview','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (536,8,'Previewconflict','This preview reflects the text in the upper\ntext editing area as it will appear if you choose to save.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (537,8,'Previewnote','Remember that this is only a preview, and has not yet been saved!','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (538,8,'Previousdiff','&larr; Go to previous diff','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (539,8,'Previousrevision','&larr;Older revision','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (540,8,'Prevn','previous $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (541,8,'Printableversion','Printable version','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (542,8,'Printsubtitle','(From {{SERVER}})','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (543,8,'Protect','Protect','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (544,8,'Protectcomment','Reason for protecting','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (545,8,'Protectedarticle','protected $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (546,8,'Protectedpage','Protected page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (547,8,'Protectedpagewarning','WARNING:  This page has been locked so that only\nusers with sysop privileges can edit it. Be sure you are following the\n<a href=\'/mediawiki/index.php/Project:Protected_page_guidelines\'>protected page\nguidelines</a>.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (548,8,'Protectedtext','This page has been locked to prevent editing; there are\na number of reasons why this may be so, please see\n[[Project:Protected page]].\n\nYou can view and copy the source of this page:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (549,8,'Protectlogpage','Protection_log','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (550,8,'Protectlogtext','Below is a list of page locks/unlocks.\nSee [[Project:Protected page]] for more information.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (551,8,'Protectmoveonly','Protect from moves only','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (552,8,'Protectpage','Protect page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (553,8,'Protectreason','(give a reason)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (554,8,'Protectsub','(Protecting \"$1\")','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (555,8,'Protectthispage','Protect this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (556,8,'Proxyblocker','Proxy blocker','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (557,8,'Proxyblockreason','Your IP address has been blocked because it is an open proxy. Please contact your Internet service provider or tech support and inform them of this serious security problem.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (558,8,'Proxyblocksuccess','Done.\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (559,8,'Pubmedurl','http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?cmd=Retrieve&db=pubmed&dopt=Abstract&list_uids=$1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (560,8,'Qbbrowse','Browse','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (561,8,'Qbedit','Edit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (562,8,'Qbfind','Find','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (563,8,'Qbmyoptions','My pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (564,8,'Qbpageinfo','Context','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (565,8,'Qbpageoptions','This page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (566,8,'Qbsettings','Quickbar','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (567,8,'Qbsettingsnote','This preference only works in the \'Standard\' and the \'CologneBlue\' skin.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (568,8,'Qbspecialpages','Special pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (569,8,'Querybtn','Submit query','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (570,8,'Querysuccessful','Query successful','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (571,8,'Randompage','Random page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (572,8,'Randompage-url','Special:Randompage','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (573,8,'Range_block_disabled','The sysop ability to create range blocks is disabled.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (574,8,'Rchide','in $4 form; $1 minor edits; $2 secondary namespaces; $3 multiple edits.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (575,8,'Rclinks','Show last $1 changes in last $2 days<br />$3','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (576,8,'Rclistfrom','Show new changes starting from $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (577,8,'Rcliu','; $1 edits from logged in users','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (578,8,'Rcloaderr','Loading recent changes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (579,8,'Rclsub','(to pages linked from \"$1\")','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (580,8,'Rcnote','Below are the last <strong>$1</strong> changes in last <strong>$2</strong> days.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (581,8,'Rcnotefrom','Below are the changes since <b>$2</b> (up to <b>$1</b> shown).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (582,8,'Rcpatroldisabled','Recent Changes Patrol disabled','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (583,8,'Rcpatroldisabledtext','The Recent Changes Patrol feature is currently disabled.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (584,8,'Readonly','Database locked','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (585,8,'Readonly_lag','The database has been automatically locked while the slave database servers catch up to the master','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (586,8,'Readonlytext','The database is currently locked to new\nentries and other modifications, probably for routine database maintenance,\nafter which it will be back to normal.\nThe administrator who locked it offered this explanation:\n<p>$1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (587,8,'Readonlywarning','WARNING: The database has been locked for maintenance,\nso you will not be able to save your edits right now. You may wish to cut-n-paste\nthe text into a text file and save it for later.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (588,8,'Recentchanges','Recent changes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (589,8,'Recentchanges-url','Special:Recentchanges','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (590,8,'Recentchangescount','Number of titles in recent changes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (591,8,'Recentchangeslinked','Related changes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (592,8,'Recentchangestext','Track the most recent changes to the wiki on this page.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (593,8,'Redirectedfrom','(Redirected from $1)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (594,8,'Remembermypassword','Remember my password across sessions.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (595,8,'Removechecked','Remove checked items from watchlist','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (596,8,'Removedwatch','Removed from watchlist','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (597,8,'Removedwatchtext','The page \"$1\" has been removed from your watchlist.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (598,8,'Removingchecked','Removing requested items from watchlist...','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (599,8,'Resetprefs','Reset preferences','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (600,8,'Restorelink','$1 deleted edits','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (601,8,'Resultsperpage','Hits to show per page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (602,8,'Retrievedfrom','Retrieved from \"$1\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (603,8,'Returnto','Return to $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (604,8,'Retypenew','Retype new password','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (605,8,'Reupload','Re-upload','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (606,8,'Reuploaddesc','Return to the upload form.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (607,8,'Reverted','Reverted to earlier revision','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (608,8,'Revertimg','rev','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (609,8,'Revertpage','Reverted edit of $2, changed back to last version by $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (610,8,'Revhistory','Revision history','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (611,8,'Revisionasof','Revision as of $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (612,8,'Revisionasofwithlink','Revision as of $1; $2<br />$3 | $4','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (613,8,'Revnotfound','Revision not found','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (614,8,'Revnotfoundtext','The old revision of the page you asked for could not be found.\nPlease check the URL you used to access this page.\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (615,8,'Rfcurl','http://www.faqs.org/rfcs/rfc$1.html','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (616,8,'Rights','Rights:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (617,8,'Rightslogtext','This is a log of changes to user rights.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (618,8,'Rollback','Roll back edits','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (619,8,'Rollback_short','Rollback','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (620,8,'Rollbackfailed','Rollback failed','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (621,8,'Rollbacklink','rollback','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (622,8,'Rows','Rows','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (623,8,'Saturday','Saturday','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (624,8,'Savearticle','Save page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (625,8,'Savedprefs','Your preferences have been saved.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (626,8,'Savefile','Save file','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (627,8,'Savegroup','Save Group','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (628,8,'Saveprefs','Save preferences','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (629,8,'Saveusergroups','Save User Groups','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (630,8,'Search','Search','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (631,8,'Searchdisabled','<p style=\"margin: 1.5em 2em 1em\">{{SITENAME}} search is disabled for performance reasons. You can search via Google in the meantime.\n<span style=\"font-size: 89%; display: block; margin-left: .2em\">Note that their indexes of {{SITENAME}} content may be out of date.</span></p>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (632,8,'Searchquery','For query \"$1\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (633,8,'Searchresults','Search results','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (634,8,'Searchresultshead','Search result settings','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (635,8,'Searchresulttext','For more information about searching {{SITENAME}}, see [[Project:Searching|Searching {{SITENAME}}]].','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (636,8,'Sectionlink','&rarr;','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (637,8,'Selectnewerversionfordiff','Select a newer version for comparison','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (638,8,'Selectolderversionfordiff','Select an older version for comparison','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (639,8,'Selectonly','Only read-only queries are allowed.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (640,8,'Selflinks','Pages with Self Links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (641,8,'Selflinkstext','The following pages contain a link to themselves, which they should not.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (642,8,'Sep','Sep','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (643,8,'September','September','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (644,8,'Seriousxhtmlerrors','There were serious xhtml markup errors detected by tidy.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (645,8,'Servertime','Server time is now','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (646,8,'Sessionfailure','There seems to be a problem with your login session;\nthis action has been canceled as a precaution against session hijacking.\nPlease hit \"back\" and reload the page you came from, then try again.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (647,8,'Set_rights_fail','<b>User rights for \"$1\" could not be set. (Did you enter the name correctly?)</b>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (648,8,'Set_user_rights','Set user rights','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (649,8,'Setbureaucratflag','Set bureaucrat flag','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (650,8,'Sharedupload','This is a file from the [[Commons:Main Page|Wikimedia Commons]]. Please \nsee its \'\'\'[[Commons:Image:{{PAGENAME}}|description page]]\'\'\' there.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (651,8,'Shortpages','Short pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (652,8,'Show','show','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (653,8,'Showbigimage','Download high resolution version ($1x$2, $3 KB)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (654,8,'Showhideminor','$1 minor edits | $2 bots | $3 logged in users | $4 patrolled edits ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (655,8,'Showingresults','Showing below up to <b>$1</b> results starting with #<b>$2</b>.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (656,8,'Showingresultsnum','Showing below <b>$3</b> results starting with #<b>$2</b>.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (657,8,'Showlast','Show last $1 images sorted $2.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (658,8,'Showpreview','Show preview','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (659,8,'Showtoc','show','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (660,8,'Sig_tip','Your signature with timestamp','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (661,8,'Siteadminpheading','siteadmin level','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (662,8,'Sitenotice','-','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (663,8,'Sitesettings','Site Settings','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (664,8,'Sitesettings-caching','Page caching','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (665,8,'Sitesettings-cookies','Cookies','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (666,8,'Sitesettings-debugging','Debugging','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (667,8,'Sitesettings-features','Features','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (668,8,'Sitesettings-images','Images','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (669,8,'Sitesettings-memcached','Memcache Daemon','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (670,8,'Sitesettings-performance','Performance','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (671,8,'Sitesettings-permissions','Permissions','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (672,8,'Sitesettings-permissions-banning','User banning','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (673,8,'Sitesettings-permissions-miser','Performance settings','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (674,8,'Sitesettings-permissions-readonly','Maintenance mode: Disable write access','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (675,8,'Sitesettings-permissions-whitelist','Whitelist mode','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (676,8,'Sitesettings-wgAllowExternalImages','Allow to include external images into articles','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (677,8,'Sitesettings-wgDefaultBlockExpiry','By default, blocks expire after:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (678,8,'Sitesettings-wgDisableQueryPages','When in miser mode, disable all query pages, not only \"expensive\" ones','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (679,8,'Sitesettings-wgHitcounterUpdateFreq','Hit counter update frequency','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (680,8,'Sitesettings-wgMiserMode','Enable miser mode, which disables most \"expensive\" features','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (681,8,'Sitesettings-wgReadOnly','Readonly mode','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (682,8,'Sitesettings-wgReadOnlyFile','Readonly message file','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (683,8,'Sitesettings-wgShowIPinHeader','Show IP in header (for non-logged in users)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (684,8,'Sitesettings-wgSysopRangeBans','Sysops may block IP-ranges','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (685,8,'Sitesettings-wgSysopUserBans','Sysops may block logged-in users','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (686,8,'Sitesettings-wgUseCategoryBrowser','Enable experimental dmoz-like category browsing. Outputs things like:  Encyclopedia > Music > Style of Music > Jazz','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (687,8,'Sitesettings-wgUseCategoryMagic','Enable categories','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (688,8,'Sitesettings-wgUseDatabaseMessages','Use database messages for user interface labels','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (689,8,'Sitesettings-wgUseWatchlistCache','Generate a watchlist once every hour or so','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (690,8,'Sitesettings-wgWLCacheTimeout','The hour or so mentioned above (in seconds):','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (691,8,'Sitesettings-wgWhitelistAccount-developer','Developers may create accounts for users','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (692,8,'Sitesettings-wgWhitelistAccount-sysop','Sysops may create accounts for users','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (693,8,'Sitesettings-wgWhitelistAccount-user','Users may create accounts themself','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (694,8,'Sitesettings-wgWhitelistEdit','Users must be logged in to edit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (695,8,'Sitesettings-wgWhitelistRead','Anonymous users may only read these pages:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (696,8,'Sitestats','Site statistics','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (697,8,'Sitestatstext','There are \'\'\'$1\'\'\' total pages in the database.\nThis includes \"talk\" pages, pages about {{SITENAME}}, minimal \"stub\"\npages, redirects, and others that probably don\'t qualify as content pages.\nExcluding those, there are \'\'\'$2\'\'\' pages that are probably legitimate\ncontent pages.\n\nThere have been a total of \'\'\'$3\'\'\' page views, and \'\'\'$4\'\'\' page edits\nsince the wiki was setup.\nThat comes to \'\'\'$5\'\'\' average edits per page, and \'\'\'$6\'\'\' views per edit.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (698,8,'Sitesubtitle','The Free Encyclopedia','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (699,8,'Sitesupport','-','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (700,8,'Sitesupport-url','Project:Site support','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (701,8,'Sitetitle','{{SITENAME}}','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (702,8,'Siteuser','PersoanlWiki user $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (703,8,'Siteusers','PersoanlWiki user(s) $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (704,8,'Skin','Skin','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (705,8,'Sorbs','SORBS DNSBL','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (706,8,'Sorbs_create_account_reason','Your IP address is listed as an open proxy in the [http://www.sorbs.net SORBS] DNSBL. You cannot create an account','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (707,8,'Sorbsreason','Your IP address is listed as an open proxy in the [http://www.sorbs.net SORBS] DNSBL.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (708,8,'Spamprotectionmatch','The following text is what triggered our spam filter: $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (709,8,'Spamprotectiontext','The page you wanted to save was blocked by the spam filter. This is probably caused by a link to an external site.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (710,8,'Spamprotectiontitle','Spam protection filter','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (711,8,'Special_version_postfix','&nbsp;','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (712,8,'Special_version_prefix','&nbsp;','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (713,8,'Speciallogtitlelabel','Title: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (714,8,'Specialloguserlabel','User: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (715,8,'Specialpage','Special Page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (716,8,'Specialpages','Special pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (717,8,'Spheading','Special pages for all users','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (718,8,'Sqlhidden','(SQL query hidden)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (719,8,'Sqlislogged','Please note that all queries are logged.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (720,8,'Sqlquery','Enter query','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (721,8,'Statistics','Statistics','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (722,8,'Storedversion','Stored version','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (723,8,'Stubthreshold','Threshold for stub display','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (724,8,'Subcategories','Subcategories','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (725,8,'Subcategorycount','There are $1 subcategories to this category.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (726,8,'Subcategorycount1','There is $1 subcategory to this category.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (727,8,'Subject','Subject/headline','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (728,8,'Subjectpage','View subject','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (729,8,'Successfulupload','Successful upload','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (730,8,'Summary','Summary','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (731,8,'Sunday','Sunday','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (732,8,'Sysoptext','The action you have requested can only be\nperformed by users with \"sysop\" status.\nSee $1.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (733,8,'Sysoptitle','Sysop access required','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (734,8,'Tableform','table','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (735,8,'Tagline','From {{SITENAME}}','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (736,8,'Talk','Discussion','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (737,8,'Talkexists','The page itself was moved successfully, but the\ntalk page could not be moved because one already exists at the new\ntitle. Please merge them manually.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (738,8,'Talkpage','Discuss this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (739,8,'Talkpagemoved','The corresponding talk page was also moved.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (740,8,'Talkpagenotmoved','The corresponding talk page was <strong>not</strong> moved.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (741,8,'Talkpagetext','<!# MediaWiki:talkpagetext #>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (742,8,'Templatesused','Templates used on this page:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (743,8,'Textboxsize','Editing','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (744,8,'Textmatches','Page text matches','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (745,8,'Thisisdeleted','View or restore $1?','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (746,8,'Thumbnail-more','Enlarge','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (747,8,'Thursday','Thursday','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (748,8,'Timezonelegend','Time zone','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (749,8,'Timezoneoffset','Offset','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (750,8,'Timezonetext','Enter number of hours your local time differs\nfrom server time (UTC).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (751,8,'Titlematches','Article title matches','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (752,8,'Toc','Table of contents','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (753,8,'Tog-editondblclick','Edit pages on double click (JavaScript)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (754,8,'Tog-editsection','Enable section editing via [edit] links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (755,8,'Tog-editsectiononrightclick','Enable section editing by right clicking<br /> on section titles (JavaScript)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (756,8,'Tog-editwidth','Edit box has full width','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (757,8,'Tog-fancysig','Raw signatures (without automatic link)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (758,8,'Tog-hideminor','Hide minor edits in recent changes','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (759,8,'Tog-highlightbroken','Format broken links <a href=\"\" class=\"new\">like this</a> (alternative: like this<a href=\"\" class=\"internal\">?</a>).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (760,8,'Tog-hover','Show hoverbox over wiki links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (761,8,'Tog-justify','Justify paragraphs','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (762,8,'Tog-minordefault','Mark all edits minor by default','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (763,8,'Tog-nocache','Disable page caching','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (764,8,'Tog-numberheadings','Auto-number headings','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (765,8,'Tog-previewonfirst','Show preview on first edit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (766,8,'Tog-previewontop','Show preview before edit box and not after it','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (767,8,'Tog-rememberpassword','Remember password across sessions','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (768,8,'Tog-showtoc','Show table of contents<br />(for pages with more than 3 headings)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (769,8,'Tog-showtoolbar','Show edit toolbar','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (770,8,'Tog-underline','Underline links','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (771,8,'Tog-usenewrc','Enhanced recent changes (not for all browsers)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (772,8,'Tog-watchdefault','Add pages you edit to your watchlist','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (773,8,'Toolbox','Toolbox','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (774,8,'Tooltip-compareselectedversions','See the differences between the two selected versions of this page. [alt-v]','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (775,8,'Tooltip-minoredit','Mark this as a minor edit [alt-i]','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (776,8,'Tooltip-preview','Preview your changes, please use this before saving! [alt-p]','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (777,8,'Tooltip-save','Save your changes [alt-s]','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (778,8,'Tooltip-search','Search this wiki [alt-f]','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (779,8,'Tooltip-watch','Add this page to your watchlist [alt-w]','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (780,8,'Tuesday','Tuesday','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (781,8,'Uclinks','View the last $1 changes; view the last $2 days.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (782,8,'Ucnote','Below are this user\'s last <b>$1</b> changes in the last <b>$2</b> days.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (783,8,'Uctop',' (top)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (784,8,'Unblockip','Unblock user','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (785,8,'Unblockiptext','Use the form below to restore write access\nto a previously blocked IP address or username.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (786,8,'Unblocklink','unblock','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (787,8,'Unblocklogentry','unblocked \"$1\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (788,8,'Uncategorizedcategories','Uncategorized categories','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (789,8,'Uncategorizedpages','Uncategorized pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (790,8,'Undelete','Restore deleted page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (791,8,'Undelete_short','Undelete $1 edits','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (792,8,'Undeletearticle','Restore deleted page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (793,8,'Undeletebtn','Restore!','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (794,8,'Undeletedarticle','restored \"$1\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (795,8,'Undeletedrevisions','$1 revisions restored','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (796,8,'Undeletedtext','[[$1]] has been successfully restored.\nSee [[Special:Log/delete]] for a record of recent deletions and restorations.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (797,8,'Undeletehistory','If you restore the page, all revisions will be restored to the history.\nIf a new page with the same name has been created since the deletion, the restored\nrevisions will appear in the prior history, and the current revision of the live page\nwill not be automatically replaced.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (798,8,'Undeletepage','View and restore deleted pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (799,8,'Undeletepagetext','The following pages have been deleted but are still in the archive and\ncan be restored. The archive may be periodically cleaned out.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (800,8,'Undeleterevision','Deleted revision as of $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (801,8,'Undeleterevisions','$1 revisions archived','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (802,8,'Undo','undo','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (803,8,'Unexpected','Unexpected value: \"$1\"=\"$2\".','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (804,8,'Unlockbtn','Unlock database','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (805,8,'Unlockconfirm','Yes, I really want to unlock the database.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (806,8,'Unlockdb','Unlock database','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (807,8,'Unlockdbsuccesssub','Database lock removed','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (808,8,'Unlockdbsuccesstext','The database has been unlocked.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (809,8,'Unlockdbtext','Unlocking the database will restore the ability of all\nusers to edit pages, change their preferences, edit their watchlists, and\nother things requiring changes in the database.\nPlease confirm that this is what you intend to do.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (810,8,'Unprotect','Unprotect','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (811,8,'Unprotectcomment','Reason for unprotecting','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (812,8,'Unprotectedarticle','unprotected $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (813,8,'Unprotectsub','(Unprotecting \"$1\")','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (814,8,'Unprotectthispage','Unprotect this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (815,8,'Unusedimages','Unused images','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (816,8,'Unusedimagestext','<p>Please note that other web sites may link to an image with\na direct URL, and so may still be listed here despite being\nin active use.</p>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (817,8,'Unwatch','Unwatch','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (818,8,'Unwatchthispage','Stop watching','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (819,8,'Updated','(Updated)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (820,8,'Upload','Upload file','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (821,8,'Uploadbtn','Upload file','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (822,8,'Uploadcorrupt','The file is corrupt or has an incorrect extension. Please check the file and upload again.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (823,8,'Uploaddisabled','Sorry, uploading is disabled.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (824,8,'Uploadedfiles','Uploaded files','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (825,8,'Uploadedimage','uploaded \"$1\"','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (826,8,'Uploaderror','Upload error','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (827,8,'Uploadfile','Upload images, sounds, documents etc.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (828,8,'Uploadlink','Upload images','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (829,8,'Uploadlog','upload log','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (830,8,'Uploadlogpage','Upload_log','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (831,8,'Uploadlogpagetext','Below is a list of the most recent file uploads.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (832,8,'Uploadnologin','Not logged in','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (833,8,'Uploadnologintext','You must be <a href=\"{{localurl:Special:Userlogin}}\">logged in</a>\nto upload files.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (834,8,'Uploadtext','\'\'\'STOP!\'\'\' Before you upload here,\nmake sure to read and follow the [[Project:Image use policy|image use policy]].\n\nTo view or search previously uploaded images,\ngo to the [[Special:Imagelist|list of uploaded images]].\nUploads and deletions are logged on the\n[[Project:Upload log|upload log]].\n\nUse the form below to upload new image files for use in\nillustrating your pages.\nOn most browsers, you will see a \"Browse...\" button, which will\nbring up your operating system\'s standard file open dialog.\nChoosing a file will fill the name of that file into the text\nfield next to the button.\nYou must also check the box affirming that you are not\nviolating any copyrights by uploading the file.\nPress the \"Upload\" button to finish the upload.\nThis may take some time if you have a slow internet connection.\n\nThe preferred formats are JPEG for photographic images, PNG\nfor drawings and other iconic images, and OGG for sounds.\nPlease name your files descriptively to avoid confusion.\nTo include the image in a page, use a link in the form\n\'\'\'<nowiki>[[{{ns:6}}:file.jpg]]</nowiki>\'\'\' or\n\'\'\'<nowiki>[[{{ns:6}}:file.png|alt text]]</nowiki>\'\'\' or\n\'\'\'<nowiki>[[{{ns:-2}}:file.ogg]]</nowiki>\'\'\' for sounds.\n\nPlease note that as with wiki pages, others may edit or\ndelete your uploads if they think it serves the project, and\nyou may be blocked from uploading if you abuse the system.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (835,8,'Uploadwarning','Upload warning','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (836,8,'Usenewcategorypage','1\n\nSet first character to \"0\" to disable the new category page layout.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (837,8,'User_rights_set','<b>User rights for \"$1\" updated</b>','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (838,8,'Usercssjsyoucanpreview','<strong>Tip:</strong> Use the \'Show preview\' button to test your new CSS/JS before saving.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (839,8,'Usercsspreview','\'\'\'Remember that you are only previewing your user CSS, it has not yet been saved!\'\'\'','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (840,8,'Userexists','The user name you entered is already in use. Please choose a different name.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (841,8,'Userjspreview','\'\'\'Remember that you are only testing/previewing your user JavaScript, it has not yet been saved!\'\'\'','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (842,8,'Userlevels','User levels management','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (843,8,'Userlevels-addgroup','Add group','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (844,8,'Userlevels-editgroup','Edit group','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (845,8,'Userlevels-editgroup-description','Group description (max 255 characters):<br />','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (846,8,'Userlevels-editgroup-name','Group name: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (847,8,'Userlevels-editusergroup','Edit user groups','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (848,8,'Userlevels-group-edit','Existent groups: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (849,8,'Userlevels-groupsavailable','Available groups:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (850,8,'Userlevels-groupshelp','Select groups you want the user to be removed from or added to.\nUnselected groups will not be changed. You can unselect a group by using CTRL + Left Click','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (851,8,'Userlevels-groupsmember','Member of:','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (852,8,'Userlevels-lookup-group','Manage group rights','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (853,8,'Userlevels-lookup-user','Manage user groups','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (854,8,'Userlevels-user-editname','Enter a username: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (855,8,'Userlogin','Create an account or log in','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (856,8,'Userlogout','Log out','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (857,8,'Usermailererror','Mail object returned error: ','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (858,8,'Userpage','View user page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (859,8,'Userrightspheading','userrights level','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (860,8,'Userstats','User statistics','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (861,8,'Userstatstext','There are \'\'\'$1\'\'\' registered users.\n\'\'\'$2\'\'\' of these are administrators (see $3).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (862,8,'Val_article_lists','List of validated articles','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (863,8,'Val_clear_old','Clear my other validation data for $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (864,8,'Val_form_note','<b>Hint:</b> Merging your data means that for the article\nrevision you select, all options where you have specified <i>no opinion</i>\nwill be set to the value and comment of the most recent revision for which you\nhave expressed an opinion. For example, if you want to change a single option\nfor a newer revision, but also keep your other settings for this article in\nthis revision, just select which option you intend to <i>change</i>, and\nmerging will fill in the other options with your previous settings.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (865,8,'Val_merge_old','Use my previous assessment where selected \'No opinion\'','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (866,8,'Val_no_anon_validation','You have to be logged in to validate an article.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (867,8,'Val_noop','No opinion','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (868,8,'Val_page_validation_statistics','Page validation statistics for $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (869,8,'Val_percent','<b>$1%</b><br />($2 of $3 points<br />by $4 users)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (870,8,'Val_percent_single','<b>$1%</b><br />($2 of $3 points<br />by one user)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (871,8,'Val_stat_link_text','Validation statistics for this article','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (872,8,'Val_tab','Validate','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (873,8,'Val_table_header','<tr><th>Class</th>$1<th colspan=4>Opinion</th>$1<th>Comment</th></tr>\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (874,8,'Val_this_is_current_version','this is the latest version','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (875,8,'Val_total','Total','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (876,8,'Val_user_validations','This user has validated $1 pages.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (877,8,'Val_validate_article_namespace_only','Only articles can be validated. This page is <i>not</i> in the article namespace.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (878,8,'Val_validate_version','Validate this version','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (879,8,'Val_validated','Validation done.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (880,8,'Val_version','Version','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (881,8,'Val_version_of','Version of $1','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (882,8,'Val_view_version','View this version','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (883,8,'Validate','Validate page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (884,8,'Variantname-zh','zh','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (885,8,'Variantname-zh-cn','cn','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (886,8,'Variantname-zh-hk','hk','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (887,8,'Variantname-zh-sg','sg','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (888,8,'Variantname-zh-tw','tw','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (889,8,'Version','Version','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (890,8,'Viewcount','This page has been accessed $1 times.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (891,8,'Viewprevnext','View ($1) ($2) ($3).','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (892,8,'Viewsource','View source','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (893,8,'Viewtalkpage','View discussion','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (894,8,'Wantedpages','Wanted pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (895,8,'Watch','Watch','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (896,8,'Watchdetails','($1 pages watched not counting talk pages;\n$2 total pages edited since cutoff;\n$3...\n<a href=\'$4\'>show and edit complete list</a>.)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (897,8,'Watcheditlist','Here\'s an alphabetical list of your\nwatched pages. Check the boxes of pages you want to remove\nfrom your watchlist and click the \'remove checked\' button\nat the bottom of the screen.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (898,8,'Watchlist','My watchlist','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (899,8,'Watchlistcontains','Your watchlist contains $1 pages.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (900,8,'Watchlistsub','(for user \"$1\")','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (901,8,'Watchmethod-list','checking watched pages for recent edits','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (902,8,'Watchmethod-recent','checking recent edits for watched pages','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (903,8,'Watchnochange','None of your watched items were edited in the time period displayed.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (904,8,'Watchnologin','Not logged in','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (905,8,'Watchnologintext','You must be <a href=\"{{localurl:Special:Userlogin}}\">logged in</a>\nto modify your watchlist.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (906,8,'Watchthis','Watch this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (907,8,'Watchthispage','Watch this page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (908,8,'Wednesday','Wednesday','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (909,8,'Welcomecreation','== Welcome, $1! ==\n\nYour account has been created. Don\'t forget to change your {{SITENAME}} preferences.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (910,8,'Whatlinkshere','What links here','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (911,8,'Whitelistacctext','To be allowed to create accounts in this Wiki you have to [[Special:Userlogin|log]] in and have the appropriate permissions.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (912,8,'Whitelistacctitle','You are not allowed to create an account','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (913,8,'Whitelistedittext','You have to [[Special:Userlogin|login]] to edit pages.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (914,8,'Whitelistedittitle','Login required to edit','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (915,8,'Whitelistreadtext','You have to [[Special:Userlogin|login]] to read pages.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (916,8,'Whitelistreadtitle','Login required to read','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (917,8,'Wikipediapage','View project page','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (918,8,'Wikititlesuffix','{{SITENAME}}','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (919,8,'Wlnote','Below are the last $1 changes in the last <b>$2</b> hours.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (920,8,'Wlsaved','This is a saved version of your watchlist.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (921,8,'Wlshowlast','Show last $1 hours $2 days $3','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (922,8,'Wrong_wfQuery_params','Incorrect parameters to wfQuery()<br />\nFunction: $1<br />\nQuery: $2\n','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (923,8,'Wrongpassword','The password you entered is incorrect. Please try again.','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (924,8,'Yourdiff','Differences','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (925,8,'Youremail','Your email*','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (926,8,'Yourlanguage','Interface language','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (927,8,'Yourname','Your user name','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (928,8,'Yournick','Your nickname (for signatures)','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (929,8,'Yourpassword','Your password','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (930,8,'Yourpasswordagain','Retype password','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (931,8,'Yourrealname','Your real name*','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (932,8,'Yourtext','Your text','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (933,8,'Yourvariant','Language variant','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');
INSERT INTO cur VALUES (934,8,'Zhconversiontable','-{}-','',0,'MediaWiki default','20060411182420','sysop',0,0,0,1,0,'20060411182420','79939588817579');

#
# Table structure for table `hitcounter`
#

CREATE TABLE hitcounter (
  hc_id int(10) unsigned NOT NULL default '0'
) TYPE=HEAP MAX_ROWS=25000;

#
# Dumping data for table `hitcounter`
#


#
# Table structure for table `image`
#

CREATE TABLE image (
  img_name varchar(255) binary NOT NULL default '',
  img_size int(8) unsigned NOT NULL default '0',
  img_description tinyblob NOT NULL,
  img_user int(5) unsigned NOT NULL default '0',
  img_user_text varchar(255) binary NOT NULL default '',
  img_timestamp varchar(14) binary NOT NULL default '',
  PRIMARY KEY  (img_name),
  KEY img_size (img_size),
  KEY img_timestamp (img_timestamp)
) TYPE=MyISAM;

#
# Dumping data for table `image`
#


#
# Table structure for table `imagelinks`
#

CREATE TABLE imagelinks (
  il_from int(8) unsigned NOT NULL default '0',
  il_to varchar(255) binary NOT NULL default '',
  UNIQUE KEY il_from (il_from,il_to),
  KEY il_to (il_to)
) TYPE=MyISAM;

#
# Dumping data for table `imagelinks`
#


#
# Table structure for table `interwiki`
#

CREATE TABLE interwiki (
  iw_prefix char(32) NOT NULL default '',
  iw_url char(127) NOT NULL default '',
  iw_local tinyint(1) NOT NULL default '0',
  UNIQUE KEY iw_prefix (iw_prefix)
) TYPE=MyISAM;

#
# Dumping data for table `interwiki`
#

INSERT INTO interwiki VALUES ('AbbeNormal','http://www.ourpla.net/cgi-bin/pikie.cgi?$1',0);
INSERT INTO interwiki VALUES ('AcadWiki','http://xarch.tu-graz.ac.at/autocad/wiki/$1',0);
INSERT INTO interwiki VALUES ('Acronym','http://www.acronymfinder.com/af-query.asp?String=exact&Acronym=$1',0);
INSERT INTO interwiki VALUES ('Advogato','http://www.advogato.org/$1',0);
INSERT INTO interwiki VALUES ('AIWiki','http://www.ifi.unizh.ch/ailab/aiwiki/aiw.cgi?$1',0);
INSERT INTO interwiki VALUES ('ALife','http://news.alife.org/wiki/index.php?$1',0);
INSERT INTO interwiki VALUES ('AndStuff','http://andstuff.org/wiki.php?$1',0);
INSERT INTO interwiki VALUES ('Annotation','http://bayle.stanford.edu/crit/nph-med.cgi/$1',0);
INSERT INTO interwiki VALUES ('AnnotationWiki','http://www.seedwiki.com/page.cfm?wikiid=368&doc=$1',0);
INSERT INTO interwiki VALUES ('AwarenessWiki','http://taoriver.net/aware/$1',0);
INSERT INTO interwiki VALUES ('BenefitsWiki','http://www.benefitslink.com/cgi-bin/wiki.cgi?$1',0);
INSERT INTO interwiki VALUES ('BridgesWiki','http://c2.com/w2/bridges/$1',0);
INSERT INTO interwiki VALUES ('C2find','http://c2.com/cgi/wiki?FindPage&value=$1',0);
INSERT INTO interwiki VALUES ('Cache','http://www.google.com/search?q=cache:$1',0);
INSERT INTO interwiki VALUES ('CLiki','http://ww.telent.net/cliki/$1',0);
INSERT INTO interwiki VALUES ('CmWiki','http://www.ourpla.net/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('CreationMatters','http://www.ourpla.net/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('DejaNews','http://www.deja.com/=dnc/getdoc.xp?AN=$1',0);
INSERT INTO interwiki VALUES ('Dictionary','http://www.dict.org/bin/Dict?Database=*&Form=Dict1&Strategy=*&Query=$1',0);
INSERT INTO interwiki VALUES ('DiveIntoOsx','http://diveintoosx.org/$1',0);
INSERT INTO interwiki VALUES ('DocBook','http://docbook.org/wiki/moin.cgi/$1',0);
INSERT INTO interwiki VALUES ('DolphinWiki','http://www.object-arts.com/wiki/html/Dolphin/$1',0);
INSERT INTO interwiki VALUES ('EfnetCeeWiki','http://purl.net/wiki/c/$1',0);
INSERT INTO interwiki VALUES ('EfnetCppWiki','http://purl.net/wiki/cpp/$1',0);
INSERT INTO interwiki VALUES ('EfnetPythonWiki','http://purl.net/wiki/python/$1',0);
INSERT INTO interwiki VALUES ('EfnetXmlWiki','http://purl.net/wiki/xml/$1',0);
INSERT INTO interwiki VALUES ('EljWiki','http://elj.sourceforge.net/phpwiki/index.php/$1',0);
INSERT INTO interwiki VALUES ('EmacsWiki','http://www.emacswiki.org/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('FinalEmpire','http://final-empire.sourceforge.net/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('Foldoc','http://www.foldoc.org/foldoc/foldoc.cgi?$1',0);
INSERT INTO interwiki VALUES ('FoxWiki','http://fox.wikis.com/wc.dll?Wiki~$1',0);
INSERT INTO interwiki VALUES ('FreeBSDman','http://www.FreeBSD.org/cgi/man.cgi?apropos=1&query=$1',0);
INSERT INTO interwiki VALUES ('Google','http://www.google.com/search?q=$1',0);
INSERT INTO interwiki VALUES ('GoogleGroups','http://groups.google.com/groups?q=$1',0);
INSERT INTO interwiki VALUES ('GreenCheese','http://www.greencheese.org/$1',0);
INSERT INTO interwiki VALUES ('HammondWiki','http://www.dairiki.org/HammondWiki/index.php3?$1',0);
INSERT INTO interwiki VALUES ('Haribeau','http://wiki.haribeau.de/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('IAWiki','http://www.IAwiki.net/$1',0);
INSERT INTO interwiki VALUES ('IMDB','http://us.imdb.com/Title?$1',0);
INSERT INTO interwiki VALUES ('JargonFile','http://sunir.org/apps/meta.pl?wiki=JargonFile&redirect=$1',0);
INSERT INTO interwiki VALUES ('JiniWiki','http://www.cdegroot.com/cgi-bin/jini?$1',0);
INSERT INTO interwiki VALUES ('JspWiki','http://www.ecyrd.com/JSPWiki/Wiki.jsp?page=$1',0);
INSERT INTO interwiki VALUES ('KmWiki','http://www.voght.com/cgi-bin/pywiki?$1',0);
INSERT INTO interwiki VALUES ('KnowHow','http://www2.iro.umontreal.ca/~paquetse/cgi-bin/wiki.cgi?$1',0);
INSERT INTO interwiki VALUES ('LanifexWiki','http://opt.lanifex.com/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('LegoWiki','http://www.object-arts.com/wiki/html/Lego-Robotics/$1',0);
INSERT INTO interwiki VALUES ('LinuxWiki','http://www.linuxwiki.de/$1',0);
INSERT INTO interwiki VALUES ('LugKR','http://lug-kr.sourceforge.net/cgi-bin/lugwiki.pl?$1',0);
INSERT INTO interwiki VALUES ('MathSongsWiki','http://SeedWiki.com/page.cfm?wikiid=237&doc=$1',0);
INSERT INTO interwiki VALUES ('MbTest','http://www.usemod.com/cgi-bin/mbtest.pl?$1',0);
INSERT INTO interwiki VALUES ('MeatBall','http://www.usemod.com/cgi-bin/mb.pl?$1',0);
INSERT INTO interwiki VALUES ('MetaWiki','http://sunir.org/apps/meta.pl?$1',0);
INSERT INTO interwiki VALUES ('MetaWikiPedia','http://meta.wikipedia.org/wiki/$1',0);
INSERT INTO interwiki VALUES ('MoinMoin','http://purl.net/wiki/moin/$1',0);
INSERT INTO interwiki VALUES ('MuWeb','http://www.dunstable.com/scripts/MuWebWeb?$1',0);
INSERT INTO interwiki VALUES ('NetVillage','http://www.netbros.com/?$1',0);
INSERT INTO interwiki VALUES ('OpenWiki','http://openwiki.com/?$1',0);
INSERT INTO interwiki VALUES ('OrgPatterns','http://www.bell-labs.com/cgi-user/OrgPatterns/OrgPatterns?$1',0);
INSERT INTO interwiki VALUES ('PangalacticOrg','http://www.pangalactic.org/Wiki/$1',0);
INSERT INTO interwiki VALUES ('PersonalTelco','http://www.personaltelco.net/index.cgi/$1',0);
INSERT INTO interwiki VALUES ('PhpWiki','http://phpwiki.sourceforge.net/phpwiki/index.php?$1',0);
INSERT INTO interwiki VALUES ('Pikie','http://pikie.darktech.org/cgi/pikie?$1',0);
INSERT INTO interwiki VALUES ('PPR','http://c2.com/cgi/wiki?$1',0);
INSERT INTO interwiki VALUES ('PurlNet','http://purl.oclc.org/NET/$1',0);
INSERT INTO interwiki VALUES ('PythonInfo','http://www.python.org/cgi-bin/moinmoin/$1',0);
INSERT INTO interwiki VALUES ('PythonWiki','http://www.pythonwiki.de/$1',0);
INSERT INTO interwiki VALUES ('PyWiki','http://www.voght.com/cgi-bin/pywiki?$1',0);
INSERT INTO interwiki VALUES ('RFC','http://www.rfc-editor.org/rfc/rfc$1.txt',0);
INSERT INTO interwiki VALUES ('SeaPig','http://www.seapig.org/ $1',0);
INSERT INTO interwiki VALUES ('SeattleWireless','http://seattlewireless.net/?$1',0);
INSERT INTO interwiki VALUES ('SenseisLibrary','http://senseis.xmp.net/?$1',0);
INSERT INTO interwiki VALUES ('Shakti','http://cgi.algonet.se/htbin/cgiwrap/pgd/ShaktiWiki/$1',0);
INSERT INTO interwiki VALUES ('SourceForge','http://sourceforge.net/$1',0);
INSERT INTO interwiki VALUES ('Squeak','http://minnow.cc.gatech.edu/squeak/$1',0);
INSERT INTO interwiki VALUES ('StrikiWiki','http://ch.twi.tudelft.nl/~mostert/striki/teststriki.pl?$1',0);
INSERT INTO interwiki VALUES ('SVGWiki','http://www.protocol7.com/svg-wiki/default.asp?$1',0);
INSERT INTO interwiki VALUES ('Tavi','http://tavi.sourceforge.net/index.php?$1',0);
INSERT INTO interwiki VALUES ('TmNet','http://www.technomanifestos.net/?$1',0);
INSERT INTO interwiki VALUES ('TMwiki','http://www.EasyTopicMaps.com/?page=$1',0);
INSERT INTO interwiki VALUES ('TWiki','http://twiki.org/cgi-bin/view/$1',0);
INSERT INTO interwiki VALUES ('TwistedWiki','http://purl.net/wiki/twisted/$1',0);
INSERT INTO interwiki VALUES ('Unreal','http://wiki.beyondunreal.com/wiki/$1',0);
INSERT INTO interwiki VALUES ('UseMod','http://www.usemod.com/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('VisualWorks','http://wiki.cs.uiuc.edu/VisualWorks/$1',0);
INSERT INTO interwiki VALUES ('WebDevWikiNL','http://www.promo-it.nl/WebDevWiki/index.php?page=$1',0);
INSERT INTO interwiki VALUES ('WebSeitzWiki','http://webseitz.fluxent.com/wiki/$1',0);
INSERT INTO interwiki VALUES ('Why','http://clublet.com/c/c/why?$1',0);
INSERT INTO interwiki VALUES ('Wiki','http://c2.com/cgi/wiki?$1',0);
INSERT INTO interwiki VALUES ('WikiPedia','http://en.wikipedia.org/wiki/$1',0);
INSERT INTO interwiki VALUES ('Wiktionary','http://en.wiktionary.org/wiki/$1',0);
INSERT INTO interwiki VALUES ('Wikiquote','http://en.wikiquote.org/wiki/$1',0);
INSERT INTO interwiki VALUES ('WikiWorld','http://WikiWorld.com/wiki/index.php/$1',0);
INSERT INTO interwiki VALUES ('YpsiEyeball','http://sknkwrks.dyndns.org:1957/writewiki/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('ZWiki','http://www.zwiki.org/$1',0);
INSERT INTO interwiki VALUES ('ReVo','http://purl.org/NET/voko/revo/art/$1.html',0);
INSERT INTO interwiki VALUES ('EcheI','http://www.ikso.net/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('EcxeI','http://www.ikso.net/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('EĉeI','http://www.ikso.net/cgi-bin/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('JEFO','http://www.esperanto-jeunes.org/vikio/index.php?$1',0);
INSERT INTO interwiki VALUES ('PMEG','http://www.bertilow.com/pmeg/$1.php',0);
INSERT INTO interwiki VALUES ('TEJO','http://www.tejo.org/vikio/$1',0);
INSERT INTO interwiki VALUES ('USEJ','http://www.tejo.org/usej/$1',0);
INSERT INTO interwiki VALUES ('UEA','http://www.tejo.org/uea/$1',0);
INSERT INTO interwiki VALUES ('Turismo','http://www.tejo.org/turismo/$1',0);
INSERT INTO interwiki VALUES ('GEJ','http://www.esperanto.de/cgi-bin/aktivikio/wiki.pl?$1',0);
INSERT INTO interwiki VALUES ('BEMI','http://bemi.free.fr/vikio/index.php?$1',0);
INSERT INTO interwiki VALUES ('EnciclopediaLibre','http://enciclopedia.us.es/index.php/$1',0);
INSERT INTO interwiki VALUES ('WikiBooks','http://en.wikibooks.org/wiki/$1',0);

#
# Table structure for table `ipblocks`
#

CREATE TABLE ipblocks (
  ipb_id int(8) NOT NULL auto_increment,
  ipb_address varchar(40) binary NOT NULL default '',
  ipb_user int(8) unsigned NOT NULL default '0',
  ipb_by int(8) unsigned NOT NULL default '0',
  ipb_reason tinyblob NOT NULL,
  ipb_timestamp varchar(14) binary NOT NULL default '',
  ipb_auto tinyint(1) NOT NULL default '0',
  ipb_expiry varchar(14) binary NOT NULL default '',
  PRIMARY KEY  (ipb_id),
  KEY ipb_address (ipb_address),
  KEY ipb_user (ipb_user)
) TYPE=MyISAM;

#
# Dumping data for table `ipblocks`
#


#
# Table structure for table `links`
#

CREATE TABLE links (
  l_from int(8) unsigned NOT NULL default '0',
  l_to int(8) unsigned NOT NULL default '0',
  UNIQUE KEY l_from (l_from,l_to),
  KEY l_to (l_to)
) TYPE=MyISAM;

#
# Dumping data for table `links`
#


#
# Table structure for table `linkscc`
#

CREATE TABLE linkscc (
  lcc_pageid int(10) unsigned NOT NULL default '0',
  lcc_cacheobj mediumblob NOT NULL,
  UNIQUE KEY lcc_pageid (lcc_pageid)
) TYPE=MyISAM;

#
# Dumping data for table `linkscc`
#


#
# Table structure for table `logging`
#

CREATE TABLE logging (
  log_type varchar(10) NOT NULL default '',
  log_action varchar(10) NOT NULL default '',
  log_timestamp varchar(14) NOT NULL default '19700101000000',
  log_user int(10) unsigned NOT NULL default '0',
  log_namespace tinyint(3) unsigned NOT NULL default '0',
  log_title varchar(255) binary NOT NULL default '',
  log_comment varchar(255) NOT NULL default '',
  log_params blob NOT NULL,
  KEY type_time (log_type,log_timestamp),
  KEY user_time (log_user,log_timestamp),
  KEY page_time (log_namespace,log_title,log_timestamp)
) TYPE=MyISAM;

#
# Dumping data for table `logging`
#


#
# Table structure for table `math`
#

CREATE TABLE math (
  math_inputhash varchar(16) NOT NULL default '',
  math_outputhash varchar(16) NOT NULL default '',
  math_html_conservativeness tinyint(1) NOT NULL default '0',
  math_html text,
  math_mathml text,
  UNIQUE KEY math_inputhash (math_inputhash)
) TYPE=MyISAM;

#
# Dumping data for table `math`
#


#
# Table structure for table `objectcache`
#

CREATE TABLE objectcache (
  keyname varchar(255) binary NOT NULL default '',
  value mediumblob,
  exptime datetime default NULL,
  UNIQUE KEY keyname (keyname),
  KEY exptime (exptime)
) TYPE=MyISAM;

#
# Dumping data for table `objectcache`
#

INSERT INTO objectcache VALUES ('atulpowertest_com_-_wiki:messages','սsH?;\nw$JD1ݞ5=)@&6\0Zfɫ\n 垙؍xoG&\nu*++LNóӳY94`^}pqg?ᢤ);RzUI^xpҭ*\nٸᦃeQS\\(;?۸j5Ise>xQ7,3W%H.ˊKΓ:owyhyhr:IIY]\'eMM{M<H&y5f}>lΛEU*5UUolX&x$-[ԽL>O7郰\Zyqul٤O\n^mM5-pEECWLfN&Q.*+h麝4\nMڌytMu1.)/j_)+,h|Z1}bfI?NgDj\r}o<iyݶ%GHRlD1.͊a\'y\neR2.o2~gwGwN Y	E,DQ\0n~8-S4KkusN-i#\Z\ZnѶM?aj:4`I=f!-\Z8ψ{p5xfz:S,*\Z4,twL-)^)mR\0ÂDpyE&4kV>f}7k-ۛ!?&eFޤDw!P	&\nH4o6uY&fy-IӚ)cn7\n0cB0URPv&k,r}OuV\\R/Fz?~(é)]w-vgTf=s9k\ZˊA\'\\\rDAV]/gqUǋ~Ch]\r?(JFqQG<y[\"@۪syHe&h\"r?i9[|_k-R_u62`>Mamh-Aԋ9~MsyCZmIK?͋O5VbKS<6l\Z&k-\"|ҭ(xY.l[yJ߬kHl8R76|o7h\Z8J	:\\Mh6epnO	vMI&}Ќldn<锗/=׺?1Vt8^[vinZW00m6oZ{@CN*.olz_f7k|cazY7ٌ֨uBͬ>R:j\ng?֐:mJ/bf>ߨ<l㵬J%Oto?{O;j9b7v\'sFqgӸ,/J0V㸊ҭZanq@$loe[qɾ.!걾)+}w7ˊVzΠoܴu7̦=>tq{\\Im.廏hI˪Zʹb+R	1OhDȘ{bnj\'7|Œ*뇵8&7ҤUGœI6a*w\Z%Vck+7<߸,~P\\P{câYcw`\01nI}`E\ZM0\\87N/eJ)9C9*45aJܛf\'G\\VNh;ǟ>Ip*a[IIStqޔsyIކM\'(xe@=*;g?fQ+p|rssy+X=KR.Hʯ:W~WU&K_5!Jh5S*!#NW*x6iZ5.s?L_щ|\\FyAB+a%F2bGx,cKhZ?F00҅An=X\"od^&Y2f9+\"ѣʡh-u\n\Z}^MP\"[j+moXI}_vIv.^<ڇژ7#ϳsЩQ6J}g\'ߛN\ZU|YU,S-nٓ.´μnx1Vg̘ȯÔwGMMdm\\d؊9\Z	5%gI4ct{[@9ThU;S%G`0}^+D]0*挎mY<,iW|:hdr騝v-j௷3+\r6&2^x\r\\ԎʴJNv?ILƥzEKzYӲz@Cw8w嶆.kiK;]4Urah-*l\"f8-\0y(NY+eMÝ{>`;wt	m3˟Q+{I]2)ctE3#$#8 Eto=!m~3\\rhC)nZG*{E@2`\"s#w.k\'s\nVq<.&05`W	[`j	,+ZRՂ~>zet\"5+]Z,fYkk3-^42gw~r_cPo\"lk\\%DSS6Jb0|)br1甁̗I5QYD7]]gyWYxhqDv.~.s\ZZɹ\\uRb:3D.7\\n8QSGyuȿi70~+F<S}!-pN:*/U\";\'ׄ9`>|懲~,hք\r2JUe4ζR@qT2?EV-Y5}N]Kl%	QoqwdMԘ2M)Do~Mk\Z_Dvm9?wsa~RSit#R^6xA)W|\n\Z#>ȮKrЧBx$Zk0]:j:_aZdz1cP<:}9|RK74CS}N.Xqam]cRa##j?8T*$UP.KSHSbA}d7BoH%-	W̓4kCcb\\>Qd8O>׵1Y(Z5D@cL+E 4p8Gk1<`u53k\\W!NW#ekOo jd]t`~z\"anIѢUM\n:P(5:9ؘPВ}cq{ٗqע7Cw]͎\Z:[bU/2^!d&Pqi wcP2Fm|4b\n%8IK`_bt\\V@61*Bg׉~)a>B[0\0q/ J^VN瘩FUurH:\r#freY?TV)0\\@\'7,/cf}QdHLxS҈\nѦ5Θ;I+袇ऌWW4YBɘG\nTY4g1:q`\'p*,+L(;`g!B<V)yÇiQH+9OHeEh\"jmd0a)E1U좈CD\Z*T[rW:X~|A(h)MMLUR`?=?~йn[\\3w?\"(mیry6Q~[@޴%:~O@<)gs~͂HZ\Z~HD):ߠnCo>mDwS<Jz,SUe>7gO}8lP+k	P	J=#=$*\"@r_[!e$߰N294zi̯dۯY&FbooLp\\&[tH\0{nZ^\ZE><Ω\r\0<bИ,qWv0f{Ae:ms`s)xˤ\"<2EtN=kL7Pȱ!̲p[ ۽v38BLbm/aVJ\\Dx5|P~|϶QA\\W3hiǩzu\Z f)ZaXaf֑mDO,SzR~/V9Q{I$h(!,1\"N9ߡ]r0/M\0?^3z5V姬0O|I1\rqJu[CU\\SZX|Ws4b[A0td2P.n$.:+9z\ZT\r\"n\0p1]	l8ą~HO:U!xD$\nQF5V;,rK~/\Z9͂^` V@dc]o@,yaT>\'f\"Ai;&J~$9k\'~e|\'~UZ	8_j^kvjjL)/L\':Ǹ+,a4Pѧ @8!J,\\[SmoO$oG7&xy,m\"\'2Y7f)a(HuY\rx<|m$.iI4WN뉰eeWZ8z?/bJУ[ȭ)3bXIԈTFZuZSj}O8Y`ܧ\"&q4OHjs(	zG\r0Gc!GUyD/`A{E曌\r6-l>n4x4m<L^&h/,@UԊmEbVԫOݐ{*\'⑖Hېv$U턊7P\nSթ7Eh.%K:J٤Ndv$)YeIhxW!K&bޱ\n]\0\'kbhA<D\Z.O4gTxHg\Zޝ71!\'lݸy׈/FhO\"\Z/t蝿v֏U30iXxY]\"\0P$ƛD-QT6{>D\ZX,j　o}臲2]_3SV.籂Yl-ԴBfN_XEՍʀHsׂ*8\0sRǫm4J꜀g~@pGȘ8-`MD|\"*Έlj.W:T,ưq&k\\6%|v(jhpUHL,Hpo$L)YDCI{ň4\rSԨmoE3LD	m=|*ymr&_Ǜg?7W&y٫ݿMW]o (`l`0a)K[N5a\"wspOmPhZ>^S>\'V٘IZKX;\'W~\r9q:䖊h3{d/7\Z/bl$\ZGRK9;6o_c?t\'n_W]ToTR5KaLo_jrX2״aa/2(gBaJ4$JNш8=#\'dT_[/&\"\'*ĉ΋I>f\0`4\0,g.*:ܤY>˝X	~ӰusnT.TavFb	v5\n~2w3<Kh=_װcy%gu@{˼eA\0<\\1	6RKQ8uۿNW6	ky<v@}OP#ȪAl8ƆE6jΨFvlא\Zz\'sTª mۅa%u:H wNb{;bGîB %EjЏW\0&^}.ٖNgƯ{4ZqOQsL1]#s$\"bl;\"5|[ccխL>%ˑZX1rpY\\ffܩz:۲DRSׯ Qd>FvyaTNVO^7-Cc$BM:lt6ʯD;];#Sӕ&WDuoî-8։l~p:wZ.M4o-X\'>\'p^AOEsrN|͍t<J~汏-e,L\'T5ۘ=0)i$QXSXPKۊ%يAWUx\ry7puT\n)*U,X9QMvT;-X	CjOd҃I+B*ұ0/s5<U\'kN 	*əɍX8	\'JK)tm)X.T)]KRx\Zubn$\'R\0GxvXnc=ie\'\n=xIrVdK_mwWQzg/<K<(ଳ[^BM{%7^ft`wXg>J3\"`8;ʻp$.Ε:W\\x{ԇ{麷J)nGZJ&Nz\nbr\nm!%HB؉/+\r++|<7=?tRYF!6oK9u?I5T-+蓲rjԪ{Ǻŕۛlđi0z\0tL|= 3h,ѧb2lZ`sW䍢q7@2룕W䥟2P1ڸL_裬>[[F@mQ=/5ɬn3\ruٳȩ[\rmv[=T[,tixIjqWaa:Vf+#\"Lr⣮ZX|3m<ek0a݆sj:Eè{Y~~};舍>o=qcZS>57o0Tw\Z[6&CTo `r^a;\r3XR]gj։}]P\06Mv^9GȖ3TqGM>@p7OMft>8Fj`׿HOyoT_\0p(0s`[` wĒۖ}юF_W˜\"&9yכ\r?W@ښ;AhB>9BB>\r]Hmī/v\ZnMܹd׫LPAD[\n>|E{GWw \0D 9gڇC*h*\\1EC+E\0cȠFbQuFt찱\\4N q.G[q~nb`Nn* TF0Hϋkv#nPgK:Yv(i.Kd]b2Pf$V!>\rSv56B\\M;lG,..Q5xʰjy\Z;B*!~u?/zCشEܷ>_7g\ny%ԁPjX/̒ъɇVgjgWwV)).j~oeȊ~^M3?{榯6}v\\M\ZNVXfh|_UDCz7šT>(kTF_\'Znk?10/gva2_~h\ZqB_,%d\Zs\0:\"kuSރYIzTlx҅BYY\\ļ+Qܩq\0r%i,QDer<Z\ZaLVDVnnCN4z_+ץ&Q\'\n],kX~f&\"JԢt)^p*pK\\CE+\ZX@tIp,DؑN{iE7ץ2P,s2/SA3CkCζlm X	^َ:%PܧNJx\\/fO~xV]MY(v|+[CO@ǧ÷ǬP*4LzurοJbzP6{ݟ	䫼؝fY2f{&<vwP˽K=-KUq6޼$v^ٽ̿l<&ׄbHa>l^F\'ѝ\nG|v^\\7r]\"jDU-)r`\r6bzIr;ObSS|2Ɋ\rF6\0W~;O;&G[3-\'\Zkb:R6\ZgBWal\ZA{\Z5ŏD\\[j~ .fpvkI^}`YFU4%xZ>y߿)OԹ\"LT34?qNQ,㵁\\BB;5T5 (#XqpDuujd\\;z%,VCڪZKiS;/zx=)fW*{Eex/G~<,Kw5b>1wrяF%=̨9lu<H&ATUhm<_Ws#%nq5!}gv213\\6v}SqU{y<K<&زkk)	M,ћ	{Oe>D~ĝE3aOu.LTtHr蒛t$)I:lA#1[ɨؼ)8*.RZ]lKw\"0I+\Z)gS:f\r9M*j`Ku MCL#30`)>^	J%e1WwٷL(exxJhѩ	GYὴ*.<]!_ \n}Md~.Q>T,gPjX)jam®#Ss\0?}*XCc}Sڳ2uK;(hXFD¸GwH^3*T5:[{?\'gY.]8Ta{IٲƘKV)|-4c.)]֯9\"=8yp^vIi^BOϱ,͵Hoºῷ3Sy<.W*u>]\\pV$V,[ԦN7gUl.|#4jP= $?gm\"Lp1B	\r*K$ 4q,┰呶)Z#~bd\"yA-t.KtR6cQ3SD{ŝ.3ݔ1Igy\"\nkنZa\rB7\n# qEYͅFv\0~/=\nՂ#)k.|t!qW߶rL9I=Oa$HXt-<:FGf9^+5(*ɞQ4:w\nࠎuֳzdg߿u+A[@Ȩ|ܹ0=gJlĥw4Į5ؕ^oQ_˄\'ZLۿײ_9/y\"h_=%4+\'	YͱU?\0\\q1sXb^q#6doMb1\"ӟS	b(\Zri`U㦣!o7h+:TJ[j<oKK[cl#l1#m[p߲06C3_ElJ`-mbQU4vS92gCyIX(2!$-?9{\"uL܈7y/*H}hG$\0✪X<ݳ!\'=Wc;	ܐq(N)ڍbrNmE@pcM/>\0n(@@9\nz/QŪ+nī\"dMN3UrhGycvPh)e7c& )l[\0\0j9>נ#b̢g\Z;1Ah{bg>Dj?U?Ciϣ\ZBL$;Z\Zz;\'ȷdYY-qŗ~eIDQF 6HTcVsSh:9/)#J `]}Z,?z~/l\'^:ն%I㢖	)Qq=y4j{PC|d_׼`M2E$8#kMqs	 \"!R2Ջ2ku\0xPW4@^du\Z5}Yvp\\ġ򸾫uK<n>CS.HD\")D_;)7ovEX\\-乆M6ǻlԵacI\"9YOB3򐋒(^<qXHKC8Wu]*	!Bo5B/?Jl`okǵllyF愈3*ړHpD}vV\"3\">rD\"D`=:)ѳW#\Z为;5NpicMvN8֗irGȊlrz>dJtg8ڼ#Ď->e@H/r6{[5WAt	\\oSjzxCT}Lk*[GA~}atf={)h(/y_I9,Xɮp\"f>Zr5i9euuOw<\"?x($4 =I???ŏX,qNᣆZ25{w4\"tb{\0\'b7U;r$1SqSݾ{X=nlW{pn:%\'<S(^NGH?Uef~ܩG8hW21J;`zA:)(U/$63G^qzKZG\ZǑ#\"l=\'&?u /۠7VtAѱ$0z@knMol2>a2zco.I(@ieKL<<2?c{ga7*\ZE\':L>!0fpz*SZFrᱼU/oicOyCdG૝8Ӂ[!yWf&QqBϴ^\r״qjv_BSn#LtK%?6T!c\rXrtlh̆[\\0t@K(\\ _WGX\"ګ4iM{Bygli3xw\ZhWGx?^iҪ.*C;BDsOY>3vG/KNe\'|^iX&	CN/pS\r\\ʒVWfgL.L/xрgtVxP|f1\\99b&&;IKpNP]\r9meJmh\0g-#;zZ8Ҳ]^nUs{6ڕɵLfy\n3jy!OٮTHl|.B6^k6y,tg3{b2<`+\0y6ҡp=ZSzI5-Zf	$v\"v#[n o=GQ`#3q\rS#=%\\,Lwxs%>|2\'c΄@X:,DVDWCDhr9ǘ)D\rӼ-\Z[v7gK.쀜9R\"<,q1	f˃<ݜ{ZѴ|Dh&ۣ-\n2R3yoK9ѳ6A-{\nXƅb)gűɭ_E05Lzȗb#N\rߢwt\nNcy4ۑ\\hc~	2G^XG=U?os<\rqWOd\Z1}U	R(TA@Ajx(ecy(ٯ7-7c~\'QI);{6UmItqUubGm?|lDQ(<j,ӠDWݡ|R︨=a8ruAW%n `\rHb,>Vr.`\'q\\2\nH+7q	t\ZAO[ǂBHX&d\'爙C7|ze0^bޞW\"T·>\nbGh~\\zW^]!L2CZqzsO-gYZD1 n+#{ޤNQ	&B%oEҊiud\"8_+XkRxg!/saTW&#X78Y^=|8h2A!HkKtēPP|>%32h=8/Dǉ@͛ljDOo_<GZHC̔GZBw\"q,n4/i\ZP෦ p5o%̳	q?|!շ>2|\rQ\rh.u!RbZՋj<W.e@^y=>Wn%ZB_B<8:6H:%/qZT{ކ(Ll\01HeDv$u)\\+,wXo	/g]Q2f^؏hvG!k$Vwڬ94a\'FLy>-(xEx:wbdK3++ڸ5ie%7̀m%ymq/CXsfMh-E2饕6ׯF9B5|;LIycbrAye=xlrv\0JTOUZUQ]ҨLK!\r޺K\n()\\*9uvHi0d<mF(\'El=缜J\"e{ê}뭑!DZ{~|veԎaF<G)܍!)laQu#yYUX(Ǡ=6k%{M6.X]D؂&(JX젖\'= e-v<0T3Q$[Hn\n<fKWYT\"BӾ:\n\Z	4q7fbyY1SwLR`c3bk\ZY{f*LjF3nA߇y33uΡ 䱔\'o\0o	!$0QƊh\Zp{WΡ2idc\Z5ALi$6[>f/Ge>kCGQ.H\'Ϣf1_eyZnQ4eVFب[E,;3UTG!q}al%YXo\'Y5yq{\ZۻFv\\5k)mSWH,M{ 8) $VΈ\n~]U$oKMec;ʒ\rLj@q25<2!66碮gUZE!̤nE31pN,fP*նbEИ\Z,*sWy%Rbi!T&\n52UX&NJ$\'$Ҡ9 /J5}: two{R;s/\\xaۧ[-^YwUn\nJ\ZoR=$kfx\rYKϘ;f!\n~a8!iL)M:6I8ȍӕVm㏇6QV˞ٓL>ʘ7 Q\"b)YéTP~~;BH=؏Z7ᗍZs/^q8Qzv#nnzZp6#boY	4iUđ\\Jyϛyz-lċv|flg)W^;/*<T\rm-LHz7A_o>ᵡvM^/XF{jn?156c\n7sQdWr1uBJ	B<r[l>8I`Yͅ]iߵAF|5ǲf[Hqf\ZvϕU|85;GW\Z+2MhWt^M\']ɫ%<a\rJyl߰s@Ss$>iZm\rL#)&#-,̗$maTӕmbL>n$q;bJ_Vp_@rt%.vr5H w#8bړ\Z:8nqg!z!?/,0K/cP]&+iKuK6OpCĄk>n5YER9H3?sr\"af<iG]LjUG\Z`DI},eǑ)\n$]Vi#c2fWZfնM&XgtmM<f.jG6a\Z$G%d0YNَ&+ x)x&So+d7GPE\'g-\0eG\"FD8j]k\0t!73w\"gdܱavi֎rz*nDh)p\rg.ZBe\rW|h;>p[ѩL\r10RC91%햅b+ʅ뗇ipSx<jyA{q6rW\'VLMeVb!êYb[m,\rKI=I\n!48LPT^lJb6Gr:?4):jWt_Ihw÷ip]:bpI#InBg3NbT\\}b!{-q&Ʊ{\\Ĥ-ITGB\\c\\Ivmۉl;XSd\0nMk{Bm܏\\w2iIq.SM\n\"T}hD-P$~1qAI%\rlOr1NfFfo=&+VXժ\Z3rk:Fvɂ@HE	E0?3͌ajKZ$\"EݼW]ئi.o17[p+d{qu?Ua>麧vQM95v.ģ܉ṱ	#4;29r,v1]XWPzM6v۶f\nAAx)% %~KEleA̱B`JeOuq~\'/F2\n{Z^|YJ*ڗe)yLGZ\'I92YDM5,Ǚn2[3S49QCƢu6^TLr?Zy!ňrP2GDy1b:u|z/H:̹?Mxh#q\'6ŉNo#suq9|\0	hhTEWk,7ucx\\F8O$|i^`qD.XPAe{̍sd31Ǡ\"LOf\Z 3n$̏8,Y:8	\\rZ74A[\rRJ?*yYtJCE3_%(d8ATADa{\\v{͓|tp=u3F98\'g\nx^)\Zǰ3`X:(br/a6cB˅q5\"SZwc\rQx<s3,rSe\07z%s}xrmF	c\"u֭؂<=\Z?FĭH	\\ً_g{Ɣ{ݾJI\\KUO}j\0Љ_G!@Udp\':j<us=OaֺV dιUb4wo}c {QrxD%QN^P1Uh{\\wz\"<D}4T-*$Di .YB&ĵ<38v)a>;<rr\n<r{)u&_Cebf%\rr%5$lz&1.b\"TTxG5ptWMAWaF#\\I:g?IJaci0_?W?PWك\r(ȳԱL(aeD*M1)lb}onGlX]Tg+}]n@\n-8j%yIs\n3\Zu--̗fWqgT6_Dq0őy˺OQ: m8>UY,S)+,+-esaDVH?\\E\ZR1c԰Q<N\'Оѻj	>ܝ{,.zp)r+C<{=cϩU	5N^ْFL;7QqpD\"o]0Ѻi-^*CXi+>)kcvk7!ҳ:Dr׫q:v½pO!&$TǣF]۬eKͪr\\A9#Hqr72)\0]Hi_TwFx⇡4؀=%HE\r	Q0q74|ěż}쳇;ϭ\\sKkZlrz 垾]kEhӞܟ%l|J>r*j\"4&A 63)/HDJkX&INNiy΄)>9S3HkfJ`C\rDiߕ@<p\Z(>(Vu{ScJhUo͎͂L+Լ#x8^s|ma=Xjz\rwAs/ڣw%?cxlDePf8Q`譄cMo\'\"Jt0/2.K)Ќ&F+PaVB6$\n0g8jCEa=_<y㖎gp;SG,59PJ@Gi\"Uj9Bpe?,n%ICZ	f=\\02:=)ojd=ޡ6N\"[UwTlp,iN)G6a~N̵( t܌pY/<\\M^UPsEpAQq|Ԅm~T7nC1ރhgA<WX<)S\Zv,\rm%o~\"5?i%8M U|dy3CPcHo\nkZCr*dfD %eq(JϋģgHſ]#!2#th$Z^&]VO>T\\	Ixvh8{>Ol$w3lty\0E!Om+^Wnp}]_\"((Ml+@l1渠MEG	.G}:崜byӺʇRFF(+SOg̢U_8<\r:S؝dՕC$~fS\\[ũFn=2o#52_?Y6YL\n\'i6(\"/\r,^5 HeH@]4N-j;J\"FQٰq[v{y=Tzh1Y5V+A%O k\"X]IMHEF5[Abi@V\\=bTy4lYVj=\"%lg\\=.SR&|$_Bdb4{vCYֶ8\0{܌3\'mBU!.܀uQp+ÕQ\r3PesVa_\'/5\n]ezo^`/tW[<_P5m|~a+S݁ap|kUm\'H\nx@JM9${\Z{s/$i:mB*/\0B8.UNnl̺npحn/2X>zӽ$Y.;uÏA<M^qQ&!%SŢ9hV_y]ߚ*3ԩu9P{ӟnvzW:%},=\"w)^ףdI9tUAk:ԟM(- 96@=T*&`&Fl1v`uM>FuXmxT+Tkn>4@Wow|v]}|kPyfv2Ԗm£~7*9$<$J:c\Z1N4bpY\\z8}ɉ<B+SE$E\"-*uFnyZ~\'(wՕu7aN%x~TD̦A|P\"r{]dNhŤ\n!t;nōLyz3fbLqDh\"5wQxP~i>S\rDѫs#`4?lr^pM[QIz\0mz.b^Pr4T\roumLIͣ\04\n7ߟ\'O^p\"2?X5kmv^+5FÊ(8(*6i2͉mtSaV*/hʯB<H&P;vryR΋O9m@l\"NVJ<-@^%褧.\\bNeEŐJzԭU*^SE5[Mx$7FY^- ǝJ@8بu>dAߞ+o\"/}(i\n\nWccm2_AP̣\"q^\\-C?	dpN\"tb[+YAŨM/<{>YX}#<E?8`*1qLH#q\\\\>E^JHki+ r5TʘCLXFJ4!*Z57=1JUTUb#	{DוXBH>qy+[$ }\Z^58y\rGRNM̾ !lO\"<eL76CEnx<+i-a\'niGyWܕ٤r$p3J1\nvwYUIvwi\Z^(љyK/<+=/BXe+!OkK2L.X@/,^/f\"ͧ3v\\!ZlUG_ΓşJanR]xJ\ZI\06\\fuO#\rֻ	GV`-KK~j=hqKl^ea!%_9+:$rދDԽaCJ\\^ʂp>[{$)\\J\nsjǹ2a&HV_)sj2%f\Z7MPP]a[\n/~tT_]O*\\!8 `ɑu\'À\\NEó$[ikۦY!v6㩊)G\rJmWyDJN2ʹ\rI((Y8Yđ㱊rlbbVΈa%J]U_%;k6N	zIJÝmQ!\Z^es|(3uV1owf/YG6Xرz=BԼ/TuH<T79zj86*;+J)]]\Z*I׼zKl h=aisPL4~|;&F];/O|+&8\0S6@1l R˴\n[QpXߔ!}5ntw?AG9$g@k\'aH|\ZMV]%NPt=6P5p\':nT\Z% Xi(\nB@c+iV^_՝>n>ڞQ?w։5<gox3G`Ǳ?_sT7k`rNVm+I9X\roo`&\ZxAQ%wk\Z%a{]KDR({P\r\"Úy⒀\ZBy\'feK]a٤%Z;z` 8]#@\ZV\0n\"	R\"^Da?4Q_aB\n9v.3ً;Js2I%m$x4DIř_A7]LS\rU,|{دqh(I\0]5AtH<rv\Z@\0ERKp3&l$vD6#C:Ϋ<qg_u[1jk|qĎښ|ZubfvxAhОX_#>\\t?YO8̰UP3ghˉ~D;VF,uy阗95*BBJgyi.\r\01F\Z\n\\!9]ȋ8ngPba Hg顥sWjzwkj\\Ţn2J5:8BIhҩpY\0S\ruXWj>1|v^r)DT5]fӹ̓4Dv,ύLb(F>2\0<>W[iV%⛼Y`]	O3[\rֻ(qT{#jwXQ%QQ(\n\ndnk}D鄸T3Ip.T]ȓY|sG>1#)5qH4s80d+m飹տ\"}{]wPj^j.s1w\n1:L!W11q\'2w%VȲmImɁ:Q	emu[BsZ4L+q.V(۳2[DwI9^\\I֌Y:4omEٳ\'V2.`Ra;dm䠮3\\wwje?m ,oM8[WֲkǙq9(6[!il$-0y9˯yB-cP8܈rS]Fy\n|48B Grʁ8x;xBTX+Yp\\p\ZYͫBɤ6Q*JIF2;PTj]̥Sl9*@*?Lh+/KNO<%\nC|`ƽwgoAŚ3AN)8I[vzI9ٚXΐ&\r֒\r0KD|.WVÀ[2h7Si\"3ΞT^,(@ /lJcv_Uz4Qӑ\0QMxt%8ҩ#d.wp?9\'i\\]efXL>6& JzVg?ܿo+[t03\rw֒fA$UײtLiW5ÎK|SaC*\\+!ĲZYMFBZQ{EY9{!uwrҊ\'B\'fU`Q;rL66>V꓃yDK	19J1ļ*1kꗘH\n\ZToyXf،/0Cwzޖ\ZIƏ=;\0i$׍Tvdvu4pԣߠT=	EI옊+!06ȡJS7!Cs]úW]A}/|\';>f/Vf}\Z%*r~0ڟY}rgkFLѮk|HfdpxNJM豶sKWzE\rV\Za\rj\'\Zb@hGjOfMy&6m{ۀe?dT7/k¦(\r䐓	*\\e}I\"\",:=Wk!@o\'<.i5=&5\re8l2Sv0Xҕ\'ްmX[RH] jxnw\\ڒ=u&+`8F2(4#7!cQ6MJ6*DL6\\9U,gy\"NS%r$ ]-2gj|b6h}hEV[VKVt:|w!GJw.q؞++X^;ah\nju&`q\01A=ں0!rnѭgz!o\"J\"nIDuf.0#,gL\ZS;L\"9Ü֪$13??)eX˂uᲴ\0r4^˾As\n E+dRY<P\\M-zO E+X1)ˌ]0WPWL?N8\'?҂ܰXBtL\Zxn_?63:̬UZʁF((|{ih\r]EZEJqx*,A-;qv=EiwvÞ8a̋jF\ZSr)=YQ8,jqgڊdQD:	OZ]|}/Q]0_y1D*:G7M:\n;`8VʺvJ0cX8ݿK3)<8xN{X2ПaϮ!vAZ\"4\\jj&?aK=PEN\Z}Ncr;{a_[E#68A&8;sh?r*>n8v2aPҶ*\\hPW4x\nA`\r:ۍL8E*tb}v\r!Wmzw\\hqqKk&?ԨF}uKFk47~RKExm|PCk`g˸>0u1Ңӟ$o1[\"MڤmN߳OPC(TݕR\ZA\Zt;p*NlxZ==\"AhK3!͇Dg,y9[	2P1u:XzNcS̡yBU)Q\n-YzQℚfBw\\}7e\'RqTIFcօY6ev:Vk䪳.\'*fMHX`sFޯt7Z1E)\nN$Ͳ7J!O6Kw¼\"ݹǹyn 6RpȮ&@ʶy\\~ES.&uY6ϭd7$j\0S2VkOg\n4=k+LJ^\"|9\\<9K]DGQ\\+lO>-Bl:2+k,CTu0W͢8ٚ:Dyyumg׸#>h;/h-㎾Vsf^X~k:na5-n=J0vJVTguـ\'ks1Tes|?e1+ÀCρf[y;jMEu6<	 GC~qsQr.0Mfl\n\\.[ۚM5\re-\n<>`\\ߜR#wC	C	 A<	6PYFM\\g\\YZWgQTFt!?dG{Z	68lhe0qq\"AE}&wV\nRYiñu}&_``q','2006-04-12 18:58:05');
INSERT INTO objectcache VALUES ('atulpowertest_com_-_wiki:pcache:idhash:1-1!1!0!0!0!1!0!!en','SMo0W(lv&.-:`vXȒY>)i(lI>>>׬\\0j::x<e+v\ryulehe ӭ\"qst\rRP΃\'Un]\"H* vG{\r=f0׶˓_%3ًr(\"\nx%?9X;t#ÀʃZ_:{z-pr+g@=1	V]]̜խ3OWs\'z9|D?>,n-A8shϝ/^DZmIp!IRqZ{]ҜmRM?><J;\nߓ	 zt~3@&\\ʬթC̃EQeYM\"YVOҙx3^\nupt`ڷN>72^ѵlnoY@Sbw?y :BFx|9/','2006-04-12 18:58:06');
INSERT INTO objectcache VALUES ('atulpowertest_com_-_wiki2:messages','սkwȕ6DRF%Rw_ܶbh$$M\0Zfٷ*;ɚY뜬Lꆪ]}gٯMrq>?8۸pQҔ)=]T$P<8VNgplpƋ(Ge?kmcB2f`rB+͒S^$eťYPI7Yǻ<~4<`xc4e9my$I㬮Oٲ&M$Ev\ZLھGE6Ϊyzm~\Z*]nm7w6_,N}hefoi?&\'rM F^\\%i:[6SBWq[\'yM\\erU9m٤IEk8ˬ\nZn2Bhv6i^7FS]KKW<o\n5\Z_dLX+YRϵ2ZECOlZ^EmImV.QEEbI^$BE$3L˛Y:ݺSGxu:HhA`FQG3Na?y=Қa{%SKڈetzϴh!M;`&tzifHN30\\M;^9=ʆ&>\'c!]SKlJkuJpG\0 Q:\\@^vQI6͚`Ffo2|IYd:Q7)&Q@ݾg@TvBE&N?+d,e5iZ:e,F&|uAJRNdUjKH/72u85u,Pu.\'xMyYX3#?v9(*^˼,xQo?ͺ4\ZOWUIH8 j\'6OwK(v[u.l\r_UG=:-gcE*ؽΦ5_̧8\re4 hz1گi}.oCZ-iyƊw]ltʟf-CÄzE{:^?1wOe/eMvzݖ9?OZu\r^G*Ff}vW&VG B)٦c\Zۭ)Nھ7I>դM̍6g<w{GgϵOU&1z0喻]Z[Vz7f[0PD{ǐ\n%;2˛:^WY9i<9E}ǻo\ZX^M65u;B3wxmyZُ5NwƋEYO726<x-R	+hA>}~c?bn9\r݉m!\"Ĝag4n0ˋLjUr8tVo*	[/}}i\\*>i/<ƸKzoJpM\"j\"޽37m4iy52b\\e|^4DcRk#Z󲪖rJT{B\Z2&fIM0(n$¬am06Ģ\r4iQdMF	i+\rt|7o%K&>|8r޺|hD\"!4\0yL[RXt5Lxy$\rKRʢ*|Nlnn)M~&&\'o>~x	Z\'@z.y;oRhV6vm7\\^aSI6J+l,us;DnhϺth\n. +o\\^J:Vϒ;nkb#Εv{UWfEk&R,Z͔J3cS/tVM>$9.jDGt\"Q^JX{pR=O;ta~8\")aC)Y\nHgr(ZKF²F_WS8H֪J<VRߗ]{]~\"a6ltjR&pF_hExU:bwu$03<.3޻g3&\'\'0A?zxgCDY&fx\0c?Y4bG@FBMc2uInt4옿\03zNs3?ZTQ<=<Le׊j>Q`(J9v[k<=.K\Z\\:jA4d\ZJC	 t^&(2R/F3Sݏex=&|}!~*>h*-#q^3z;^_@崬N}!FZ~pMA}3ZK4a>N@JpJY|pg]B[gJq^RlJ],w~\0[}`H!_Wڐz\n[8^-P7FX܈8}ډ;;cwwY|\\Ki?!jȆ3A7%/v-z+Yf\r&_[}&DhVĵX̲*ó&g!KherR|1ư&_*DdI0m`\\*RO^	M)2ok/Sj%g܉.>B\\>-\\4Rseq\rɛjufZ3TfohUݪq ^S2-@Oo *RXr?R%B([x1qB+Lg_=wN͏	qv|NSX*	\r\Ze\Z-\nnHm>qiT/ϓ,j鸒ί@u\Z\\eS,`z{ kJ̤(hJ&z{hZӈtcAT]}7e9wX-5%F0>8,e#|rW*ˀ13h4 \'	y(EӥS#ΨhJ&3ţ(7\0>۝c\'T?yC3	m5ƚf-F/62\"FyC%BRe\0p;%(vXl0E<NsP6>D=)*E`EgN;Ms]#Z|U;*;8d=DRdBc0	ϓ\0V3uDo5\"[TFE\'O-jP`1nsi~Y#/x-0ٗ9\Z}I\'y}-x03tG(jH>X-V\nžp\"U@jR~HoI{g8e*iI#&Prk%JedCtw槍s|QO-Kc@\'(zlTS\'JCI0b.k+w/*h[^`\0Meױ@	:@\0|r\rRk\ZHX~\\7% 0K+m]cÛ!:.j/	NhquE%y H0HNCs^sGKzrbτܼ3ܼ?|a@,4\0c20>|X/Qr~Y6QĈF(F&S^lHBZS.8>HB]AU1(wjWQHzњ$Bt11P*qs1{ê\nV)5sH,R*Z^Ԗ8͸*geN\rNM[\0$γ}6,Dd\"\r6pYFH7ܩ?դ\\xCJ&Ї&eA@X\039yI^MRx\"T.xu\"Q\0>!=N\r[8z_$c3:XLӪ=oM.>)kb$Ɠx͎aEW\\0&iwmT֭Hܶ8V>L8(#\\AAnJ7tٳqe,Ȧ[ZWxj1}A(-/k[ѿ+\Zr:&lը%\'Z^K\'qlZ|;fKz\nWX`٫qBiƛ h&^.*nF 8=\'5b]DBax#lpzڕ.T5Cq1\'JQcU~\n3tŗTE=Te9ŗyf\0?O*v\0;@G拫*ev*I⢃A@o/\0GŘ֎A\\S7PALeP-\rnj\Z(rA,\n(K6FD͢FjPlcTKb3Vi@{WƧ+{W5ʞ[5]+uژkbǨ6IΔbtͯx[iH}\n\"*̢[[\Z;іDRv4xcrWaB&{\"u[t\\UЎcQVKN⒖@sdZFV}>^/V4	=1z2,X@H0uQOHeeXu]axl}:}\'ri[iO\\f0ROϠ&~tnacHKKy4|T7@4܍:T/_JWnn~i3ق㦚AgO+F_pɯ˴l{YE]V.fEĚ8\0/:I\\{+^}Rq+i\riO\\cqNh+x0J;U88a~SbzYkZTϑM\nDVi=Z\"^wunBPTh\";Ӆ\0Yqa&?)a@DwKێtAy/Cbxݍwmd(BGhg^;X5 Pu+R\r\0EbIEax~Mt)ZM5ˢ6Y6gayi~(+SNn0=9EmRB-+dmI eUTݨXq<y-IBY=\'Op6	{&	w4lIDW\r-B8FFq*rCՙβjs\ZW}1ae_lQhY_tt|r;4\r*MbJ9?7_Hp7E:V>JD>M\'&m뿽yOo>I޿zgozmϟzteu@\nfdṲ^.\"{??\0Ԧ\r5szbY0Dcp+yU׀h~wCn61G&z-qq-vx6{\Z.屔3c&5_C7y\0[.qE5F=/UqZ$e&}a!xM;\ZO\"3rm &tK3hJ$SH=rBFh/;X1zJ輘c\rM{梂n3MZ܉7\rg?F\"KUm7o{/nWY`\'s:ó΁u\r0֭W@pV|\0[O`is e /#Zǿٸecԧ\\	5[	vclWόo*9lDiv\rI~R;IU+\ZҶ]IYrY|PN{$־#v4j*t~B_\"[Dx5mumDqfK[+e;Ǵ>`5Q1O\"lq	.V,vCܬ>j [3ٿ56VS\"	uC-g,\nnoA-Kd(5qN#ld\'Fĉh_^ωuߢ=4Fb+DCζNgJӵC[8T=]ib{Yq !߿hʋITV?.;Jт_ȶ\'7ODւusT4\'J/ǘDiGܘ9!HǣgюJRyHYYy=L J1+`8Z~\\yxUЩ )0wsWJ5p|P2_ҊConGӂP;t,*?$K6 =H\"`Y!{/\n\r2gQC_Sua~b; zC葁5..pBB7ڶQKҵ$ՊQ*vHr\"Sg9F?VV!zГ~́D+7hKv\Zب޼|ǳă>X|:.=[|c8dFvz4#FcH\\Y}u[ڎ7N}Ӝ{<ݏoΡf	{}UYn⤧ .\nX$dXpsCjCM\'5j?nsQ\\@ٲ\nL>)+\ZFzG[\\ɱF#AȫWI#1LY{}*f+e\06G)}5pH(\Zl}$>ZY\rE^9| ST>Se/\n$?O7у\"<Yz*:è߰P=|@\0ݖiyCuO\n<Nך/p5{lhR1b^!Z$G)>ꚭE99cm&c!j>]m8ןѫ^4긓׷S(Wh;~e<5#ZYzf	C]A5z.0؋mYm9AQ°i	\r,祉J@>%uƨf_O\ZadZsl9CwΰO3\\7 Z=:+{Ԥ/oFxczvDzF\07\r07\r_wWA,m`~x̉+bc9wsOz*3y(*@Z_ՌtvI*bh.eێĝG&ii|Jde:WĐC8~qU{+\n@LBlɛlcpF}OS42Z0*j)6UgDKZE3(y=nL7m7!F4:BeSxOfwY?BPeW\nDV\\e/&EiFgllezB-܀?eG.YXh+4*մvbnB1xk	ZCGA#+!Y^߫7M[]]usWnA\0r,H|E}v&pumҞ_V~u4wonnjs\'\Z_n71pحTjoUٌe~e[Ed?_8be٨UmmS<feN9,_KMY#N⋐Xc@Zdm~b{0 iX*Ҁ\"68OPHy1++k<x%75`;`\\q\"L?TΝGkAC^\"ʕªp|jVM؍V;yy~FOQ?ka$*$P+e\rt/D\\Z E[^snk(]]hH;	74;rىp/8ͲTeV&E|*h2|h{֕m<k0!Qg*	]	?|`;_lIڏjѣ	!\"/cetKI\\yccV\Z(uB`^z5UIpIX.WWILOfhw&ZNtbw]6g m<45݇V7&7r9CpvU\"7/=#z`sv)g\'/5a1an`/>ۻbIlQ(]%u5\'D>{7M*\0%@Wȇ\Zdt6nJƢ0c9k< z|C󷍪˾nX^-T:Lb\r17/_ϟ7I^b1{L<6`{Ca0t~t\rנ=Gop{ϭuem?ca38;ύ5T$/m>s?\r,*h`-w<Vˇ\'\\%@q|R@ vaک\ZqГE~8xoJ~6{-S2H\n=~RpD~IZmur?)ǝ\\nT1O+زh<˂#>Cb+\Z9PGffS?K8N$FcC@9ґV7yA8~PL33U.6zg)ZY?F|T<%l5Ur&vSt=秲P;\r\n1䢙:&Z**$v5EdMt\nٔ$^ b򏑘K-bTLޔMA	<ke))r.6%vNh;$\r)D35%+:Ϧ!\"ΑYdh0z殄y~ĒԲx{i{&;<q%l#E^Z}Ń͐Ez>&27H(sT\na~ĳuTu4B֔SD06awZ)9[N(v׃Ǳ\rO꺅cu,\"P\Z{Fa\\#7Z$|+*ns?|Q,.f=@UlYc%V\ZXg.WWvb<E7/Lst}{eXJB壷oEaB٩8QQzhu:߅\rl.8+JtsuP#V-jӦ\n6M>Arן1SC6	&D|iNХgnd\Z	8pJԋHۋ-Xt12IkH]PK&K<򜔭XLўB{ :KK$zZpQ!iP)tK11a_T\\h\r.o_\"C_H-(x<Gw?im+ǔF4\0_>ӪA_tdeRC|Ţ/z\'>\Z[k=GvKo]J4ǝ^\nùzvᯩf/H<zGLZYmTiu̿L~BŴ-;?}ů3)BSNr⁊eZ3b>EKl9Pl3y}\ZN>ք((B >9՟(۫![F0n:Z\Zvc2NE%ƙP%?:ZJ$:F3rڶ8-+mK?;UD˦t\nBX(UEc7Z#>|ܭU\"\'RǤq*bc!>vAj%Ω:Ń=k2ps9]1ӑ\r[R(F/Vk]=Ө)vT85\\$X54`xvؙAa	?si榾\nBn 4oL;	#e$\rq\0Yma0A\Zs$^YLa#&4mǑhV姪gzޱ̱`yZY%&QCcZog1+7e;ޢXWï,\"c(Ć`Upj}BrMgs1\"祿2=st+ObTK$ir\\Բ!AS96*c7\'w1Fms}ΞsZַqwi;n.C$r2ZB]\"BJfzQ^`5]IrCJ&vȋNo\"#x?\"84UwTG6p`|hiB=7k\'͐îA۞Rr<Wx͘(l,3I$2IsFrQԋ9wii\'K%2!SSEU\rmVM-ǨW՜Q9FU\\Z{RCHnUJcFӧ|ZAS%zjudςT4Vp>b	X2\r3BX[B/ p@Ul\\N`wbl@bرۢ\Z|afp\n8?A+u\nzbQMVbo<thS?cuO}(om<nAlg?%daa%+{?)Ǘ%+N#\"UKβ&C29T[G]\'pq/`\ZT$฾qe<n	?|HKf`BBc|DTlղq`\Z]bʡvv[;f>nۣpq<}ǍjMgut{\n	\Z\'0Я;u#a,PFU<FiGLXoGPv?eʖffh1K=QopiNBKZ8p;D\'$d#iʀ.(:Th1íɱYM9ZFbc]`%	B6-l\"cB0\0XT\'#B{o,TFECD \'d{.[pOڿx!UW}JyHw0<W\n-mu)]66||G2{:p+\",tz$\"Y֫6N_豒vJ|ml$J9ěaU~UY\r0yk7NUB\0hԸdȢK`S\\{LඉXQ1﬙5iu\'NW\nhQ˰/MZѥ@U%VzqOȗ?~2hu)\'{Nvez	$+$]5~hi^KY*ʬ̚#cI%/\ZpS.\n}ѓO,X ǒ~ZLdg>imОt\Zb>g\Z;zvL͢_\r@a~]6Wk&VZjnC2,@TaP-/!Wb)BEȅ7؋C3UNlc{OW}t{l`T;ϦZ:3|\'aBN`*4X/P5	zC8,QؚNnD{C](0tt&̺aj\08ٻDoo_c̱ޙ N6ŕNp_{1jM-g2s3h&acqLtɅ7GwRJݛ灔%#&qy\'s`\\+ѕ\r>7s{PAF\nrc5 OM`)\'zt4br& »{Ar\\\Zиpzr^,#e.86IOTl2թ[4SN8t,ϓt;K}7A +8g*|0mNR!L#o*!V*3(Hel,%2xqD4\"I8essS#|g&ߣ-N:ʺB@H2ϡ(At3KPW:,gR3j[\rIbZeGv]}J.u倶uSӐK`UPi㦒<<NT#ɂs=XpZ^SDc,S3=1ssFnCQbXۓ8JDx2~URSvG!>(S\0/GBS/UjKc+$IfvHR Tot8K(DҭLu|dOӱכ)*a\\SHC<~sHZ!q,XikM*5e.$`Ӽ{佞\'^8ǝbY~<(Dimp8\n*ϧzFǰ&( 0ys⺙M@K@)z޴HPhN[du %_o\"\n>Ts#M2yֹ /dG!\"m=>CEu.[JHK7z\\\rSX\Z+ϚaʭVKKVP(TGx|I%!NK:J|ItW!Sv_o<^Hp׎$.kEm՞89eճ+JFl6a=(q5S5g&)O3§EnON,3~ifurZf7ܾ&6ÞV52/\"86ӷ-ekάiM\ZXP&~u5cѨ9 \'[&SoiW5)oLlUγ<h ﶕ X\ZWRM@\nJB:*_\ZUi71^}[w÷}iZ8eKp89\rLd܈v[\"g0SzobXo5 DhPcӏo7Ȃ:A8$m1l4\nn9/j&t2zˣZD]i2DxT,ݸnjv 6<uaMl5JĐ\"PhWGVc\"q&f\"]L\"A4:&\\v.i^PZۻvFoM^6kLŐbWh-10s&r&9T<͓\r|2!C\0q4JXQX-xu9T1Mxv,A#x&)r\"\"Ї̇{o(%\0It\\¬u5Ɓ,M-,,*uKe~v*ݕ;d!/t~80\01˳pu=3/.4bOc{A}54ӎt-v޲mjb#dzǰ8E2*CAӯ*ⱞ\r\"TyLz,iGYIm06h; N\\9G<uW&\\U,h;J=](\"DڭbFճ!bA0xJ%VAh\ZRbEEa*Yu],9:v9D<tz]f*+9\"D\ZT8b%BQOgC7o#X<`t.k<*qtKeP֋61\n\rA]WM]YG?3dL\"\ZA\\9y5UrgXl<B!/\'$\r5x\"I\'7iG>qj#|m&j3{ȇ׶[3f$CL/~9k2a8	OuG|ShQv&Zw.ŋ9?JnMZfD-+q&j\08Ӟ!v?9Y	6yS!6@O%xnά;J׫q[_mI\"3~46ӎŕhvSM#=Ffl3\\f3}4_.fNhX)?]hBn+5-=g9	4+m3ȨO=X6{?L2`g1HJC%cU	\roΫ+<y5\'lA?Ͱv΀Wch{Ζ$T\'ͪݠiD2ҤU|PE`rĹS3j͂Wl|ǍĔ\\2#1_\\\"yv[L}k]\nt\\n6%ގ0Q;۽@in`G̜~Q{C#G\r77D/dfzjԷd#miZ[bIvpǭ<k^H{Y*i]}`OY8l쒆!k_\"ImJ;HC(3oc83Eq$s*r$ԖQ\n[ЬֻKB\Z>C,ET&L$De5KQ)\"$bDqB\Z#eD}mqf3H\ZbBղJE`@<QHG^}+7c->DffQ[Q8;V?̎:\rڑT[]Mp\rg.ZBe\rW|h;>p[ѩL\r10RC11%Eb+ʅ뗇ipSx<jyAzq6rW\'VDMeVB!êYb[m,\rKI=I\n!48LPS^lDJb6Gr:5):jWt_Ihwc÷Yp]:bpI#ɄnBg3aT\\}b!{-q&ơ{\\-ITGB\\c\\umۉl;XSd\0nMk{Bm܏\\w2iIq.SM\n\"T}hD-P$~1qAI%\rlOr1eJFf	o=&+	VeXժ\Z3rk:FvI@HEE0?3͌ajKZ$EݼW]ئY.o!7[p+d{qu?Ua>麧vQM93v.ă܉ḽ	#2;29r,v1]XWPz5v۶f\nAAx)% %~KEleA̱B`Jeuq~\'/JF2\n{Z^|YJ*ڗe)yLGZ&I9y2YDM5,Ǚn2[3S49QCƢu6^TLr?Zy!ňrP2GDy1b:u|srOH:̹?Lxh#q2ŉN/#suq9|\0	hhTEWk,7ucx\\F8O$|i^`qD.XPAe{̍sd31Ǡ\"LOf\Z 3n$̏8,Y:8	TrZ74A[\rR>*yYtJCE3_%(d8ATADa{\\v{͓ttp=u3F98\'g\nx^)\Zǰ3`X6(br/a6cB˅q5\"SZwc\rQx<s3,rSe\07z%s}xrmF	c\"u֭؂<=\Zg?FĭH	\\ً_g{Ɣ{ݾJI\\KU|j\0Љ_G!@U\\p\':j<us=OaֺV dNUb4wo}c {QrxD%ON^P1Uh{\\wz\"<D}4T-*Ci .YB&ĵ<38v)a>;<rr\n<r{)u&_Cebf%\rr%3$lz&1.b\"TTxG5ptWMAWaF#\\I:g?IJaci0_?W?PWɃ\r(ȳԱL(aeD*M1)lb}onGlX]Tg+}]n@\n-8j%yIs\n3\Zu--̗sfWqgT6_Dq0őy˺OQ: m8>UY,S)+,+-esaDV?\\E\ZR1c԰Q<N\'Оѻj	>ܝ{,.zp)r+C<{=cϩU	y5N^ْFL;7QqpD\"o]0Ѻi-^*CXi+>kcvk7!ҳ:DR׫q:v½pO!&$TǣF]۬eU5VsFB;6V7R\\%J#eod%,S\0/\\>Z-ĩ*ECiBWEqw7u\'P{z?Jr*`nhBZ7y>g{k=w[\Z:@={qv\'}qKES>=?o\'9K锒}Tj)3E+hLJeBGAm>%fR^\'ְXMn=	Sz/ie}sڧg^+OŕЗH޿+9+x⁳?,ZQ\Z;}RQ^z\'qq*ЪV=PWyGp;_%V?zՎ)\Z`l_GK~%*J1q[	ǚNBoE@N?`^$<e]a[s\rSMV!H~+ޅ\r\rZm:7.HRaVgp. zۿx-,,)wXj!rJr-D<&rN0\'~XJH,\Z̞{¹`;etz`S\'\Z{CmD\rM%Ʃ.XҜS9BmFkQQ6@16r^x\0(Fr6qA_A	,otMb1uΐzyǯ:aUy V1	~S4X\ZJ~_}GED_k>~jJq%AbEYOf.ǐ״T@p֝/ @]AJPFbGA8\rF&wCd4mGHt\rTM9|zhw|$<q4=H{?w\'6G6Sɼee\'Ͷ/+7>Uί\n&}6 Ys\\&#UۋJuߣ>\\rZNi]C)[#wǩlfQj}*/~)NJx?)T#au7ב\Z,F,&ɓ4iEp2$ x.\Zv5Em#l݂-P<[DpHD=\Z Β\'B}k5o.&\" 4 +ohlagh<\Z6,)g\nod)N)`w_/wL!Yp21=[ԡ\rk^{=|nƙxwa6!LnϺs8ڕ~ʨ?卆zR~2Nv?K	\\7W/0+-܅B/E\Z6>Յ)BA08Y]$qs<u^ S={H4{q~d\0!q\nLxzr6vf]78Wn\\ԍ|y=^`ɬe:G A&8(hΒ)xZrabQcl4Z+s/<.oMEz\nT:Y^DQ7@;c;Q2$ӏqOp_* t5OOA_Gy{KB*MlN0#\0RfsUC#ݺD,6	É\nR5r7 +n;>\n;mʵ^rW3;{oj6@\0Y%1x{HHqM\ZJDQqRz.T=ľ~g_I\"|L\"WAMD\\@:N7`n-:]śGI<pvZ{O`*bX\"|f>(rG=ͮruo^[MbTWZF&ǋ<NO\\=șCf1BFg\"FCMޚ(pJ<(NǩU\"չn0dF^v/8\n(@]$=\06=Yi1}/	(Dr\Zݺ[V&$Cv\0\Z՛ϓ\'/Ͽ\0_Pp\Z嵅M;f|vZb\Z#a]Al|hfsr4g60+m4SSWWl!$(ZSt^\\<\n)eg\'՜6vNt6E\'+%\rf NtSl.Tnr1\'Z2bH%=uVڪ{^z/̅)	eߢ@\Z̭&W<H#լ\0_}ZDN%	HGlTvu>dA_+o\"/} PH1DRe2B3{q$v\'8®9g^_ӉoWdŷ61(.\\:n88;JZzkda {~6#ݾo	ns3!dqy^plFOWy9<*!}$P)c%3b+ĆPLk-l2>+UQWQ3L,$L=p+_Wza/`\"\n!]o%\ZizրVr=7!Jq;e71vv=kr@<v1t_?c?yƃ{y环LAC]~Wfʑ(5z?YHvwi܈\Zך^(͙yK/P<+=\'BXE+Ok5;2,.V O+^/f\"ͧ3\rvLZl{UG_sşJanR=xJI6\\VuO#ֻޮGVc`-KK}j=haKl޶ea%֟9\r:rދCԝaCJ^ʂup>[{$|)\\J\0\nsjƹ2a&HR^\r)sj2%^\Z7MВP\\a[.~tT_]O)\\!7 Xu\\NEó$[ikۦY!t6J)E\rJbmgyDJN2y-Um,,ȥXE96@.1yGgdgDҤ}zD۪R]gLGm5\\󶍈2)pMy:Ԗe;l|o3#LE,rX=!h:rjL=5\Z)D`.siq\rФk]%&Yp۞49r&\Z>G,dc#\'NM>2) N!%Z(kn8oʐ=\Z\\B:⻟?#B\nIǰC[>soq\r&~#؃\'N(]Ig\Zm7?mmܐo4! nu1r#t`tl/J7mOxӻID\ZwI\nZı7#p؝/v9H:0C\'$h跅~WlDZ\r Xè{\rK5Aհ=	ӥc\"!=d(aͺ3~qI@\rR~ZK2٥0lfC5~}rv[ƞ@]w\raK;ތV7[;X/\"so0hE`Z$n}ŝtz$6<\ZY{EqįօtF*|=OD82G$ZȊ䮚 :H99}9\"7ARBkvmbvzd;	E!z۱fUƭXOs5ﵼZ.|UF8FmTkXo\rbԳg8iv\nj%s9oCBsw\'ي=HEΛ#>>:s2F\\O[yvcC	,/ ̥ d8ZycZk1D1gq-ZB,!=txJb6XTMOw\\M͕+ V3|w*3mNc+Dދ\n<p:H\'5uFUaGE.wB|=@Ua6<KC`X$b3)0C|5.ͰfaU\"ɛo\nߕ4ݠl:oG[7xW@EPZY+:ኪ@v&GJ{aK5A-B8HQ<%\'Y=}4{0xs6Z-x!bm?YxD0\rCK2ؖ>W 1߷sGJV\"8s\Zyh,^a<Y+C!sObulؖ附l!8`_&Vw!4Nʴb=+{-Kdxed͸nNֶY=qb%èJ&5S-?N:8ug7qk^Sq};XN|/l-{6J{TbiF\0AQ|w\n8R8F(\0Íx(?UigylW۟N3#+rD.cWsH\Z)Je7+ڏIРYѼ*LjeDhPhk-3Eވ\\:Q/	6FÄB^;0ħ\nlkzyT!Zz!;4HIi\'$C5i Q-P\0D`[Ͳpe5Ȝ>.r3吶\Z 2IIi \rK\0ҟ_?Q\"˦do>vl=NY7L09\rċW?JW#:Mrߘψss58^fed3a\0j$>G(~q~ݡvKNU^\\}M\r?pw`-`v\ZK[yPq-KǔvU[9xW=6DjMQJ,d d%e.aWtkz%SعP\'~\'\'\0(,}\"tbFv}AJM` dcoc:9XKлta~زOm~9$L6Gy%nz3$z|~~mykdhɾӎiFRHeGlVG`oI=\rJՃQS̎xj4ux2\n1P?0}ݵԇwSoB`0)X֧q]Z\"wy՗-yV_zpn:{\'ыdk~I\Zڄk;\\P qW`v2kϠ!Lvڪk\'bӶ\rX[C,GqB6k*,lB@9hU6ǚ!0Bsu1>~y_I|0\\3Ypcg2P8[`Zh #Ceu-]Ip\r{چ-u91[\0v^Gq-ZgRcDJ,B3~B1l eӤd2NDɔiȕS{w.+z1Ul-_I҅	Β-{!^/f֘GyXdg4h\'N{gR5^tbjձ?Vj1\nrJ(;m\r98~Ӊ\"ݺ?y^(.CTgs>rD85wӹ!!r3iJ=#R,Ր,H[\n.KGx:g	BYd_8ҎO&Uc\ne\"D\rRɊ3X!$	)	us +~˘#-\r%L*0PJP$|<c`?CA0Z5xn4\"͗eQ^EY\\4gT˱\'Sd!~gq<I\rcƼh&ĉJ}(=%7ѓâwJ@ȗpم׿\'L8iOՅ-CstӤ̼c-kSpo>>=q\"̓ۻ(s	\ZQhj.\"n Iϋ^ƩQj\r,^̪	W(^;&NHŰ%Q0x1bo3~!>x.w㆓hw(,\r%mdzH ChϴZBZ!K\'g1[9ېrƯwǅԸacMJkWhnFsh\'\rA4kE!z8vS#+:Nb(NPMv==n\Z1U[)-u:!\ZQidAFרe]Cj!kǋ:~ 9|ȁATxrW\Z{@x(j\rE3_.86u&Te-,X!NoMMؒU+L/zj?*iti.wÈXvG4lT;d]nHX&nj%v+A:˚r2iqLK)qv;\'nJGq3[{^BjD,z3	iʡmtWl!̹(ҝ\0\'b)\rj^j`lW4lRq_eSJbys!AvоK<I6%cUf>	;&k@󷶢%7JΓuȳz5bkl#$ɞc{.#Z8(|JEPyUi,3əAmWu;{6\r˼f2mu{x>k{귦9V#2ө4(\0 {nQ|_?i-nK5]\rؚ:~6(;U\ZCU1S2XZ<d8hu()TQGmoI\0r=$7$	3	tdfbK ~LZ\"@σ7-;q7px;0Γ`Ch58ݝUa%Eeu5h{%	otH♋JzPj\0iSv<V\"\\B+zjn6]ԇqۼ+Kh~i`*6\\\'i5\nIo~','2006-04-12 19:24:18');
INSERT INTO objectcache VALUES ('atulpowertest_com_-_wiki2:pcache:idhash:1-1!1!0!1!0!1!0!!en','SMo0W(lv5.-:`vXȒY^)i(`(+\ZOs5zvlZ1Z	t`9:)D(AJl:7M.\\B$5bf0׶ϓ_&3lEy(bhKr(7TNKi5#*^hEǃz0:X΀z$Xv1s|T7ά?բyS_u.up	v~Ɖ}X,[-X	p#+ў;_<tڒGZu49ۤf#}&xv/@vx 4z֣[mM,9F2Vf崜)#cLѐEQUYEUH5t\'eTbB]++x=-OǕgt%KV$뻎O4/+H14d-ռ','2006-04-12 19:24:49');

#
# Table structure for table `old`
#

CREATE TABLE old (
  old_id int(8) unsigned NOT NULL auto_increment,
  old_namespace tinyint(2) unsigned NOT NULL default '0',
  old_title varchar(255) binary NOT NULL default '',
  old_text mediumtext NOT NULL,
  old_comment tinyblob NOT NULL,
  old_user int(5) unsigned NOT NULL default '0',
  old_user_text varchar(255) binary NOT NULL default '',
  old_timestamp varchar(14) binary NOT NULL default '',
  old_minor_edit tinyint(1) NOT NULL default '0',
  old_flags tinyblob NOT NULL,
  inverse_timestamp varchar(14) binary NOT NULL default '',
  PRIMARY KEY  (old_id),
  KEY old_timestamp (old_timestamp),
  KEY name_title_timestamp (old_namespace,old_title,inverse_timestamp),
  KEY user_timestamp (old_user,inverse_timestamp),
  KEY usertext_timestamp (old_user_text,inverse_timestamp)
) TYPE=MyISAM;

#
# Dumping data for table `old`
#


#
# Table structure for table `oldimage`
#

CREATE TABLE oldimage (
  oi_name varchar(255) binary NOT NULL default '',
  oi_archive_name varchar(255) binary NOT NULL default '',
  oi_size int(8) unsigned NOT NULL default '0',
  oi_description tinyblob NOT NULL,
  oi_user int(5) unsigned NOT NULL default '0',
  oi_user_text varchar(255) binary NOT NULL default '',
  oi_timestamp varchar(14) binary NOT NULL default '',
  KEY oi_name (oi_name(10))
) TYPE=MyISAM;

#
# Dumping data for table `oldimage`
#


#
# Table structure for table `querycache`
#

CREATE TABLE querycache (
  qc_type char(32) NOT NULL default '',
  qc_value int(5) unsigned NOT NULL default '0',
  qc_namespace tinyint(2) unsigned NOT NULL default '0',
  qc_title char(255) binary NOT NULL default '',
  KEY qc_type (qc_type,qc_value)
) TYPE=MyISAM;

#
# Dumping data for table `querycache`
#


#
# Table structure for table `recentchanges`
#

CREATE TABLE recentchanges (
  rc_id int(8) NOT NULL auto_increment,
  rc_timestamp varchar(14) binary NOT NULL default '',
  rc_cur_time varchar(14) binary NOT NULL default '',
  rc_user int(10) unsigned NOT NULL default '0',
  rc_user_text varchar(255) binary NOT NULL default '',
  rc_namespace tinyint(3) NOT NULL default '0',
  rc_title varchar(255) binary NOT NULL default '',
  rc_comment varchar(255) binary NOT NULL default '',
  rc_minor tinyint(3) unsigned NOT NULL default '0',
  rc_bot tinyint(3) unsigned NOT NULL default '0',
  rc_new tinyint(3) unsigned NOT NULL default '0',
  rc_cur_id int(10) unsigned NOT NULL default '0',
  rc_this_oldid int(10) unsigned NOT NULL default '0',
  rc_last_oldid int(10) unsigned NOT NULL default '0',
  rc_type tinyint(3) unsigned NOT NULL default '0',
  rc_moved_to_ns tinyint(3) unsigned NOT NULL default '0',
  rc_moved_to_title varchar(255) binary NOT NULL default '',
  rc_patrolled tinyint(3) unsigned NOT NULL default '0',
  rc_ip varchar(15) NOT NULL default '',
  PRIMARY KEY  (rc_id),
  KEY rc_timestamp (rc_timestamp),
  KEY rc_namespace_title (rc_namespace,rc_title),
  KEY rc_cur_id (rc_cur_id),
  KEY new_name_timestamp (rc_new,rc_namespace,rc_timestamp),
  KEY rc_ip (rc_ip)
) TYPE=MyISAM;

#
# Dumping data for table `recentchanges`
#


#
# Table structure for table `searchindex`
#

CREATE TABLE searchindex (
  si_page int(8) unsigned NOT NULL default '0',
  si_title varchar(255) NOT NULL default '',
  si_text mediumtext NOT NULL,
  UNIQUE KEY si_page (si_page),
  FULLTEXT KEY si_title (si_title),
  FULLTEXT KEY si_text (si_text)
) TYPE=MyISAM;

#
# Dumping data for table `searchindex`
#


#
# Table structure for table `site_stats`
#

CREATE TABLE site_stats (
  ss_row_id int(8) unsigned NOT NULL default '1',
  ss_total_views bigint(20) unsigned default '0',
  ss_total_edits bigint(20) unsigned default '0',
  ss_good_articles bigint(20) unsigned default '0',
  ss_total_pages bigint(20) default '-1',
  ss_users bigint(20) default '-1',
  ss_admins int(10) default '-1',
  UNIQUE KEY ss_row_id (ss_row_id)
) TYPE=MyISAM;

#
# Dumping data for table `site_stats`
#

INSERT INTO site_stats VALUES (1,2,0,0,-1,-1,-1);

#
# Table structure for table `user`
#

CREATE TABLE user (
  user_id int(5) unsigned NOT NULL auto_increment,
  user_name varchar(255) binary NOT NULL default '',
  user_real_name varchar(255) binary NOT NULL default '',
  user_password tinyblob NOT NULL,
  user_newpassword tinyblob NOT NULL,
  user_email tinytext NOT NULL,
  user_options blob NOT NULL,
  user_touched varchar(14) binary NOT NULL default '',
  user_token varchar(32) binary NOT NULL default '',
  PRIMARY KEY  (user_id),
  KEY user_name (user_name(10))
) TYPE=MyISAM;

#
# Dumping data for table `user`
#

INSERT INTO user VALUES (1,'Admin','','530e06074761bea80e30d601e620f30c','','','searchNs-1=0\nsearchNs0=1\nsearchNs1=0\nsearchNs2=0\nsearchNs3=0\nsearchNs4=0\nsearchNs5=0\nsearchNs6=0\nsearchNs7=0\nsearchNs8=0\nsearchNs9=0\nsearchNs10=0\nsearchNs11=0\neditsection=1\nquickbar=1\nunderline=1\nhover=1\ncols=80\nrows=25\nsearchlimit=20\ncontextlines=5\ncontextchars=50\nskin=cologneblue\nmath=1\nrcdays=7\nrclimit=50\nhighlightbroken=1\nstubthreshold=0\npreviewontop=1\neditsectiononrightclick=0\nshowtoc=1\nshowtoolbar=1\ndate=\nimagesize=2\nfancysig=0\nvariant=\nlanguage=en\nrememberpassword=0\nnickname=\ntimecorrection=\nsearchNs12=0\nsearchNs13=0\nsearchNs14=0\nsearchNs15=0\njustify=0\nhideminor=0\nusenewrc=0\nnumberheadings=0\neditondblclick=0\neditwidth=0\nwatchdefault=0\nminordefault=0\npreviewonfirst=0\nnocache=0','20060411192512','4a0553caf5b3488e9e657c454b7472fe');

#
# Table structure for table `user_newtalk`
#

CREATE TABLE user_newtalk (
  user_id int(5) NOT NULL default '0',
  user_ip varchar(40) NOT NULL default '',
  KEY user_id (user_id),
  KEY user_ip (user_ip)
) TYPE=MyISAM;

#
# Dumping data for table `user_newtalk`
#


#
# Table structure for table `user_rights`
#

CREATE TABLE user_rights (
  ur_user int(5) unsigned NOT NULL default '0',
  ur_rights tinyblob NOT NULL,
  UNIQUE KEY ur_user (ur_user)
) TYPE=MyISAM;

#
# Dumping data for table `user_rights`
#

INSERT INTO user_rights VALUES (1,'sysop,bureaucrat');

#
# Table structure for table `validate`
#

CREATE TABLE validate (
  val_user int(11) NOT NULL default '0',
  val_title varchar(255) binary NOT NULL default '',
  val_timestamp varchar(14) binary NOT NULL default '',
  val_type int(10) unsigned NOT NULL default '0',
  val_value int(11) default '0',
  val_comment varchar(255) NOT NULL default '',
  KEY val_user (val_user,val_title,val_timestamp)
) TYPE=MyISAM;

#
# Dumping data for table `validate`
#


#
# Table structure for table `watchlist`
#

CREATE TABLE watchlist (
  wl_user int(5) unsigned NOT NULL default '0',
  wl_namespace tinyint(2) unsigned NOT NULL default '0',
  wl_title varchar(255) binary NOT NULL default '',
  UNIQUE KEY wl_user (wl_user,wl_namespace,wl_title),
  KEY namespace_title (wl_namespace,wl_title)
) TYPE=MyISAM;

#
# Dumping data for table `watchlist`
#


